gtk4 (4.12.5+ds-9+git20240319071544.11125e6.trixie) trixie; urgency=medium

  [ Bardia Moshiri ]
  * circleci: add configs
  * debian: add libgstreamer-plugins-bad1.0-dev to build depends
  * debian: drop install-tests
  * debian: don't build tests
  * debian: drop useless patches

  [ Gran PC ]
  * gsk/gl: don't cache Cairo textures

  [ Jesús Higueras ]
  * gsk/gl: add specific shader paths for circular and fully symmetric clips
  * gsk/gl: don't normalize rects in the frag shader
  * gsk/gl: skip radius == 0 check in gsk_ellipsis_dist
  * gsk/gl: change order of clip bound checking operations
  * gsk/gl: unify coverage calculation logic in fragment shader
  * gdk/frameclock: increase event handling & redrawing priorities
  * gsk/gl: disable depth test
  * gsk/gl: keep cached textures around for a longer time

  [ Jeremy Bícha ]
  * releasing package gtk4 version 4.10.4+ds-2
  * New upstream version 4.10.5+ds
  * Update upstream source from tag 'upstream/4.10.5+ds'
  * New upstream release
  * releasing package gtk4 version 4.10.5+ds-1
  * debian/copyright: drop obsolete Files-Excluded reference
  * New upstream version 4.12.0+ds
  * test-calendar: Update timezone name
  * Revert "Temporarily disable sysprof integration to get the package rebuilt"
  * Update upstream source from tag 'upstream/4.12.0+ds'
  * New upstream release
  * Drop patch marking the clipboard test flaky: applied upstream
  * Refresh patches
  * Refresh patches
  * Cherry-pick patch to fix undefined references
  * Add patch to adapt to Debian's tzdata 2023c-8
  * Add patch to mark headless tests as flaky
  * debian/control.in: Bump minimum glib, gobject-introspection, meson & wayland-protocols
  * debian/rules: update configure option name
  * debian/libgtk-4-bin.install: Install gtk4-rendernode-tool
  * debian/libgtk-4-1.symbols.in: Add new symbols
  * releasing package gtk4 version 4.12.0+ds-1
  * print: Update printerprivate header location for cpdb backend
  * Revert "Temporarily disable sysprof integration to get the package rebuilt"
  * test-calendar: Update timezone name
  * print: Update printerprivate header location for cpdb backend
  * d/watch: Only watch for stable releases
  * New upstream version 4.12.1+ds
  * Update upstream source from tag 'upstream/4.12.1+ds'
  * New upstream release
  * Drop 3 patches applied in new release
  * releasing package gtk4 version 4.12.1+ds-1
  * releasing package gtk4 version 4.12.1+ds-2
  * Ignore the same reftest failures for riscv64 as for mips64el
  * New upstream version 4.12.2+ds
  * Update upstream source from tag 'upstream/4.12.2+ds'
  * New upstream release
  * Build-Depend on fonts-noto-core instead of fonts-dejavu-core
  * releasing package gtk4 version 4.12.2+ds-1
  * releasing package gtk4 version 4.12.3+ds-1
  * New upstream version 4.12.4+ds
  * Update upstream source from tag 'upstream/4.12.4+ds'
  * New upstream release
  * releasing package gtk4 version 4.12.4+ds-1
  * Build-Depend on dh-sequence-gnome
  * emoji: Update data to CLDR v43
  * emoji: Update data to CLDR v44
  * emoji: Update data to CLDR v43
  * emoji: Update data to CLDR v44
  * Remove references to obsolete mipsel
  * New upstream version 4.13.5+ds
  * New upstream version 4.12.5+ds
  * Update upstream source from tag 'upstream/4.12.5+ds'
  * New upstream release
  * missing-sources: Update emojibase
  * missing-sources: Copy emoji 15.1 files from Debian's unicode-data package
  * Update debian/gbp.conf
  * releasing package gtk4 version 4.12.5+ds-1
  * Allow stderr for python3-gi autopkgtests
  * releasing package gtk4 version 4.12.5+ds-2
  * Add patch to adapt build tests to pango 1.52.0
  * Bump Build-Depend pango to 1.52.0 to match
  * releasing package gtk4 version 4.12.5+ds-4

  [ Simon McVittie ]
  * Set GDK_WINDOW_STATE_TILED if any edge is tiled
  * d/patches: Delete patches that aren't applied
  * d/patches: Refresh remaining patches through gbp pq
  * gir1.2-gtk-4.0: Add Provides for gir1.2-gdk-4.0, gir1.2-gdkx11-4.0 and gir1.2-gsk-4.0 to reflect its contents
  * Canonicalize permissions of debian/rules
  * New upstream version 3.93.0
  * Update upstream source from tag 'upstream/3.93.0'
  * New upstream version 3.94.0
  * Update upstream source from tag 'upstream/3.94.0'
  * New upstream release
  * d/copyright: Update
  * Normalize various packaging files with wrap-and-sort -a
  * Update build-dependencies
  * Update copyright file more
  * Drop obsolete patches
  * Build installed-tests
  * Add patch to fix .test metadata
  * Run installed-tests as autopkgtests (similar to #908440)
  * Update version number for new upstream release
  * Disable GStreamer video support for now
  * Stop installing gtk4-query-immodules, superseded by gio-querymodules
  * Drop support for OLD_MODULES_BASE_PATH
  * d/libgtk-4-0.postinst.in: Run gio-querymodules for IM modules
  * Look for print backends in the same triggers as IM modules
  * d/libgtk-4-common.install.in: Don't install im-multipress.conf
  * d/libgtk-4-0.install.in: Don't install IM modules
  * Remove obsolete debian/*.install files from GTK+ 3
  * d/rules: Update Meson options, mostly removing enable- prefix
  * d/libgtk-4-0.symbols: Update
  * List installed but unpackaged files in d/not-installed
  * libgtk-4-dev: Add missing dependency on libvulkan-dev (thanks, autopkgtest)
  * d/tests/control: Mark python3-gi as flaky until python3-gi overrides get updated for the rename of Gdk.Window to Gdk.Surface
  * Install accessibility-dump in installed-tests so one more test can pass
  * libgtk-4-0.postrm.in: Remove the correct cache files
  * d/rules: Defang dh_auto_test when built with nocheck
  * d/copyright: Reduce warnings by using standalone license paragraphs
  * Stop using Priority: extra
  * Fix removal of stale module directories
  * d/tests/build: Update for GTK+ 4.0
  * Add a link to document why python3-gi test fails
  * Run "ninja test" correctly
  * d/missing-sources: Remove, no longer needed
  * Fix copyright file a bit
  * Fix generation of README.md.gz symlinks
  * Generate a dependency on libgtk-4-0.9400.0 since the ABI is not yet stable
  * Provide libgtk-4-0.9400.0 or similar
  * d/copyright: Remove more obsolete files
  * Run build-time tests under Xvfb
  * Use true/false to configure documentation, man pages
  * Update print backend option syntax
  * Always build man pages
  * Move xsltproc to Build-Depends
  * Always enable documentation, otherwise we can't have the man pages
  * Run tests under Xvfb with GLX available (see #874077)
  * d/gbp.conf: Import configuration from glib2.0
  * Add another patch to fix test metadata
  * reftests: Fix path to installed-tests in .test metadata
  * testsuite: Fix installed-test metadata for autotestkeywords
  * testsuite: Install accessibility-dump executable alongside tests
  * Use the same xvfb-run screen configuration as upstream
  * Mark patches as applied upstream
  * Reshuffle changelog to group related changes together
  * Add test-dependency on xvfb so we can run the built program
  * d/rules: Generate files from .in counterparts for every package
  * Remove autoconf-archive B-D
  * Don't build udebs if built with noudeb build-profile
  * Allow stderr for build test
  * Update changelog
  * Change library name (and download location) from GTK+ to GTK, following upstream re-branding
  * New upstream version 3.96.0
  * Update upstream source from tag 'upstream/3.96.0'
  * New upstream release
  * d/copyright: Update
  * d/tests/build: Adjust for rename of pkg-config module to gtk4
  * d/rules: Update SONAME
  * Refresh patch series and drop applied patches
  * Optimistically assume failing reftests have been fixed
  * Update dependencies
  * Fix dangling references to removed box-packing tests
  * Update lists of installed files
  * d/libgtk-4-0.symbols.in: Update
  * d/copyright: Update name of a settings schema
  * Add Build-Depends-Package to symbols file
  * Update changelog
  * Don't override libexecdir
  * Use debhelper-compat 12
  * Remove infrastructure for dealing with reftests that are known to fail
  * d/not-installed: Remove
  * d/rules: Fail the build if anything from the deb build is not installed
  * Update installed file lists again
  * Only install AUTHORS in -doc package
  * Install documentation in /usr/share/gtk-doc, with symlinks in /u/s/doc
  * Standards-Version: 4.4.0 (no changes required)
  * Set Rules-Requires-Root to no
  * Remove obsolete conffile im-multipress.conf during upgrade
  * Improve .pc file to avoid over-linking (and Lintian false-positives)
  * Release to experimental
  * gtk4.pc: Move third-party libraries from Libs to Libs.private
  * testsuite: Remove dangling references to box-packing tests
  * Mark patches as applied upstream
  * Don't run dh_missing against debian/install/udeb when not building udeb
  * Disable Wayland backend on non-Linux kernels
  * Release to experimental
  * Mark more Wayland symbols as (arch=linux-any)
  * Mark some Vulkan symbols as (arch=linux-any) too
  * d/tests/python3-gi: Explicitly return GLib.SOURCE_REMOVE
  * d/tests/build, d/tests/python3-gi: Mark as superficial
  * Move gtk4-encode-symbolic-svg from gtk-4-examples to libgtk-4-bin
  * d/tests/python3-gi: Make executable
  * Update changelog
  * Improve d/tests/build
  * d/upstream/metadata: Add upstream URLs
  * New upstream version 3.98.0
  * Update upstream source from tag 'upstream/3.98.0'
  * New upstream release
  * d/copyright: Simplify and consolidate
  * d/control.in: Update build-dependencies
  * d/rules: Update SONAME
  * d/rules: Adjust build options for rename of documentation to gtk_doc
  * d/rules: Sort build options
  * Generate locales used by the tests
  * Drop all patches, applied upstream
  * Reorder changelog
  * Standards-Version: 4.5.0 (no changes required)
  * debian/libgtk-4-0.symbols.in: Update
  * Don't build HTML documentation in Architecture: any builds
  * Update changelog
  * Fix run-with-locales invocation
  * run-with-locales: Make use of -- optional
  * run-with-locales: Actually export LOCPATH when required
  * run-with-locales: Suppress shellcheck warnings about 'local'
  * Add patch from upstream to fix installation of headers
  * run-with-locales: Spell UTF-8 locales in the way the script understands
  * Mark locales | locales-all as <!nocheck>
  * d/.gitignore: Add
  * d/run-with-locales: Improve
  * Update changelog
  * Team upload
  * New upstream version 3.98.2
  * Update upstream source from tag 'upstream/3.98.2'
  * supp: Use a single suppressions file for lib, lib64 and multiarch
  * New upstream release
  * Bump pango dependency as per meson.build
  * Drop patch, applied upstream
  * Install new valgrind suppressions files
  * Add proposed patch to make valgrind suppressions work on Debian
  * Update symbols file for ABI breaks and additions
  * Release to experimental
  * New upstream version 3.98.3
  * Update upstream source from tag 'upstream/3.98.3'
  * New upstream release
  * Update build-dependencies according to meson.build
  * Remove "fake SONAME" mechanism
  * Bump minimum version for all symbols to 3.98.3 for the new SONAME
  * Drop patch, applied upstream
  * Update symbols file
  * d/tests/build, d/tests/python3-gi: Suppress AT-SPI warnings
  * d/copyright: Collapse most permissive licenses into Files: * stanza
  * Build-Depend on a suitable snapshot of gtk-doc
  * Depend on librsvg2-common for tests, to be able to load SVG icons
  * aboutdialog: Update precondition checks for new licenses added in 3.24.20
  * Try to split out flaky and non-flaky tests
  * Move to debhelper compat level 13
  * Depend on fonts-cantarell for tests
  * Run build-time tests with a D-Bus session bus via dbus-run-session
  * Cherry-pick some patches to fix the build
  * Update changelog
  * New upstream version 3.98.4
  * Update upstream source from tag 'upstream/3.98.4'
  * New upstream release
  * d/copyright: Update
  * Remove Xdamage dependency, no longer used
  * Drop patches that came from upstream
  * New upstream version 3.98.5
  * Update changelog
  * Cherry-pick a patch from 3.98.5 to fix the build
  * Update symbols file
  * d/tests/build: Update function used to destroy window
  * d/tests: Mark more upstream tests as flaky
  * Merge tag 'upstream/3.98.5' into debian/master
  * New upstream release
  * Update dependencies
  * d/copyright: Update
  * New upstream version 3.99.0
  * Update upstream source from tag 'upstream/3.99.0'
  * New upstream release
  * Remove ATK dependencies
  * d/copyright: Update
  * d/copyright: Update
  * Build-Depend on librsvg2-dev
  * Drop patch, applied upstream
  * Bump GLib build-dependency
  * Add patches from upstream for some tests/warnings fixes
  * Add proposed patches to add copyright/licensing info for libroaring code
  * cloudprint: Fix redundant declarations
  * roaring.[ch]: Add attribution and licensing information
  * Include a copy of the Apache license
  * Move roaring bitmaps code to gtk/roaring/ and add a README
  * Add upstreamed patch to fix FTBFS with cloudprint enabled
  * Install more example files
  * Update symbols file
  * d/rules: Rely on debhelper 13 to reset HOME, etc.
  * d/rules: Stop setting VERBOSE, it was only relevant with Autotools
  * d/rules: Explicitly enable Xinerama for non-udeb build
  * d/rules: Disable examples, demos, installed tests for udeb build
  * Annotate -doc package with <!nodoc>
  * Don't build demos, examples, installed-tests under <!noinsttest>
  * Disable GObject-Introspection for udeb
  * Run the build-time tests under X11 for now
  * d/rules: Explicitly build documentation during build step
  * Fix copyright file syntax
  * Update changelog
  * d/tests: Remove ATK/AT-SPI remnants
  * d/tests: Only test under X11 for now
  * Release to experimental
  * Bundle a copy of gtk-doc from the gtk-doc-for-gtk4 branch
  * Add gtk-doc GTK_DOC_1_32-57-g3651bf3 from the gtk-doc-for-gtk4 branch
  * Merge branch 'upstream/latest' into debian/master
  * docs: Don't build Yelp manual for bundled gtk-doc subproject
  * Add dependencies of gtk-doc-tools to Build-Depends-Indep
  * Add patch to skip Yelp manual for bundled gtk-doc
  * Don't try to install files from the bundled gtk-doc
  * d/copyright: Add copyright information for bundled gtk-doc
  * d/copyright: Update copyright information for AppStream data
  * Delete symlink subprojects/gtk-doc during clean
  * Document how to get gtk-doc-for-gtk4 orig source
  * Release to experimental
  * New upstream version 3.99.1
  * Update upstream source from tag 'upstream/3.99.1'
  * New upstream release
  * d/rules: Don't symlink gtk-doc into subprojects/
  * d/control.in: Update dependencies
  * Drop all patches, applied upstream
  * d/rules: Update Meson build options
  * Stop installing NodeEditor icons
  * d/libgtk-4-0.symbols.in: Update
  * New upstream version 3.99.2
  * d/gbp.conf: Stop adding gtk-doc as a second orig tarball
  * Add patches from upstream to build with system gtk-doc again
  * Revert "Add dependencies of gtk-doc-tools to Build-Depends-Indep"
  * Revert "Bundle a copy of gtk-doc from the gtk-doc-for-gtk4 branch"
  * d/clean: Remove bundled copy of gtk-doc
  * Update changelog
  * Merge tag 'upstream/3.99.2' into debian/master
  * New upstream release
  * d/copyright: Add another permissive license
  * Update patch series
  * Revert automatic choice of preview text for font-chooser
  * Update changelog
  * Revert another font chooser feature that requires Pango 1.47
  * Update symbols file
  * run-with-locales: Normalize utf8 to UTF-8 without using SUPPORTED file
  * d/tests/run-with-locales: Move from d/run-with-locales
  * Require pango 1.47.0
  * Update changelog
  * New upstream version 3.99.3
  * Update upstream source from tag 'upstream/3.99.3'
  * New upstream release
  * New upstream version 3.99.4
  * Update upstream source from tag 'upstream/3.99.4'
  * New upstream release
  * Update dependency versions
  * Drop patch for gtk-doc 1.33, applied upstream
  * d/rules: Change introspection from true to enabled
  * d/libgtk-4-common.install.in: Install emoji data files
  * Remove references to bundled gtk-doc
  * Update symbols file
  * Release to experimental
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev
  * d/changelog: Remove trailing whitespace
  * Replace XC-Package-Type with Package-Type.
  * Use https for Homepage
  * d/watch: ".." is not a version number
  * New upstream version 3.99.5
  * Update upstream source from tag 'upstream/3.99.5'
  * New upstream release
  * Update changelog
  * Bump build-dependency on Glib to 2.66
  * Update symbols file
  * Release to experimental
  * Add Provides for gir1.2-gdkwayland-4.0 on Linux
  * d/copyright: Remove unused GPL-2+ paragraph
  * d/copyright: Remove unused autoconf-archive paragraph
  * Standards-Version: 4.5.1 (no changes required)
  * Add a Lintian override for #970275
  * d/tests: Reduce number of tests marked as flaky
  * Add iso-codes as a Recommends, and depend on it for tests
  * Disable gvfs and other GIO modules for build-time tests
  * Make build-time test failures fatal
  * Add missing libxdamage-dev (build-)dependency
  * New upstream version 4.0.0
  * Update upstream source from tag 'upstream/4.0.0'
  * New upstream release
  * Update changelog
  * Bump SONAME
  * Rename source package to gtk4 while we're going through NEW anyway
  * Bump required version for all symbols to 4.0.0
  * Update changelog
  * Update symbols file again
  * Split gtk-4-tests into its own package
  * libgtk-4-1 Breaks/Replaces experimental libgtk-4-0
  * Remove obsolete Breaks copied from GTK 3
  * Update changelog
  * Release to experimental
  * Fix type of gtk-cursor-aspect-ratio so it can be set in settings.ini
  * New upstream version 4.0.1
  * Update upstream source from tag 'upstream/4.0.1'
  * New upstream release
  * Drop patch, applied upstream
  * d/rules: Specifically enable recompilation of CSS with sassc
  * Update changelog
  * Release to experimental
  * d/rules: Show test log if build-time test fails
  * Increase dependency on librsvg2-common from Suggests to Recommends
  * Update changelog
  * New upstream version 4.0.2
  * Update upstream source from tag 'upstream/4.0.2'
  * New upstream release
  * d/copyright: Update
  * New upstream version 4.0.3
  * Update upstream source from tag 'upstream/4.0.3'
  * New upstream release
  * Bump graphene build-dependency to 1.10.4 on i386
  * d/rules: Add a note of the test failures that need investigation
  * d/rules: Extend test timeout on slower architectures
  * Update changelog
  * symbols: Ignore removal of gtk_glade_catalog_init
  * Release to experimental
  * Add patches to tolerate reftest differences selectively
  * d/rules: Show the detailed test log even if tests all succeed
  * d/rules: Dump reftest differences into the log as base64
  * d/rules: Tolerate minor differences in some reftests
  * Mark patches as forwarded
  * Record some of the patches as specifically rejected by upstream
  * Release to experimental
  * reftest-compare: Fix spelling of "diff"
  * reftests: Share reftest-compare.[ch] between GSK and GTK tests
  * d/patches: Adjust forwarding URL for refactoring
  * d/patches: Never mark rendering differences as accepted, only tolerated
  * Force installation of fontconfig's preferred fonts for tests
  * Fix error reporting in gsk reftests
  * Release to experimental
  * d/log-reftests.py: Collect more test results
  * d/rules: Don't export build results for tests that upstream expect to fail
  * d/rules: Update comments regarding failing tests that need to be processed
  * Release to experimental
  * New upstream version 4.3.2+ds
  * Update upstream source from tag 'upstream/4.3.2+ds'
  * New upstream release
  * d/watch, d/copyright: Exclude pregenerated documentation
  * New upstream version 4.3.2+ds1
  * Update upstream source from tag 'upstream/4.3.2+ds1'
  * New upstream release
  * Merge remote-tracking branch 'origin/upstream/latest' into upstream/latest
  * d/control.in: Bump meson requirement as per meson.build
  * d/control.in: Remove build-dependencies for Google Cloud Print
  * Drop patches that were applied upstream
  * Unfuzz patches
  * d/rules: Rebuild emoji data from source files
  * Disable GStreamer for the udeb build
  * Enable FFmpeg for the main build
  * d/control.in: Label the FFmpeg media backend as experimental
  * tests: Specify locales' charsets explicitly, fixing FTBFS with new glibc
  * Update symbols file
  * Remove Vulkan symbols from .symbols file
  * d/rules: Override dh_fixperms to set correct permissions on /usr/libexec
  * d/copyright: Update
  * Silence a Lintian tag for documentation-like filenames among test data
  * d/rules: Only build the ffmpeg backend when targeting experimental
  * Update changelog
  * Release to experimental
  * New upstream version 4.4.0+ds1
  * Update upstream source from tag 'upstream/4.4.0+ds1'
  * New upstream release
  * d/tests: Fix variable reference in dh_fixperms override
  * d/control.in: Update dependencies
  * d/copyright: Update
  * d/watch: Only watch for stable releases
  * Update changelog
  * Update symbols file for new ABI
  * Release to experimental
  * Completely move .links files to debhelper syntax (Closes: #991964)
  * Always expect NEWS to be compressed (Closes: #985418)
  * Release to experimental
  * Disable Broadway (HTML) backend
  * compose: Generate endian-dependent compact Compose data
  * compose: Document how to get compose-parse input from libX11 source
  * compose: Update sequences from libX11 1.7.2
  * d/missing-sources: Add source for libX11-derived compose sequences
  * Add proposed patch to use big-endian compose data on big-endian host
  * Add proposed patch documenting how to regenerate Compose tables
  * Update compose data from libX11 1.7.2
  * Release to experimental
  * Simplify graphene dependency
  * Drop dependency from libgtk-4-common to libgtk-3-common
  * Remove dependency from libgtk-4-bin to libgtk-3-bin
  * Remove dependency from gtk-4-examples on gtk-3-examples
  * Update changelog
  * Update changelog
  * Remove alternative dependency on libgdk-pixbuf2.0-dev
  * d/rules: Don't enable ffmpeg when experimental builds are copied to Ubuntu
  * reftest-compare: Treat colour channels as undefined if alpha is zero
  * Add patch to ignore colour differences on pixels with zero alpha
  * Add patch to disable testing of the old 'gl' renderer
  * Add patch to skip remaining failing gsk tests on mips*el
  * compose: Generate endian-dependent compact Compose data
  * compose: Document how to get compose-parse input from libX11 source
  * compose: Update sequences from libX11 1.7.2
  * Release to unstable
  * Sort patch series in upstream-first order
  * Add patch to disable clipboard test, which regularly times out on buildds
  * Release to unstable
  * libgtk-4-dev Suggests gtk-4-examples
  * reftest-compare: Treat colour channels as undefined if alpha is zero
  * New upstream version 4.4.1+ds1
  * Update upstream source from tag 'upstream/4.4.1+ds1'
  * New upstream release
  * d/copyright: Update
  * Rebase patch series, dropping patches that were applied upstream
  * d/copyright: Update
  * Stop enabling a Meson option that no longer exists
  * More d/copyright updates
  * Standards-Version: 4.6.0 (no changes required)
  * Release to unstable
  * d/control.in, d/rules: Gate libgtk-4-media-ffmpeg with a build-profile
  * Release to unstable
  * New upstream version 4.6.0+ds1
  * Update upstream source from tag 'upstream/4.6.0+ds1'
  * New upstream release
  * Rebase patch series
  * d/control.in: Update build-dependencies
  * d/copyright: Update
  * d/rules: Don't build man pages under nodoc build-profile
  * Remove workaround for Compose endianness handling, no longer necessary
  * Update changelog
  * Update symbols file
  * Don't use optimized GResource processing
  * Update changelog
  * d/p/debian/Disable-clipboard-test.patch: Adjust for new version
  * d/p/Make-our-stack-noexec.patch: Use upstream's fix for GResource embedding
  * Update changelog
  * build: Tell glib-compile-resources to make symbols internal where possible
  * Add proposed patch to avoid unwanted symbol exports
  * symbols: Ignore unintended export of _gtk_resource_data
  * Release to experimental
  * png: Correct endianness for big-endian machines
  * Add proposed patch to fix FTBFS on s390x
  * Skip more known-failing tests on mips family
  * Disable optimized GResource embedding
  * Update changelog
  * d/rules: Rebuild CSS using sass
  * Release to experimental
  * Skip another known-failing test on mips*el
  * Release to experimental
  * Revert "Add subprojects/gi-docgen to Files-Excluded"
  * d/watch: Use simpler repack suffix
  * Exclude wayland subproject when repacking
  * New upstream version 4.6.1+ds
  * Update upstream source from tag 'upstream/4.6.1+ds'
  * New upstream release
  * Drop patches that were applied upstream
  * d/control.in: Update build-dependency versions
  * d/copyright: Update
  * Update changelog
  * d/run-tests.sh: Show full test log after testing
  * Release to unstable
  * New upstream version 4.6.2+ds
  * Update upstream source from tag 'upstream/4.6.2+ds'
  * New upstream release
  * d/missing-sources/emojibase: Update to emojibase-data 7.0.1
  * d/missing-sources: Add Unicode emoji data
  * d/copyright: Update
  * d/p/debian/Disable-optimized-GResource-embedding.patch: Remove
  * d/rules: Improve code to regenerate emoji data
  * Release to unstable
  * Refresh patch series
  * New upstream version 4.6.3+ds
  * Update upstream source from tag 'upstream/4.6.3+ds'
  * New upstream release
  * Drop gi-docgen patches
  * d/copyright: Drop gi-docgen stanzas
  * d/control.in: Use system copy of gi-docgen
  * Update changelog
  * Update to upstream gtk-4-6 branch commit 4.6.3-9-g045446c3da
  * d/log-reftests.py: Update names of GSK renderers
  * d/rules, d/run-tests.sh: Add infrastructure to ignore failing GSK tests
  * Ignore unaligned-offscreen GSK comparison test
  * Update changelog
  * Revert "d/copyright: Drop gi-docgen stanzas"
  * Revert "Drop gi-docgen patches"
  * Revert "d/control.in: Use system copy of gi-docgen"
  * d/copyright: Exclude gtk/theme/Default/Default-*.css
  * d/copyright: No need to exclude subprojects/wayland any more
  * New upstream version 4.6.3+ds1
  * Update upstream source from tag 'upstream/4.6.3+ds1'
  * New upstream release
  * Update changelog
  * Unfuzz gi-docgen patches
  * Release to unstable
  * d/rules: Stop skipping ngl tests on big-endian machines
  * d/rules, d/run-tests.sh: Move loop through backends into run-tests.sh
  * d/rules: Work around llvmpipe segfault on mipsel by forcing softpipe
  * Move gi-docgen to Build-Depends-Indep
  * d/control.in: Drop build-dependencies that were only there for gi-docgen
  * Update changelog
  * Release to unstable
  * d/tests/installed-tests: Fail on unset variable references
  * d/tests/installed-tests: Fail if no tests are found
  * Add temporary patch to work around #1014417 in Meson
  * Standards-Version: 4.6.1 (no changes required)
  * Migrate GLib 2.68.0 build-dependency from d/control to d/control.in
  * d/copyright: Drop unused GPL license stanzas
  * d/gtk-4-tests.lintian-overrides: Update syntax for current Lintian
  * Release to unstable
  * d/watch: Watch for development releases
  * New upstream version 4.7.2+ds
  * Update upstream source from tag 'upstream/4.7.2+ds'
  * New upstream release
  * d/copyright: Repack without wayland, wayland-protocols subprojects
  * New upstream version 4.7.2+ds
  * Update upstream source from tag 'upstream/4.7.2+ds'
  * Update changelog
  * d/control.in: Update dependency versions
  * d/copyright: Update
  * Refresh patch series
  * Skip inscription-markup.ui reftest for now
  * d/gtk-4-examples.install: Include the new NodeEditor demo
  * Update symbols file for new ABI
  * Release to experimental
  * d/rules: Force softpipe OpenGL driver on mips* architectures
  * Stop working around a Meson 0.63.0 bug that was fixed in 0.63.1
  * Stop skipping tests that (should) pass on mips*el when we force softpipe
  * Add a build option for the GResource fast-path, and disable it
  * demos: Remove detritus from a patch not applying cleanly
  * Branch 4.6.x for unstable
  * d/rules: Force softpipe OpenGL driver on mips* architectures
  * Stop working around a Meson 0.63.0 bug that was fixed in 0.63.1
  * Stop skipping tests that (should) pass on mips*el when we force softpipe
  * Add a build option for the GResource fast-path, and disable it
  * d/rules: Enable broadway backend for the .deb build (but not the udeb)
  * Release to unstable
  * d/rules: Enable broadway backend for the .deb build (but not the udeb)
  * Merge branch 'debian/unstable' into debian/master
  * Release to experimental
  * icontheme test: Assert that the subprocess passed
  * Replace transitional libfontconfig1-dev with libfontconfig-dev
  * Update changelog
  * New upstream version 4.8.0+ds
  * Update upstream source from tag 'upstream/4.8.0+ds'
  * New upstream release
  * gdkevents: Don't ignore modifiers that are not currently active
  * New upstream version 4.8.1+ds
  * Update upstream source from tag 'upstream/4.8.1+ds'
  * New upstream release
  * d/missing-sources: Update for upstream updates to Compose data
  * Add proposed patch to fix keyboard shortcuts with X11 backend
  * build: Use more conservative GResource embedding on non-x86_64
  * Update patch for GResource embedding based on upstream feedback
  * debian/libgtk-4-1.symbols.in: Add a new symbol
  * Release to unstable
  * Mark two patches as applied upstream
  * d/copyright: Stop excluding libwayland, wayland-protocols
  * New upstream version 4.8.2+ds
  * Update upstream source from tag 'upstream/4.8.2+ds'
  * New upstream release
  * d/control.in: Update Meson build-dependency
  * d/patches: Remove patches that were applied upstream
  * Update changelog
  * Release to unstable
  * d/watch, d/gbp.conf: Only watch for 4.8.x versions
  * Build-/test-depend on dbus-daemon instead of dbus
  * d/patches: Update to upstream gtk-4-8 branch commit 4.8.2-18-g205783d9b0
  * Release to unstable
  * Skip border-image-excess-size reftest on big-endian machines
  * Update to upstream commit 4.8.2-21-g753c6f2435
  * Update changelog
  * Release to unstable
  * subprojects: Pin GLib to version 2.74.x
  * testsuite: Use separate setups for unstable tests instead of should_fail
  * testsuite: Don't create .test files for flaky or failing tests
  * Add patches to improve handling of flaky/failing tests
  * d/rules: Remove redundant --libdir override
  * Work around Mesa regresion #1025312 by forcing software rendering
  * Update changelog
  * Drop unused docbook and xsltproc build-dependencies
  * Don't try to install man pages under nodoc build-profile
  * Update changelog
  * Add patch to make the node editor reproducible
  * d/patches: Sort Debian-specific patches to the end of the series
  * Update from upstream gtk-4-8 branch
  * Update changelog
  * Revert "Work around Mesa regresion #1025312 by forcing software rendering"
  * Update changelog
  * Release to unstable
  * New upstream version 4.8.3+ds
  * Update upstream source from tag 'upstream/4.8.3+ds'
  * New upstream release
  * Drop patches that were applied upstream
  * Update changelog
  * d/tests/run-with-display: Use absolute path to WAYLAND_DISPLAY socket
  * d/run-tests.sh: Use dh_auto_test
  * d/tests: Quote more defensively
  * d/tests/python3-gi: Explicitly disable a11y
  * d/tests/build: Suppress D-Bus/a11y warnings
  * d/tests/build: Avoid PWD bashism
  * d/copyright: Move standalone license stanzas to the end
  * d/copyright: Add details of run-with-display script
  * Release to unstable
  * Regenerate d/control
  * d/control.in: gtk-4-examples no longer contains installed-tests
  * d/patches: Update to gtk-4-8 branch commit 4.8.3-15-g1ef03e6eb8
  * Update changelog
  * Add overrides for false positive lintian/lintian!452
  * Standards-Version: 4.6.2 (no changes required)
  * Add patch from 4.9.x to avoid scroll events being sent to more than one window under X11
  * Update changelog
  * Release to unstable
  * d/gbp.conf, d/watch: Branch for experimental
  * Update changelog
  * New upstream version 4.9.3+ds
  * Update upstream source from tag 'upstream/4.9.3+ds'
  * New upstream release
  * Drop patches that were applied (some a little differently) upstream
  * Update changelog
  * d/copyright: Update
  * d/control.in: Update versions of build-dependencies
  * Drop version constraints that have been satisfied since Debian 10
  * Refresh patch series
  * d/libgtk-4-1.symbols.in: Update
  * Update changelog
  * Revert "Add overrides for false positive lintian/lintian!452"
  * d/control.in: Only use libsysprof-capture-4-dev for shared library
  * Remove version constraints unnecessary since Debian 11
  * Remove maintscripts unnecessary in any released Debian version
  * d/upstream/metadata: Use preferred Gitlab URLs
  * Release to unstable
  * Temporarily disable sysprof integration to get the package rebuilt
  * Release to unstable
  * d/rules: Skip build-time tests that are known to fail or be unreliable
  * Add patch to tolerate different floating-point results on i386
  * Ignore another test failure on big-endian machines
  * d/rules: Ignore two reftests that fail on i386 only
  * Add patch to work around a test failure on riscv64
  * d/control.in, d/gbp.conf: Use debian/trixie and upstream/4.10.x branches
  * Release to unstable
  * Add patch to work around a test failure on riscv64
  * Merge branch 'debian/trixie' into debian/master
  * Update changelog
  * Release to experimental
  * d/rules: Ignore two reftests that fail on i386 only
  * Release to unstable
  * tests: Accept slightly different numeric results
  * Merge branch 'debian/trixie' into debian/master
  * Update changelog
  * Replace patch for #1050076 with the version accepted upstream
  * Update changelog
  * d/changelog: Reorder to make the history of unstable linear
  * d/rules: Add a bug reference for tests ignored on i386
  * d/rules: Accept minor rendering differences for some tests on mips*
  * In gsk-compare tests, apply tolerance to all renderings, not just the first
  * Update changelog
  * Release to experimental
  * d/control: Regenerate
  * d/clean: Remove generated file po/gtk40.pot
  * d/libgtk-4-doc.links: Stop including symlinks for pango documentation
  * d/rules: Completely ignore border-one-rounded gsk test on mips*
  * Release to experimental
  * tests: Accept slightly different numeric results
  * d/log-reftests.py: Log uuencoded variant GSK reftest renderings too
  * d/rules: Always allow the differences that occur when using softpipe
  * Release to unstable
  * Substitute GTK_BINVER_DEP as a substvar rather than using sed
  * d/rules: Stop generating d/control.in from d/control
  * d/rules: Remove remnants of generating d/control from d/control.in
  * lbgtk-4-dev: Add Provides for included GIR XML files
  * Release to unstable
  * d/control: Build-depend on relevant gir1.2-*-dev virtual packages
  * d/control: Add more gir1.2-x-y-dev build-dependencies
  * d/control: Add ${gir:Depends} to -dev package
  * d/control: Use ${gir:Provides} to generate virtual package names
  * Release to unstable
  * Add proposed patch to fix test failure on big-endian CPUs
  * Release to unstable
  * d/control: Remove pandoc build-dependency
  * Release to unstable
  * d/control: Use dh-sequence-gir to activate debhelper addon
  * Update changelog
  * d/control: Rely on ${gir:Provides} for gir1.2-gtk-4.0's Provides
  * d/rules: Disable GObject-Introspection in the udeb build
  * d/control, d/rules: Use a cross g-ir-scanner if cross-compiled
  * d/control: Stop build-depending on libgirepository1.0-dev
  * Update changelog
  * d/control: Don't require python3-gi when not running tests
  * Update changelog
  * Release to unstable
  * d/rules: Always use Mesa software rendering during the build
  * Release to unstable

  [ Matthias Clasen ]
  * css: Document font-variant and subproperties
  * Fix the docs build
  * check button: Fix inconsistent state
  * gdk: Reshuffle docs slightly
  * Add GtkIconSize back to the docs
  * docs: Add new headerbar api
  * Some migration guide revisions
  * gdk: Document GdkDisplay::setting-changed
  * Drop gsk_renderer_get/set_viewport from the docs
  * Remove leftover gdk_event_request_motions from headers
  * Document gdk_display_get_setting
  * gdk: Remove the event structs from the documentation
  * Try to make the docs build more quiet
  * Document new event getters
  * Remove leftover API from headers
  * Some GdkMonitor documentation additions
  * Drop gratitious use of GdkPoint
  * More documentation additions
  * gdk: Move GdkWindowState enum around
  * gdk: Document GdkVulkanContext
  * Document GDK_DISPLAY_XDISPLAY
  * Document more structs
  * Document GdkClipboard::changed
  * Add documentation for content (de)serializers
  * cursor docs: Point to gtk_widget_set_cursor
  * display: Cosmetic doc changes
  * window: Remove GtkButton reference from docs
  * gdk: Slight doc rearrangement
  * gdk: Cosmetic rewording of draw context docs
  * Remove a duplicate doc comment
  * Avoid excess notification for GdkCellRendererPixbuf::icon-size
  * Avoid excess notification for GdkEventControllerScroll::flags
  * Fix notify test
  * Fix objects-finalize test
  * Update NEWS
  * Simplify ui files
  * Fix the textbuffer test
  * Fix the a11y tests
  * Add an unrealize function to GtkLabel
  * Try again to make the a11y tests pass
  * fontchooser: Add global keynav
  * Adwaita: Avoid expander<>combobox interference
  * Update new css docs for new nowrap handling
  * Drop deprecated text view layers
  * inspector: Stop using GtkWidget::event
  * treeviewcolumn: Stop using GtkWidget::event
  * text handler: Stop using GtkWidget::event
  * dnd: Drop docs that are no longer relevant
  * list, flow box: Make unpaired releases opt-in
  * emoji: Accept unpaired releases for variations
  * docs: Don't mention non-longer-existing signals
  * spinner cell: Avoid a crash
  * Revert "text handler: Stop using GtkWidget::event"
  * Revert "treeviewcolumn: Stop using GtkWidget::event"
  * Revert "inspector: Stop using GtkWidget::event"
  * Drop a no-longer-working test
  * testsuite: Drop commented out and useless code
  * Drop an unintentional use of ::destroy-event
  * Remove testthreads
  * Make drawing example work again
  * Port drawing example to gestures
  * gtk-demo: Port the drawingarea demo to a gesture
  * testgtk: Fix the scrolledwindow test
  * testgtk: Fix the test scrolling test
  * Drop an unused enum value
  * testinput: Make this work again
  * Remove selection-handling leftovers
  * Fix pointer obscuring in text view
  * font chooser: Small revision of the UI
  * font chooser: introduce font chooser levels
  * font button: Remove show-font and show-size
  * font chooser: Add a tweak page
  * Add font features on the tweak page
  * font chooser: Add properties for features and language
  * Bump the pango requirement
  * Implement font-variation-settings
  * font button: Take variations into account
  * font chooser: Support font variations
  * font chooser: Don't set hardcoded default features
  * font chooser dialog: Improve sensitivity handling
  * font chooser: Manage tweak button sensitivity
  * gtk-demo: Update font explorer example
  * fontchooser: fix feature formatting
  * docs: Remove unused images
  * gdk: Convince gtk-doc to include backend docs
  * Quiet the doc build a bit
  * Remove a dead macro
  * font chooser: Fix a memory leak
  * font chooser: Plug a memory leak
  * label: Plug a memory leak
  * Plug a memory leak
  * wayland: Plug memory leaks
  * file button: Don't leak rows
  * label: Properly handle multi-line selections
  * Implement equal for GtkCssImageUrl
  * gsk: Fix hexbox drawing for fallback rendering
  * gsk: Fix hexbox drawing for the Vulkan renderer
  * gsk: Move Vulkan sources to a subdirectory
  * toolbutton: Fix off-center icons
  * Drop GtkPlacesSidebar from public API
  * Fix file chooser
  * Quiet a compiler warning
  * Make size request warnings more useful
  * vulkan: Add a way to specify a device
  * Docs: Drop section on commandline arguments
  * Remove an unused debug value
  * Drop another unused debug value
  * Drop no-longer-existing debug keys from the docs
  * Drop unused debug keys
  * Drop unused GDK_GL values
  * Add missing debug keys to the docs
  * Document the GDK_VULKAN env var
  * Document the new GDK_VULKAN_DEVICE envvar
  * Revert "Quiet a compiler warning"
  * Quiet a compiler warning
  * docs: Mention textures in the GtkImage docs
  * Split NEWS
  * wayland: Set display on keymaps
  * x11: Only set the keymap display once
  * Add a display property to keymaps
  * gtk: add a per-display log macro
  * icon theme: Make logging per-display
  * Make geometry logging per-display
  * gdk: Reorganize env vars
  * Make gdk logging per-display
  * Drop the gl-always debug option
  * Drop the cairo-recording debug flag
  * wayland: Use g_message for logging
  * gsk: Clarify a debug message
  * gsk: Drop unused debug flags
  * gsk: make logging per-renderer
  * gtk Use per-renderer flags for node names
  * gsk: Reorganize env vars
  * gsk: Add a setter for debug flags
  * inspector: Turn off gsk debugging
  * inspector: Some logging support
  * Update docs for debug cleanup
  * vulkan: use GDK_DISPLAY_NOTE
  * inspector: Avoid a critical
  * window: Add a hide-on-close property
  * font button: Use GtkWindow::hide-on-close
  * color button: Stop connecting to ::delete-event
  * about dialog: Stop connecting to ::delete-event
  * applicationwindow: Stop connecting to ::delete-event
  * file chooser button: Stop connecting to ::delete-event
  * file chooser native: Stop connecting to ::delete-event
  * dialog: Stop using the ::delete-event signal
  * doc tools: Stop using gtk_true
  * treeview: Stop using gtk_true
  * tests: Stop using the delete-event signal
  * gtk-demo: Stop using ::delete-event
  * widget-factory: Stop connecting to ::delete-event
  * icon-browser: Stop connecting to ::delete-event
  * inspector: Stop using ::delete-event signal
  * Drop gtk_true and gtk_false
  * gtk-demo: Drop a use of ::event-after
  * tests: Avoid a use of ::map-event
  * treeview: Use a scroll event controller
  * font chooser: Stop using ::scroll-event
  * treeview: Don't handle ::delete-event
  * testinput: Drop some no-op signal handlers
  * testgtk: Use an event controller for 'testing scrolling'
  * testgtk: Redo the event watcher case
  * testoverlay: Use an event controller
  * Replace GtkWidget::delete-event by GtkWindow::close-request
  * Replace all remaining uses of delete-event
  * Drop GtkWidget::delete-event
  * Drop GtkWidget::destroy-event
  * widget: Stop using ::map-event
  * window: Stop using ::map-event
  * Drop ::map-event and ::unmap-event
  * Drop ::proximity-in-event and ::proximity-out-event
  * Drop ::scroll-event
  * Drop ::touch-event
  * tests: Stop using ::configure-event
  * xim: Stop using ::configure-event
  * testgtk: Stop using ::configure-event
  * window: Stop using ::configure-event
  * Drop ::configure-event
  * Add x/y to GtkEventControllerMotion::enter
  * treeview: Use a motion event controller
  * entry completion: Drop initial selection avoidance
  * scrolled window: Use a motion event controller
  * iconview: Use a motion event controller
  * menuitem: Use a motion event controller
  * menu: Use a motion event controller
  * Drop ::enter/leave-notify-event
  * textview: Use a motion event controller
  * notebook: Use a motion event controller
  * notebook: some cleanup
  * menushell: Stop using ::grab-broken
  * button: Stop using ::grab-broken-event
  * Drop ::grab-broken-event
  * Drop ::event-after
  * Drop gtk_widget_hide_on_delete
  * a11y: Stop using ::focus-in/out-event
  * entry: Stop using ::focus-in/out-event
  * entry completion: Stop using ::focus-out-event
  * text view: Stop using ::focus-in/out-event
  * window: Stop using ::focus-in/out-event
  * application: Stop using ::focus-in-event
  * popover: Stop using ::focus-in/out-event
  * tests: Stop using ::focus-in/out-event
  * combo cell renderer: Stop using ::focus-out-event
  * spin cell renderer: Stop using ::focus-out-event
  * text cell renderer: Stop using ::focus-out-event
  * color editor: stop using ::focus-out-event
  * calendar: Stop using ::focus-out-event
  * spin button: Stop using ::focus-out-event
  * file chooser entry: Stop using ::focus-out-event
  * treeview: Stop using ::focus-out-event
  * Drop ::focus-in/out-event
  * Remove a leftover icon-size property
  * app chooser: Use a gesture
  * Revert "file chooser: Allow activating without double-click"
  * file chooser: Use a multipress gesture
  * places view: Stop using ::button-press-event
  * testgtk: Stop using ::button-press-event
  * gtk-demo: Stop using ::button-press-event
  * entry completion: Stop using ::button-press-event
  * docs: Stop referring to legacy event signals
  * entry completion: Drop another ::button-press-event handler
  * testinput: Port to a drag gesture
  * mount operation: Stop using ::button-press-event
  * recent chooser: Stop using ::button-press-event
  * treeview: Stop using ::button-press-event
  * tests: Stop using ::motion-notify-event
  * gtk-demo: Stop using ::motion-notify-event in the hypertext demo
  * docs: Stop referring to specific event signals
  * places sidebar: Stop using ::motion-notify-event
  * Drop ::motion-notify-event
  * tests: Stop using ::button-press-event
  * testsuite: Stop using ::button-press-event
  * tests: Stop using ::button-press/release-event
  * gtk-demo: Stop using ::button-release-event
  * places sidebar: Stop using ::button-press/release-event
  * menu: Remove stray references to 'button_press'
  * menushell: Stop using ::button-press/release-event
  * popover: Stop using ::button-press/release-event
  * Drop ::button-press/release event
  * mountoperation: Fix a crash
  * Fix the icontheme test
  * tree model sort: Fix initial default sort func
  * tree model sort: Fix set_sort_column
  * testgtk: Stop using gdk_display_get_maximal_cursor_size
  * tooltip: Stop using gdk_display_get_default_cursor_size
  * inspector: Stop using gdk_display_get_default_cursor_size
  * gdk: Drop some unused cursor apis
  * Drop removed api from the docs
  * gdk: Add a gl texture implementation
  * gsk: Handle GL textures
  * Convert gtkglarea to use snapshots
  * Drop GtkGLArea::has-alpha
  * gtk-demo: Add gears to the bowl
  * gl area: Avoid trivialities
  * inspector: Don't leak recordings
  * glarea: Add a pool for GL textures
  * gdkgears: add a way to remove gears
  * glarea: Avoid a crash
  * glarea: Always delete textures on unrealize
  * glarea: Drop the dispose vfunc
  * Add a way to release GL resources
  * Use the new api to release resources
  * Document new texture api
  * Revert "inspector: Stop adding event controllers to the object tree"
  * builder-tool: Try harder to find types
  * Simplify all ui files again
  * Add a test for ::row-changed vs node refs
  * iconview: Fix updates with filter models
  * tests: Remove some unneeded gtk_widget_show calls
  * entry completion: Stop using key-press/release-event
  * gdk: Stop referring to ::key-press/release-event
  * iconview: Fix a problem with the previous change
  * a11y testsuite: Stop using gtk_widget_show_now
  * gtk testsuite: Stop using gtk_widget_show_now
  * treeview: Stop using gtk_widget_show_now
  * Drop gtk_widget_show_now
  * Drop threads from the docs
  * docs: Remove some leftovers
  * Drop the mir backend
  * Don't put gdk types into a gsk header
  * gsk: Add autocleanup definitions
  * gdk: Add some missing autocleanup definitions
  * The big versioning cleanup
  * fix the docs build
  * gdk: Drop gdk_x11_window_set_frame_extents
  * Make gdk_event_get_history public
  * Drop a leftover declaration
  * x11: Don't use gdk_window_add_filter
  * Remove gdk_window_add_filter
  * Drop event filters from the docs
  * gdk: Expand the docs a bit
  * gdk: Add some more docs
  * Merge branch 'issue-2' into 'master'
  * Merge branch 'wip/carlosg/imwayland' into 'master'
  * Merge branch 'wip/issue-21' into 'master'
  * Merge branch 'master' into 'master'
  * Drop non-backend immodules
  * Fix the build
  * Drop unmaintained print backends
  * calendar: Avoid warnings for new "%OB" format
  * Stop using settings for modules
  * Stop loading modules
  * Remove gtkmodules.h
  * Move the mixed module check function
  * Convert print backends to use a GIOExtensionPoint
  * Fix the build
  * Remove some unused code
  * Merge branch 'tests-set-schema-dir' into 'master'
  * Merge branch 'gtk-debug-flags-with-open-display-master' into 'master'
  * Drop no-longer existing im modules
  * README.md: Minor updates
  * Add some debug output to print backend loading
  * Don't mention papi in options docs
  * Convert immodules to use an extension point
  * Always include platform immodules
  * Update docs for immodules
  * Update docs for changed options
  * fix the build
  * Merge branch 'wip/matthiasc/immodule-cleanup' into 'master'
  * Make debug messages work earlier
  * Use gio-querymodules
  * Avoid warnings
  * GtkSnapshot: Implement the builder pattern
  * Stop using stack-allocated snapshots
  * GtkSnapshot: Drop init/finish
  * Document new snapshot api
  * GtkSnapshot: Add getters
  * Use GtkSnapshot getters
  * Merge branch 'wip/matthiasc/snapshot' into 'master'
  * Exit cleanly if no display is found
  * Consolidate print backends into one directory
  * Merge branch 'module-reorg' into 'master'
  * Merge branch 'query-wayland-registry' into 'master'
  * Trivial formatting fixes
  * Make GtkCssImageScaled handle scales properly
  * Update the expected results in the testsuite
  * Merge branch 'wip/filechooser-non-default-display-gtk4' into 'master'
  * Merge branch 'css-image-scaled' into 'master'
  * Improve the scale handling
  * mediafile: Turn into an extension point
  * Merge branch 'a11y-fixes' into 'master'
  * Merge branch 'accessible-role' into 'master'
  * Add appdata for gtk4-demo
  * Add appdata for gtk4-widget-factory
  * Merge branch 'wip/sync-pre-swap-buffers' into 'master'
  * Merge branch 'bz773274' into 'master'
  * wayland: Don't emit signals if nothing changed
  * font button: notify when ::font-features changes
  * font chooser widget: Expose tweak-action as property
  * font chooser: Make levels flags
  * Merge branch 'im-wayland-reset' into 'master'
  * Defeat compiler optimization
  * Font chooser: Hide tweak button sometimes
  * font chooser: Align property defaults
  * font chooser: Align level value names
  * Enable variations and features for font explorer
  * widget-factory: Enable all details in the font chooser
  * font chooser: Add examples for font features
  * font chooser: Make the language property writable
  * font button: Fix a crash
  * font chooser: Remove some dead code
  * font button: fix compiler warnings
  * file chooser: Use a key event controller
  * testsuite: Don't use ::key-press-event
  * gtk-demo: Stop using ::key-press-event in font explorer
  * docs: Modernize an example
  * testgtk: Drop the event watcher
  * testgtk: Drop snapshot
  * inspector: Stop using ::key-press-event
  * places view: Stop using ::key-press-event
  * icon-browser: Stop using ::key-press-event
  * about dialog: Stop using ::key-press-event
  * color editor: Stop using ::key-press-event
  * Shortcuts window: stop using ::key-press-event
  * search bar: Stop using ::key-press-event
  * app chooser: Stop using ::key-press-event
  * combo box: Stop using ::key-press-event
  * font chooser: Allow tweaking fractions
  * flatpak: Bundle wayland for now
  * Spruce up config summary
  * No need to clear GTK_MODULES anymore
  * Merge branch 'code-owners' into 'master'
  * printing: Be more careful when deserializing
  * Merge branch 'print-deserialize' into 'master'
  * Merge branch 'wip/lantw/improve-freebsd-build-and-fix-warnings' into 'master'
  * Export some entry functions privately
  * Add an emoji completion popup
  * entry: Add emoji completion
  * widget-factory: add emoji completion to an entry
  * Drop Ctrl-Shift-e support
  * Merge branch 'wip/matthiasc/emoji-picker' into 'master'
  * Fix the gdk doc build
  * Add offset nodes to the docs
  * More doc build fixes
  * More doc build fixes
  * Document GdkMemoryTexture
  * Misc documentation fixes
  * Fix the modelbutton demo _again_
  * Merge branch 'wip/carlosg/controller' into 'master'
  * Add missing types to gdk docs
  * Add missing types to gtk docs
  * Merge branch 'wip/lantw/gtk4-use-dev-evdev-input-h-on-freebsd' into 'master'
  * emoji chooser: Match search terms better
  * Merge branch 'altBackspaceEmacs' into 'master'
  * Merge branch 'wip/xdg-shell' into 'master'
  * The legacy event controller is still private
  * Document gdk_drop_read_async
  * Update NEWS
  * More NEWS
  * Add some more content to the migration guide
  * Fixes to the gtk docs
  * Add media support to docs
  * Add more media docs
  * Add GdkPaintable to the docs
  * Add GtkWidgetPaintable to the docs
  * Miscellaneous docs improvements
  * Update build docs
  * Document the GSK_RENDERER environment variable
  * Update docs for debug environment variables
  * textview: Don't scroll for pastes in another view
  * Merge branch 'paste-scrolling' into 'master'
  * Merge branch 'wip/restart-cursor-animation' into 'master'
  * emoji: Improve section scrolling
  * emoji: Hide recent section when empty
  * popover: Drop key_press_event handler
  * gtk-demo: Avoid key-press-event
  * Remove key-press-event from more docs
  * emoji completion: Stop using key-press-event
  * entry: Stop using ::key-press-event
  * file chooser entry: Stop using key-press-event
  * file chooser widget: Stop using ::key-press-event
  * button: Stop using ::key-release-event
  * font chooser dialog: Stop using ::key-press-event
  * spin button: Stop using ::key-release-event
  * treeview: Stop using ::key-press-event
  * Drop the ::key-press/release-event signals
  * Merge branch 'kill-key-events' into 'master'
  * a11y: Stop using ::event
  * Merge branch 'master' into 'master'
  * Remove an unused struct
  * gdk: Add a private api to find sandboxes
  * x11: Don't set NET_WM_PID when sandboxed
  * Merge branch 'gesture-docs' into 'master'
  * Merge branch 'patch-1' into 'master'
  * Merge branch 'wip/move-to-rect-public' into 'master'
  * Merge branch 'master' into 'master'
  * Keep aspect ratio of the image
  * puzzle: Add a reshuffle button
  * Add tweaks
  * puzzle: Use plain labels
  * puzzle: Add mouse support
  * puzzle: fix some compiler warnings
  * Merge branch 'lrn/aligned-alloc' into 'master'
  * Merge branch 'master' into 'master'
  * Merge branch 'lrn/gtk4warnings' into 'master'
  * Merge branch 'design_by' into 'master'
  * Merge branch 'wip/lantw/fix-gtkdoc-build-without-wayland' into 'master'
  * Merge branch 'window-activate-grab-4-again' into 'master'
  * Merge branch 'win32-filechooser-fix-file-list-order' into 'master'
  * Merge branch 'lrn/misc-gtk4-fixes' into 'master'
  * Merge branch 'wip/carlosg/issue-1159' into 'master'
  * docs: fix a typo
  * docs: Remove a duplicate line in gdk4-sections.txt
  * Merge branch 'master' into 'issue1084'
  * Merge branch 'issue1084' into 'master'
  * x11: Fix dnd action handling
  * Merge branch 'master' into 'master'
  * Some updates
  * Remove a lot of Since annotations
  * Bump version to 3.94.0
  * docs: Document GtkEventControllerKey
  * Docs: Remove more since markers
  * Merge branch 'wip/aplazas/modelbutton-markup-master' into 'master'
  * Merge branch 'wip/cursor-output-scale-changes' into 'master'
  * gdk: Rename GdkDragContext to GdkDrag
  * docs: Update dnd section
  * dnd: Rename headers
  * Merge branch 'event-controller-key-docs' into 'master'
  * win32: Adapt to dnd api changes
  * Merge branch 'dnd-cleanups' into 'master'
  * dnd: Rename gtk_drag_begin_with_coordinates
  * wayland: Remove an unused field
  * dnd: Add a GdkDrag::action property
  * wayland: set a cursor when starting a drag
  * GdkDrag: Drop the priv struct
  * Rename a property
  * Add a GdkDrag::actions property
  * GdkDrop: drop the priv struct
  * win32: Stop using gdk_drag_get_suggested_action
  * drag: Split a setter
  * dnd: Drop suggested_action
  * wayland: Drop an unused field
  * wayland: Rename a source file
  * win32: Build fixes
  * dnd: Some documentation updates
  * dnd: Drop gdk_drag_abort
  * Merge branch 'fix-wayland' into 'master'
  * Merge branch 'dnd-cleanups' into 'master'
  * docs: Small updates
  * text display: correct a comment
  * popover: Drop some dead code
  * gdk: Drop configure events
  * gdk: Drop expose events
  * broadway: Stop using configure events
  * win32: Stop using expose and configure events
  * gdk: Drop map events
  * Drop gdk_surface_withdraw
  * Fix up some doc mishaps
  * Merge branch 'wip/matthiasc/kill-non-input-events' into 'master'
  * dnd: Drop gdk_drag_drop
  * Revert "GdkDrop: drop the priv struct"
  * Add a private struct to GdkDrag
  * wayland: Drop an unused api
  * gdkdrag: remove an unused member
  * Add a GdkDrag::surface property
  * wayland: Stop accessing GdkDrag members
  * x11: Stop using GdkDrag fields
  * drop: stop accessing GdkDrag fields
  * x11: Rename a file
  * x11: Set actions on drag
  * wayland: Set actions on drag
  * win32: Stop accessing GdkDrag members
  * Merge branch 'dnd-cleanups' into 'master'
  * Revert "broadway: Stop using configure events"
  * Revert "gdk: Drop configure events"
  * Handle configure events in gdk
  * Merge branch 'places-sidebar-dnd' into 'master'
  * docs: Small updates to the migration guide
  * Merge branch 'content-provider-docs' into 'master'
  * Merge branch 'content-provider-autoptr' into 'master'
  * Merge branch 'master' into 'master'
  * Emoji chooser: Use icons for sections
  * testsuite: Add emoji icon names
  * Quiet a compiler warning
  * moji chooser: Try harder to avoid fallback
  * Emoji chooser: Also check for hex boxes
  * Drop unused old icons
  * Drop builtin icon test
  * Merge branch 'xfixes-timestamp' into 'master'
  * testsuite: Sort icon names
  * Keep picking up icons as resources
  * Add emoji category icons
  * Fix up the resource generation for icons
  * Bring back gtk-orientation icons
  * testsuite: Update the list of used icons
  * Add a color picker interface
  * color editor: Add a color picker button
  * Add a color picker implementation for portals
  * Add a color picker implementation for gnome-shell
  * tests: Update a11y tests
  * Merge branch 'color-picker' into 'master'
  * Merge branch 'wip/gtk-menu-popup-no-more' into 'master'
  * Remove an outdated comment
  * Migration guide: mention size-allocate
  * treeview: Get rid of child surfaces
  * Merge branch 'devel-styling' into 'master'
  * Merge branch 'fix-gs-issue-404' into 'master'
  * Merge branch 'gtk-4-add-spinner-to-sidebar-row' into 'master'
  * color picker: Better debug spew
  * Merge branch 'issue1214-tooltips-win32-gtk4' into 'master'
  * Mention gtk_widget_show_all in the migration guide
  * Add a kwin color picker
  * Only use the portal color picker when appropriate
  * color picker: Also try kwin
  * Merge branch 'fix-app-id' into 'master'
  * Make color picker circular
  * migration guide: Mention GtkEventBox
  * Merge branch 'gtk-4-improve-error-message' into 'master'
  * Merge branch 'master' into 'master'
  * font chooser: Remove an unneeded ifdef
  * Merge branch 'sort' into 'master'
  * Use defines for bus names
  * print portal: Plug a memory leak
  * print portal: don't leak window handles
  * Merge branch 'fix-shell-colorpicker' into 'master'
  * Don't fail the build if c++ isn't found
  * Merge branch 'win32-smooth-scrolling-gtk4' into 'master'
  * gdk/wayland: Don't remap non-subsurface as subsurface
  * gdk/wayland: Always map windows 'moved-to-rect' as popups
  * gdk/wayland: Avoid idempotent wl_subsurface.set_position calls
  * entry completion: stop using subsurfaces
  * Drop gtk_window_set_use_subsurface
  * wayland: drop subsurfaces
  * gdk: Drop GDK_SURFACE_SUBSURFACE
  * Move tools to a subdirectory
  * Merge branch 'kill-subsurface' into 'master'
  * Merge branch 'fix-shifted-scrolling' into 'master'
  * entry completion: Avoid critical warnings
  * Merge branch 'robertroth/readme-fix' into 'master'
  * Fix a typo
  * The file chooser is no box anymore
  * Add a missing cast
  * Add utility functions for portal paths
  * color picker portal: Add request path utility
  * print portal: use request path utilities
  * file chooser portal: use request path utilities
  * GtkApplication: Respect GTK_USE_PORTAL
  * GtkApplication: track screensaver state
  * Add a helpful comment
  * Avoid a pointless goto
  * GtkApplication: Improve the docs
  * Fix portal path handling
  * Add devel style to demos
  * gtk_application_inihit: allow no reason
  * Merge branch 'wip/sadiq/fixes' into 'master'
  * Minor doc fix
  * tree list model: Add docs
  * Merge branch 'installed-tests' into 'master'
  * Merge branch 'master' into 'master'
  * Merge branch 'wip/jimmac/nightly-headerbar' into 'master'
  * Merge branch 'wip/sadiq/fixes' into 'master'
  * Merge branch '1397-gtknotebook-built-in-popup-menu-listing-tabs-doesn-t-use-tab-label-text-for-the-last-tab-4' into 'master'
  * Merge branch 'wip/fmuellner/deco-setting' into 'master'
  * Use a simpler sandbox check
  * Move the should_use_portal helper to gdk
  * wayland: Support the settings portal
  * Merge branch 'wip/settings-portal' into 'master'
  * wayland: Fix a thinko in settings portal support
  * wayland: Adapt to settings portal api change
  * Merge branch 'master-escape-included-svg' into 'master'
  * Force emoji presentation
  * Merge branch 'force-emoji' into 'master'
  * emoji chooser: Actually force Emoji presentation
  * Merge branch 'fix-polygon-svg-recolor' into 'master'
  * Merge branch 'master' into 'master'
  * Fix resize corners
  * Fix XChangeProperty calls
  * Merge branch 'wip/carlosg/imwayland-for-master' into 'master'
  * Merge branch 'patch-1' into 'master'
  * Merge branch 'wip/nbenitezl/move-bookmark-placeholder-index-4' into 'master'
  * Check for the session bus before using it
  * Merge branch 'commit-docs' into 'master'
  * switch: Always use I/O
  * Rename GtkRBTree to GtkTreeRBTree
  * Rename GtkCssRBTree to GtkRBTree
  * about dialog: Use ::activate-link for license
  * Merge branch 'switch-fallback' into 'master'
  * Merge branch 'reference-include' into 'master'
  * slice model: Don't report excessive changes
  * testsuite: Add slice model tests
  * switch: Avoid problems with glyph availability
  * Update a11y tests
  * box: Remove the position child property
  * box: Avoid position in the reorder api
  * action bar: Drop the position child property
  * header bar: Drop the position child property
  * gl texture: fix a typo
  * testgtk: Drop tabular menu
  * Drop row/column-span-column from tests
  * Drop a grid combo example
  * fixup notify tests
  * testcombo fixup
  * combobox: Drop support for grids
  * tree menu: Drop support for grids
  * Drop gtk_menu_attach
  * menu: Drop the child properties
  * Add switch icons
  * switch: Use icons
  * Fix gtk4-icon-browser
  * icon browser: Add on and off icons
  * Update css tests results
  * Merge branch 'switch-icons' into 'master'
  * Merge branch 'tabular-menus' into 'master'
  * Remove vestigial ::event support
  * Drop GtkPopoverMenu::position
  * Merge branch 'popover-menu-position' into 'master'
  * Rename some references to GTK+
  * Drop GtkButtonBox
  * Add an explicit fribidi dep
  * gdk: Add a copy of some deprecated pango api
  * gdk: Stop using deprecated pango api
  * gtk: Stop using deprecated pango api
  * Merge branch 'pango-deprecation' into 'master'
  * Merge branch 'drop-the-plus' into 'master'
  * about dialog: Stop setting secondary
  * Merge branch 'no-more-plus' into 'master'
  * Drop buttonbox from tests
  * Drop gtkboxprivate.h
  * Merge branch 'kill-buttonbox' into 'master'
  * A few forgotten button box functions
  * Reduce includes of gtkinvisible.h
  * filechoosernativeportal: Stop using an invisible
  * printoperation-win32: Stop using an invisible
  * Make the invisible invisible
  * Make GtkInvisible private
  * Merge branch 'less-invisible' into 'master'
  * stack: Convert child properties to a child meta object
  * builder: Allow specifying objects inline
  * tools: Split gtk-builder-tool
  * builder tool: Rewrite the simplify command
  * Document --3to4
  * builder tool: Operate on multiple files
  * Update ui files to new stack syntax
  * Some small additions to the migration guide
  * migration guide: Mention --3to4
  * assistant: Convert child properties to a child meta object
  * builder-tool: Convert assistant pages too
  * Merge branch 'stackpage' into 'master'
  * Fix compiler warnings
  * assistant: Fix the default value of has-padding
  * shortcuts window: Fix a leftover use of child properties
  * stack: Make the child meta work without stack
  * assistant: Fix up property notification
  * stack: Fix up property notification
  * notify test: Omit GtkStackPage::position
  * assistant: Fix a refcounting oversight
  * a11y tests: Update stack ui file
  * a11y tests: Update assistant ui file
  * a11y tests: Update dialog-related output
  * a11y tests: Update actionbar output
  * Merge branch 'idle-test-recentmanager' into 'master'
  * widget-factory: Reinstate some lost properties
  * builder-tool: Fix preserving properties
  * Avoid introspection warnings
  * Fix icon installation
  * flatpak: Stop renaming icons
  * Merge branch 'wip/jimmac/app-icons' into 'master'
  * gtk-demo: Fix the sidebar demo
  * testsuite: Add selection model tests
  * testsuite: omit some selection properties
  * stack: Add a GtkStackPage::visible property
  * stack: Provide a selection model
  * stack switcher: Use the selection model
  * a11y tests: Adapt to changes
  * stack sidebar: Use the selection model
  * stack: Drop the position property
  * Merge branch 'fix-typo' into 'master'
  * selection tests: Plug a memory leak
  * Reorder tests
  * add more autoselect tests
  * Exclude some tests on too-old glib
  * Merge branch 'stack-fixes' into 'master'
  * gtk-demo: Fix fishbowl setup
  * Merge branch 'fix-fishbowl' into 'master'
  * about dialog: Adapt to new stack visiblity handling
  * Revert a non-working addition
  * testsuite: Consider bookmark-new as required icon
  * Add image-missing to the internal icons
  * icon theme: Remove fallbacks
  * resources: Include more icon directories
  * resources: Include more icons
  * spin button: Use guaranteed icons
  * page setup dialog: Use theme icons
  * widget-factory: Include our own icons
  * sidebar demo: Use an existing icon
  * stack demo: Use the proper icon name
  * gtk-demo: Include our own icons
  * Update check-icon-names tests
  * Merge branch 'included-icons' into 'master'
  * selection model: Add sanity checks
  * stack: Avoid some ugly unrefs
  * stack: Don't leak a reference
  * stack: Fix a corner-case
  * stack: Don't emit bad ::selection-changed signals
  * Add a missing icon
  * inspector: Fix selecting objects with a next tab
  * inspector: Add an api to activate an object
  * inspector: Make object property inspection work again
  * stack: Add a pages property
  * inspector: Support list model properties
  * Exempt "pages" properties from defaultvalue test
  * assistant: Add a pages property
  * stack: Fix a crash
  * singleselection: Make tests build without warnings
  * assistant: Add docs
  * assistant: Use a stack
  * Drop GtkAssistantPage::has-padding
  * Merge branch 'assistant-cleanup' into 'master'
  * Merge branch 'wip/otte/boxes' into 'master'
  * a11y: Update assistant test output
  * editable: Add more to interface
  * entry: Implement new editable iface
  * spin button: Implement and use editable interface
  * Add a GtkText widget
  * Make emoji completion work for GtkText
  * Add a GtkTextAccessible
  * entry: Delegate to GtkText
  * entry accessible: Make this work with the text widget
  * spin button: Use GtkText
  * search entry: temporarily disable some functions
  * treeview: Disable some search entry functionality
  * treeview: use a GtkText as search entry
  * entry completion: Make this work again
  * Add GtkPasswordEntry
  * Add a test for GtkPassworkEntry
  * search entry: Use a GtkText
  * search bar: Work with the new GtkSearchEntry
  * treeview: make search work
  * inspector: Work with new search entry
  * gtk-demo: Make the delayed search demo work
  * Fix the search bar example
  * app chooser: Use editable api on search entry
  * font chooser: Use editable api on search entry
  * file chooser: Use editable api on the search entry
  * widget-factory: Don't set can-focus on entries
  * testsuite: update css node tests
  * defaultvalue test: Exempt GtkText::buffer
  * focus test: Use a GtkText instead
  * a11y tests: Update expected output
  * a11y text test: Use a GtkText instead
  * Fix testtreesort warnings
  * Add editable delegate api to docs
  * Mention GtkEditable and entries in the migration guide
  * search entry: Add a tooltip to th clear icon
  * Merge branch 'text' into 'master'
  * Application: Support sandboxed session state changes
  * application: Add a query-end signal
  * Merge branch 'portal-session-state-master' into 'master'
  * stack sidebar: Fix sorting
  * Fix gtk_widget_compute_transform
  * search entry: Add private api to get the text widget
  * emoji chooser: Don't use entry api on search entries
  * text: Remove the ::has-frame property
  * Merge branch 'wip/carlosg/fix-search-entry' into 'master'
  * Merge branch 'wip/jimmac/unbreak-spinbuttons' into 'master'
  * search entry: Quiet a compiler warning
  * text: Make this a final class
  * text: Remove has-frame leftovers
  * css tests: Update expected output for entries
  * assistant: Remove weak pointer in finalize
  * notebook: Rename an internal macro
  * Make GtkNotebookPage an object
  * Add GtkNotebookPage properties
  * Turn labels into page properties
  * Allow builder to add notebook pages
  * notebook: Add a pages model
  * notebook: Fix up ref counting
  * Implement position property somewhat
  * builder-tool: Rewrite notebooks
  * print dialog: Use notebook pages in ui file
  * widget-factory: Use notebook pages in the ui file
  * notebook: Fix up issues with property notification
  * a11y tests: Update ui files
  * css tests: Update ui files for notebooks
  * builder test: Update notebooks
  * tests: Update property tests
  * Merge branch 'nbpage' into 'master'
  * Add more info to the migration guide
  * Add new notebook apis to the docs
  * Merge branch 'piotrdrag/typo-assitant' into 'master'
  * gtk-demo: Fix fallout from the notebook page merge
  * Merge branch 'piotrdrag/rename-gtk-inspector' into 'master'
  * Drop key themes
  * Remove css test for key bindings
  * Merge branch 'key-themes' into 'master'
  * Remove support for -gtk-key-bindings: css property
  * Remove docs for css keybindings
  * more css keybinding removal
  * More css key bindings removal
  * gtk-demo: Move the blur demo code here
  * gtk-demo: Fix the decorative overlay example
  * overlay: Drop the blur support
  * overlay: Drop the index child property
  * remove tests that no longer work
  * Make gtk_widget_set/get_can_pick public
  * testoverlay: Use gtk_widget_set_can_pick
  * gtk-demo: Use gtk_widget_set_can_pick
  * overlay: Remove gtk_overlay_set_overlay_pass_through
  * Update migration guide for pass-through
  * Merge branch 'overlay-cleanup' into 'master'
  * search entry: Don't force-create the accessible
  * entry accessible: Make work with almost-entries
  * search entry: Use a GtkEntryAccessible
  * search/password entry: Prevent expand leaks
  * widget: Remove ::event leftovers
  * inspector: Stop using ::hierarchy-changed
  * drag dest: Stop using ::hierarchy-changed
  * ime: Stop using ::hierarchy-changed
  * xim: Stop using ::hierarchy-changed
  * text handle: Stop using ::hierarchy-changed
  * popover: Stop using ::hierarchy-changed
  * file chooser: Stop using ::hierarchy-changed
  * header bar: Stop using ::hierarchy-changed
  * label: Stop using ::hierarchy-changed
  * menu bar: Stop using ::hierarchy-changed
  * gtk-demo: Stop using ::hierarchy-changed
  * widget: Drop ::hierarchy-changed
  * Drop the anchored field
  * Document that root and unroot must chain up
  * Merge branch 'kill-hierarchy-changed' into 'master'
  * surface: Introduce an ::event signal
  * widget: Connect to GdkSurface::event
  * Stop using gdk_event_handler_set
  * Drop some dead code
  * Drop gdk_event_handler_set
  * doc: Rewrite the drawing model overview
  * Merge branch 'drawing-model-refresh' into 'master'
  * gdk: Document surface signals
  * docs: Refresh the "Q & A" part
  * Quietly ignore GDK_NOTHING events
  * inspector: Make picking work again
  * fixup: warn about nothing events
  * a11y tests: Update output for entries
  * Add gtk_root_get_for_surface
  * ime: Stop using gdk_surface_get_user_data
  * xim: Stop using gdk_surface_get_user_data
  * main: Stop using gdk_surface_get_user_data
  * tooltip: Stop using gdk_surface_get_user_data
  * inspector: Stop using gdk_surface_get_user_data
  * gtk-demo: Stop using gdk_surface_get_user_data
  * Remove gdk_surface_set_user_data
  * Merge branch 'kill-register-surface' into 'master'
  * transform: Fix a wrong annotation
  * notebook: Document new apis
  * inspector: Avoid grabs for inspecting
  * Drop GtkInvisible
  * Revert "inspector: Make picking work again"
  * docs: Some cosmetic fixups
  * docs: Remove a mention of Gtkinvisible
  * gitlab templates: Its just GTK now
  * docs: Its just GTK now
  * docs: Its just GTK now
  * gdk: Rename our vulkan context to GTK
  * docs: Its just GTK now
  * docs: Remove some no-longer-existing api
  * docs: Miscellaneous doc fixes
  * entry: Make placeholder-text work again
  * Merge branch 'wip/hadess/window-present-docs' into 'master'
  * container: Remove the ::set-focus-child signal
  * widget: Remove the ::grab-focus signal
  * testsuite: Stop using grab-focus as a keybinding signal
  * window: Undo the deprection of gtk_window_present
  * treeview: Stop using set_focus_child
  * entry: Don't use the buffer directly
  * entry, spin button: Drop redundant API
  * gtk-demo: Minimally fix the sarch entry demo
  * entries: Fix mnemonic activation
  * search entry: Fix a copy-paste error
  * Merge branch 'adwaita-typo-fix-master' into 'master'
  * x11: Don't emit GDK_NOTHING events
  * a11y: More entry fixes
  * password entry: Initialize capslock state
  * password entry: Add placeholder-text and activates-default
  * gtk-demo: Add a password entry demo
  * password entry: a better Caps Lock icon
  * entry: Make progress bar not pickable
  * password entry: Use text cursor for Caps Lock indicator
  * password entry: Make the Caps Lock icon less prominent
  * password entry: Add a way to see the content
  * gtk-demo: Show password peek icon
  * Add a tagged entry demo
  * password entry: Don't show both icons
  * widget: Check rootness for invisibility
  * single selection: Skip tests properly
  * search entry: Fix property notification
  * password entry: Fix property notification
  * Redo focus handling
  * root: Add focus
  * window: Implement the root focus api
  * Port widgets to the root focus API
  * Move a check to gtk_window_set_focus
  * Simplify the move_focus api
  * widget: Drop the ::focus signal
  * Exclude non-drawable widgets from focus
  * widget: Add a private setter for has-focus
  * Drop gtk_widget_send_focus_change
  * inspector: Stop using ::set-focus
  * filechooser: Stop using ::set-focus
  * popover: Stop using ::set-focus
  * window: Remove ::set-focus
  * window: Remove initial-focus builder support
  * Clarify grab_focus docs
  * gdk: Add crossing mode and detail to focus events
  * gdk: Rename gdk_event_set_user_data
  * gdk: Add a related_target field to some events
  * Share crossing and focus change event code
  * Export gtk_synthesize_crossing_events internally
  * window: Use gtk_synthesize_crossing_events
  * Some fixes to crossing event generation
  * Move maintaining the focus chain
  * Pass mode and detail to focus-in/out signals
  * key controller: Fix a copy/paste error
  * key controller: Add focus properties
  * key controller: Add getters for focus event targets
  * key controller: Improve the docs
  * key controller: Enforce limitations of key forwarding
  * Add key controller API to the docs
  * Make gtk_widget_get_focus_child public
  * Use root in gdk_synthesize_crossing_events
  * Update the focus test
  * a11y tests: Update expected results
  * xim: Stop using GtkWidget::event
  * Merge branch 'wip/matthiasc/focus3' into 'master'
  * a11y tests: Clean up the placeholder-text test
  * motion controller: add details to signals
  * motion controller: Add focus properties
  * motion controller: Add getters for crossing event targets
  * widget: Fix a mission annotation
  * editable: Fix a thinko
  * paned: Don't use a grab
  * Merge branch 'wip/carlosg/include-constructors-header' into 'master'
  * Merge branch 'crossing-details' into 'master'
  * Merge branch 'paned-no-grab' into 'master'
  * motion controller: Install the properties
  * Adapt to motion controller api change
  * One forgotten leave signal handler
  * main: Fix crossing event generation for parented roots
  * window: Update state flags
  * Merge branch 'wip/jimmac/focus-ring-radii' into 'master'
  * Merge branch 'adwaita-headerbar-switch-margins-master' into 'master'
  * Merge branch 'adwaita-selectionmode-checkboxes-master' into 'master'
  * Merge branch 'adwaita-remove-selectionmode-assets-master' into 'master'
  * entry: Disconnect text signals in dispose
  * Remove debug spew
  * Stop walking parent surfaces for crossing event generation
  * Fix hover state handling
  * color editor: Don't warn if editing is cancelled
  * Remove a dead file
  * Remove gdk_device_warp
  * win32: Drop the warp implementation
  * Fix the windows build
  * Yet another win32 build fix
  * Merge branch 'wip/layout-manager' into 'master'
  * Add a window move/resize test
  * Avoid root coordinates in begin_drag/move apis
  * a11y: Don't support changing widget size and position
  * tests: Stop using gtk_window_move
  * file chooser: Stop using gtk_window_get_position
  * treeview: Stop using gtk_window_move
  * Drop gtk_window_move and gtk_window_get_position
  * tests: Stop using gtk_window_set_gravity
  * Remove GtkWindow::gravity
  * gdk: Stop using gdk_surface_get_device_position
  * gtk: Stop using gdk_surface_get_device_position
  * Drop gdk_surface_get_device_position
  * Rename gdk_surface_get_device_position_double
  * gdk: Stop using gdk_device_get_position
  * gtk: Stop using gdk_device_get_position
  * Drop gdk_device_get_position
  * Rename gdk_device_get_position_double
  * gdk: Stop using gdk_device_get_surface_at_position
  * gtk: Stop using gtk_device_get_surface_at_position
  * Drop gdk_device_get_surface_at_position
  * Rename gdk_device_get_surface_at_position_double
  * Merge branch 'gdk-api-cleanups' into 'master'
  * Merge branch 'get_caret_offset_negative_one' into 'master'
  * password entry: Fix sizing
  * search entry: Fix sizing
  * text: Allow growing entries
  * Merge branch 'entry-sizing' into 'master'
  * Migration guide: Updates
  * dialog: Stop using GtkHeaderBar::pack-type
  * header bar: Drop pack-type
  * action bar: Drop pack-type
  * builder-tool: Rewrite pack-type
  * Convert all ui files
  * Mention pack-type in the migration guide
  * Merge branch 'pack-type' into 'master'
  * migration guide: Improve warp-pointer entry
  * Merge branch 'fixed-layout' into 'master'
  * file chooser: Stop setting a role
  * Remove GtkWindow::role
  * gdk: Stop implementing set_role
  * gdk: Drop gdk_surface_set_role
  * popover menu: Add an api for adding submenus
  * popover menu: Drop the submenu child property
  * builder-tool: Rewrite GtkPopoverMenu::submenu
  * Convert ui files
  * win32: Add a missing include
  * win32: Drop set_role
  * toolbar: Remove the homogeneous and expand child properties
  * builder-tool: Rewrite toolbar child properties
  * Convert ui files
  * Merge branch 'window-api-cleanup' into 'master'
  * paned: Replace the child properties
  * builder-tool: Rewrite paned child properties
  * Convert ui files
  * Merge branch 'child-properties' into 'master'
  * Merge branch 'gbsneto/install-header' into 'master'
  * Merge branch 'layout-child-type' into 'master'
  * overlay: Use a layout manager
  * builder-tool: Convert overlay child properties
  * builder-tool: Small refactoring
  * Convert ui files
  * Merge branch 'overlay-layout' into 'master'
  * Bump meson req to 0.50
  * gsk: Add GskRoundedRect to the docs
  * gsk: Fix up docs a bit
  * gtk: Some documentation cleanups
  * overlay: Remove no-longer-existing api from header
  * popover menu: Fix a parameter name mismatch
  * file chooser entry: Fix a crash
  * builder-tool: Don't strip the xml declaration
  * Merge branch 'adwaita-radii-fixes-master' into 'master'
  * Merge branch 'cube-spin' into 'master'
  * testrevealer: Cover the new transitions
  * revealer: Add a missing break
  * Remove gdk_device_grab/ungrab from public api
  * Add a missing include
  * Don't mark GDK_SURFACE_STATE_TILED as deprecated
  * Merge branch 'remove-deprecations' into 'master'
  * Merge branch 'wip/ebassi/align-test' into 'master'
  * text: Handle 'inverted' selections
  * Trigger bindings when forwarding key events
  * Merge branch 'fix-event-forwarding' into 'master'
  * Stop using deprecated style context api
  * Drop deprecated style context api
  * Merge branch 'deprecations' into 'master'
  * tooltips: Don't use a cursor_size of 0
  * Fix up the border/background-color removal
  * Fix menuitem hover
  * Fix filechooser search
  * docs: Remove mention of passwords from broadwayd(1)
  * icon-browser: Fix name alignment
  * Merge branch 'reftests.fixes.msvc' into 'master'
  * Drop gtkbuilder.rnc
  * Namespace some auxiliary files
  * post-install: Use gtk4-update-icon-cache
  * Rename debug settings to org.gtk.Settings.Debug4
  * gtk-demo: Rename to org.gtk.Demo4
  * widget-factory: Rename to org.gtk.WidgetFactory4
  * icon-browser: Rename to org.gtk.IconBrowser4
  * flatpaks: Drop dconf permissions
  * Add a flatpak manifest for org.gtk.IconBrowser4
  * Merge branch 'appnames' into 'master'
  * gdk: Change some async clipboard api
  * gdk: Change some async dnd api
  * Merge branch 'wip/ebassi/fixed-layout-v2' into 'master'
  * Merge branch 'adwaita-selected-row-switch-fix-master' into 'master'
  * Merge branch 'async-api' into 'master'
  * Rename all settings schemas to avoid conflict
  * Merge branch 'wip/ebassi/fixed-demo' into 'master'
  * inspector: Properly clean up
  * gtk-demo: Don't expand tabs
  * inspector: Drop the signals page
  * inspector: Drop the css selector page
  * inspector: Drop the class hierarchy page
  * inspector: Drop the child property page
  * inspector: Redo the object page switcher
  * inspector: Manage visibility of stack pages
  * inspector: Rename a few pages
  * Merge branch 'inspector-tweaks' into 'master'
  * Merge branch 'patch-1' into 'master'
  * Merge branch 'wip/carlosg/paned-cursor' into 'master'
  * Merge branch 'wip/carlosg/drop-search-handle-event' into 'master'
  * Fix teststack
  * Merge branch 'zbrown/type-info' into 'master'
  * Drop gdk_wayland_surface_set_use_custom_surface
  * Merge branch 'custom-surface' into 'master'
  * Merge branch 'wip/ebassi/grid-layout' into 'master'
  * builder-tool: Don't empty out <mark> elements
  * A round of + removal
  * file chooser: Fix some compiler warnings
  * searchbar: Fix a compiler warning
  * grid: Annotate out args as optional
  * print dialog: Stop using gtk_container_child_get
  * Remove testtitlebar
  * Remove testactionbar
  * gtk-demo: Stop using child properties
  * notebook: Stop using child properties
  * paned: Stop using child properties
  * testgtk: Stop using child properties
  * builder-tool: Stop using child properties
  * Drop child property related apis
  * container: Reduce boilerplate
  * testsuite: Remove packing property tests
  * Merge branch 'child-properties-be-gone' into 'master'
  * Fix the inspector
  * print dialog: Rewrite example
  * buildable: Remove a mention of <packing>
  * Merge branch 'child-props-followup' into 'master'
  * Show layout children in the inspector
  * inspector: Avoid a critical
  * Merge branch 'inspector-layout' into 'master'
  * Merge branch 'gtk-4-file-containers-in-sidebar' into 'master'
  * Make menu activation work again
  * Merge branch 'menushell-bandaid' into 'master'
  * Remove a few stray <packing/> elements
  * builder-tool: Handle layout properties gracefully
  * widget: Remove some leftover child-property code
  * Updates for 3.96
  * combo box: Remove leftovers in the header
  * HighContrast: fix focus
  * gdk: Fix an indentation mishap
  * inspector: Fix a copy-paste error
  * inspector: Clean up on finalize
  * inspector: Rearrange settings a bit
  * inspector: Autosave css
  * inspector: Warn if using the default display
  * Merge branch 'inspector-fixes' into 'master'
  * widget: Propagate display changes to the style context
  * inspector: Disable autoloaded custom css initially
  * Merge branch 'inspector-work' into 'master'
  * NEWS: More details about transforms
  * treeview: Make expanders work again
  * Merge branch 'treeview-expander-fix' into 'master'
  * widget: Make contains respect rounded borders
  * widget: Make contains just be about position
  * gizmo: Add a contains_func
  * paned: Drop the pick vfunc
  * window: Stop implementing pick
  * widget: Drop the pick vfunc
  * Add a flags argument to gtk_widget_pick
  * tooltip: Allow tooltips on insensitive widgets again
  * inspector: Allow picking insensitive widgets again
  * Document GtkPickFlags
  * Keep a drawable check in gtk_widget_contains
  * Rename things
  * Merge branch 'pick-insensitive2' into 'master'
  * Merge branch 'wip/cellrendererpixbuf-fallbacks' into 'master'
  * Merge branch 'frame-clock' into 'master'
  * Adwaita: Add spacing to message dialogs
  * inspector: Fix css autosave
  * inspector: Make rows activatable
  * inspector: Cometic fixes for controllers
  * inspector: Improve property list editing
  * Merge branch 'inspector-props' into 'master'
  * inspector: Drop binding info
  * inspector: Modernize action references
  * Fix a crash
  * inspector: Revamp attribute and action info
  * inspector: Cosmetics
  * inspector: Show readonly property values
  * Merge branch 'validate-alloc-size' into 'master'
  * Merge branch 'gtkcomposetable-checked-mul' into 'master'
  * inspector: Fix editing in the property list
  * listbox: Add a ::show-separators property
  * Adwaita: Implement list separators
  * inspector: Use the new show-separators property
  * Merge branch 'test-locale-change' into 'master'
  * widget-factory: Add an Inspector menu item
  * widget-factory: Update copyright line
  * Merge branch 'widget-factory-inspector' into 'master'
  * gtk-demo: Add a gear menu
  * icon-browser: Recover from GtkDialog api change
  * icon-browser: Left-align the sidebar
  * Merge branch 'gtk-demo-inspector' into 'master'
  * builder-tool: Tweak --help output
  * dialog: Fix a doc typo
  * Merge branch 'icon-browser-tweaks' into 'master'
  * Remove two more plusses
  * Merge branch 'wip/otte/werror' into 'master'
  * Add a png version of process-working-symbolic
  * text: Refine the touch popup
  * textview: Refine touch popup
  * HighContrast: Fix a typo
  * Avoid a crash without librsvg
  * Survive absence of librsvg without criticals
  * wayland: Avoid using uninitialized memory
  * Merge branch 'handle-tool-scale-fix' into 'master'
  * css: Letterspacing affects text size
  * Merge branch 'letterspacing-resize' into 'master'
  * css: Some updates to internal docs
  * css: Kerning affects text size
  * Merge branch 'style-prop-change' into 'master'
  * label: Stop juggling cursors
  * text: Stop juggling cursors
  * window: Stop juggling cursors
  * Merge branch 'cursor-things' into 'master'
  * window: Fix an oversight
  * wayland: Improve debug output for events
  * Fix a compiler warning
  * window: Drop some x11-specific apis
  * surface: Drop group api
  * Merge branch 'drop-skip-pager' into 'master'
  * gdk: Remove an unused field
  * Merge branch 'unused-typehint' into 'master'
  * window: Remove dropped api from headers
  * Merge branch 'forgotten-file' into 'master'
  * builder-tool: Fix property check
  * builder-tool: Check canonical names
  * Merge branch 'simplify-fixes' into 'master'
  * Merge branch 'csserror-g-decls' into 'master'
  * Merge branch 'wip/jimmac/type-experiments' into 'master'
  * Merge branch 'fix-and-improve-linked-button-style' into 'master'
  * Merge branch 'wip/widget-position-changed-callbacks' into 'master'
  * a11y: Stop using gtk_widget_get_parent_surface
  * tests: Stop using gtk_widget_get_parent_surface
  * popover: Stop using gtk_widget_get_parent_surface
  * widget: Drop gtk_widget_set_parent_surface
  * Merge branch 'parent-surface' into 'master'
  * Merge branch 'wip/alexl/gl-debug' into 'master'
  * Merge branch 'wip/surface-transform-data' into 'master'
  * fontchooser: Fix type-to-search
  * Merge branch 'font-chooser-search' into 'master'
  * file chooser: Fix Ctrl-L
  * widget-factory: Add non-modal popovers
  * widget-factory: Add some nested popovers
  * Merge branch 'file-chooser-search' into 'master'
  * widget-factory: Make a resizing popover
  * Merge branch 'popover-demos' into 'master'
  * file chooser: Prevent accidental search
  * Merge branch 'file-chooser-escape' into 'master'
  * Merge branch 'wip/baedert/filechooser2' into 'master'
  * file chooser: Stay focused
  * Merge branch 'file-chooser-location-escape' into 'master'
  * inspector: Make property list sortable again
  * Merge branch 'inspector-prop-sort' into 'master'
  * window: Fix up the buildable implementation
  * widget: Remove special handling of has-focus
  * Drop gtk_window_activate_focus
  * Avoid critical warnings
  * Merge branch 'focus-cleanup' into 'master'
  * widget: Add a convenience api to activate actions
  * window: Add a default-widget property
  * Rename gtk_window_set_default
  * popover: Add a default-widget property
  * window: Add a default.activate action
  * popover: Add a default.activate action
  * Add gtk_widget_activate_default
  * label: Activate default via action
  * entry: Activate default via action
  * mount operation: Handle default activation via action
  * file chooser: Stop using gtk_window_activate_default
  * Drop gtk_window_activate_default
  * Stop using gtk_widget_grab_default
  * widget-factory: Stop setting has-default in ui files
  * widget: Remove special handling for has-default
  * widget: Drop gtk_widget_grab_default
  * inspector: Stop showing default widget in misc
  * Drop the can-default property
  * tests: Fix a default-related test
  * Fix builder parser tests
  * Merge branch 'default-handling' into 'master'
  * wayland: Reshuffle some internals
  * Merge branch 'wayland-grab-fix' into 'master'
  * icon view accessible: Stop presenting windows
  * window: Set cursor on the right surface
  * tooltip: Remove an unused gdk_surface_get_root_coords call
  * Merge branch 'tooltip-cleanup' into 'master'
  * surface: Add a frame-clock property
  * Adwaita: Give model buttons visible focus
  * Merge branch 'frameclock-property' into 'master'
  * Merge branch 'modelbutton-focus' into 'master'
  * window: Prevent resize cursors from sticking
  * Merge branch 'grab-cursor-fix' into 'master'
  * builder: Fix signedness issues in apis
  * textutil: Fix signedness issues in api
  * Merge branch 'window-activate-revert-master' into 'master'
  * Merge branch 'xdg-output' into 'master'
  * Merge branch 'minus-one' into 'master'
  * entry: only notify properties we have
  * inspector: Don't listen for notify twice
  * inspector: Track readonly property values
  * text: Make Emoji insertion work properly
  * Merge branch 'entry-fix' into 'master'
  * Adwaita: Fix 'add color' button corners
  * Merge branch 'add-color-button-fix' into 'master'
  * seat: Add a sanity check
  * gdk: add a sanity check for events
  * wayland: sanity check events at the source
  * gtk-demo: Make the expander demo behave again
  * Merge branch 'expander-demo-fix' into 'master'
  * tests: Stop using gtk_menu_set_display
  * Remove gtk_menu_set_display
  * menus: Fix menus on non-default displays
  * Merge branch 'inspector-menu-fix' into 'master'
  * window: Implement display change via root/unroot
  * menu: Listen only for notify::root
  * gtk: Use root/unroot instead of display-changed
  * Drop the GtkWidget::display-changed signal
  * Make file chooser saving work again
  * Merge branch 'kill-display-changed' into 'master'
  * inspector: Show the default.activate action
  * Merge branch 'filechooser-save-again' into 'master'
  * inspector: Fix showing of menus
  * Merge branch 'inspector-actions' into 'master'
  * Merge branch 'inspector-menus' into 'master'
  * gdk: Documentation improvements
  * gsk: Documentation tweaks
  * box layout: Documentation additions
  * gtk: Small documentation fixes
  * event controller: Don't deliver events to insensitive widgets
  * gesture: Chain up in filter_event
  * widget: Reset controllers when going numb
  * spin button: Listen for ::cancel on gestures
  * fixup! event controller: Don't deliver events to insensitive widgets
  * Merge branch 'event-controller-sensitive' into 'master'
  * NEWS: Updates
  * migration guide: Updates
  * css: Use multiple font-family values
  * Add a reftest for multiple font families
  * Merge branch 'font-families' into 'master'
  * Make the newly added test a bit more robust
  * docs: Some updates to the input overview
  * docs: Some additions to the overview
  * docs: Add an actions overview
  * emoji chooser: populate incrementally
  * emoji chooser: Fix handling of no recent Emoji
  * emoji chooser: Make Escape work again
  * builder-tool: Handle GtkWidget::visible properly
  * window: Make _gtk_window_set_is_active static
  * window: Stop duplicating focus change events
  * entry: Drop our own Emoji chooser
  * builder-tool: Handle default values changing
  * Merge branch 'emoji-chooser-fixes' into 'master'
  * Merge branch 'builder-tool-fixes' into 'master'
  * Merge branch 'focus-fixes' into 'master'
  * Fix the simplify test
  * testsuite: Add tests for ui file rewriting
  * builder-tool: Stop warnings for stack rewrites
  * builder-tool: Handle layout properties more properly
  * Add some tests
  * Merge branch 'simplify-tests' into 'master'
  * Merge branch 'header-bar-leak4' into 'master'
  * widget: Revert the event translation change
  * a11y: Stop using child-notify
  * Update a11y tests
  * Mark a failing reftest as xfail
  * 3.96
  * Fix a compiler warning
  * Fix the compiler warning, again
  * gdk: Add a profiler
  * Add a way to start the profiler
  * frame clock: Add tracing
  * gsk: Add some more profiler apis
  * gsk: Add tracing to the gl renderer
  * gsk: Add tracing to the vulkan renderer
  * GtkApplication: Add a profiler dbus api
  * Add docs
  * Merge branch 'tracing' into 'master'
  * emoji chooser: Name the idle
  * Merge branch 'gdk-win32-unimplement-vfuncs' into 'master'
  * inspector: Style the property list
  * Merge branch 'inspector-css' into 'master'
  * inspector: Port actions to a list view
  * Merge branch 'inspector-css' into 'master'
  * inspector: Fix showing the frame clock
  * Improve the action editor more
  * Merge branch 'inspector-css' into 'master'
  * css provider: Remove outdated version check
  * Correct theme loading docs
  * profiler: Update the D-Bus interface name
  * Profiler: drop the public api
  * Drop the public profiler api
  * css provider: Stop mentioning key themes
  * settings: Update docs
  * Reinstate the activate-focus keybinding
  * about dialog: Fix page visibility
  * Merge branch 'default-decoration-dialogs' into 'master'
  * key controller: Don't eat modifier events
  * Merge branch 'modifier-events' into 'master'
  * Merge branch 'openbsd-pid_get_parent' into 'master'
  * profiling: Only use frame timings when we have them
  * Fix registration of profiler DBus api
  * Try again to fix profiler setup
  * Merge branch 'wip/carlosg/no-x11-core-events' into 'master'
  * profiler: Prefer CLOCK_MONOTONIC
  * Redo frame profiling
  * Merge branch 'frame-profiling' into 'master'
  * always record a frame end time when profiling
  * Merge branch 'frame-profiling' into 'master'
  * Add clock freezes to the profile
  * Merge branch 'openbsd-pid_get_parenvt-v2' into 'master'
  * menubutton: Don't derive from GtkToggleButton
  * a11y: Adapt to menu button changes
  * Update all users for menubutton changes
  * Adapt tests
  * Merge branch 'menubutton-no-button' into 'master'
  * profiling: Add a counter for pixels drawn per frame
  * gtk: Stop using gtk_button_clicked
  * demos: Stop using gtk_button_clicked
  * Drop gtk_button_clicked
  * Merge branch 'button-clicked' into 'master'
  * wayland: Keep some resources until destroy
  * widget-factory: menu buttons can't have children
  * wayland: Make popups work more than once
  * Merge branch 'frame-pixel-counter' into 'master'
  * Trivial: Remove a few +'s
  * Cosmetic changes
  * Padding review
  * message dialog: Make not subclassable
  * Revert "wayland: Make popups work more than once"
  * Padding review
  * password entry: Make not subclassable
  * size group: Make not subclassable
  * css provider: Make not subclassable
  * shortcuts window: Make not subclassable
  * Forgotten file
  * settings: Make not subclassable
  * sizegroup: Drop the priv pointer
  * application window: Drop the priv pointer
  * settings: Drop the priv pointer
  * volume button: Don't allow subclassing
  * popover: Cosmetics
  * popover menu: Make not subclassable
  * Fix a compiler warning
  * link button: Don't allow subclassing
  * lock button: Don't allow subclassing
  * x11: Remove to unused settings
  * builder-tool: Remove debug spew
  * inspector: Don't apply button api to menu buttons
  * gtk-demo: Fix menubutton usage in listbox demo
  * menu button: Add a relief property
  * widget-factory: Reinstate flat menu buttons
  * gtk-demo: Reinstate flat menu buttons
  * Merge branch 'issue1901-gtk4' into 'master'
  * fishbowl: Don't show ridiculous precision
  * fishbowl: Fix the lock button
  * menu button: Add popup/popdown functions
  * fishbowl: Add a menubutton demo
  * broadway: add frame times to the profiler
  * widget-factory: Add some animation in a popover
  * Revert "wayland: Keep some resources until destroy"
  * Cosmetics
  * color plane: Don't allocate 0-size textures
  * surface: fix up docs
  * Trivial
  * viewport: Make final
  * viewport: Cleanup
  * textview: Use standard padding
  * icon theme: Make final
  * switch: Make final
  * page setup dialog: Make final
  * page setup dialog: Drop the priv pointer
  * print dialog: Make final
  * print dialog: Drop the priv pointer
  * stack sidebar: Make final
  * stack switcher: Make final
  * Rename gtkprinter-private.h
  * printer: Make private
  * printer: Drop the priv pointer
  * print job: Make final
  * Rename gtkprintbackend.h to gtkprintbackendprivate.h
  * print operation: Use standard class padding
  * print operation: Drop the priv pointer
  * progress bar: Make final
  * spinner: Make final
  * calendar: Make final
  * calendar: Drop the priv pointer
  * cell renderer: Use standard padding
  * cell renderer accel: Make final
  * cell renderer accel: Drop the priv pointer
  * cell renderer combo: Make final
  * cell renderer combo: Drop the priv pointer
  * cell renderer toggle: Make final
  * cell renderer toggle: Drop the priv pointer
  * cell renderer text: Use standard padding
  * cell renderer text: Drop the priv pointer
  * cell renderer spinner: Make final
  * cell renderer spinner: Drop priv pointer
  * cell renderer spin: Make final
  * cell renderer spin: Drop the priv pointer
  * cell renderer progress: Make final
  * cell renderer progress: Drop the priv pointer
  * cell renderer pixbuf: Make final
  * cell renderer pixbuf: Drop the priv pointer
  * about dialog: Make final
  * accel label: Make final
  * assistant: Make final
  * assistant: Drop the priv pointer
  * aspect frame: Make final
  * cell area: Use standard padding
  * cell area: Drop the priv pointer
  * builder: Use standard padding
  * cell area box: Drop the priv pointer
  * action bar: Make final
  * Drop cellarea subclassing tests
  * cell view: Make final
  * cell view: Drop the priv pointer
  * combo box text: Make final
  * combo box: Use standard padding
  * gl area: Use standard padding
  * image: Make final
  * level bar: Make final
  * info bar: Make final
  * header bar: Make final
  * scrollbar: Make final
  * separator: Make final
  * cell area context: Use standard padding
  * cell area context: Drop the priv pointer
  * expander: Make final
  * status bar: Make final
  * separator menu item: Make final
  * separator tool item: Make final
  * entry: Use standard padding
  * revealer: Make final
  * menu button: Make final
  * menu shell: Use standard padding
  * menu item: Use standard padding
  * scale: Use standard padding
  * range: Use standard padding
  * search entry: Make final
  * spin button: Make final
  * paned: Make final
  * search bar: Make final
  * grid: Use standard padding
  * toggle button: Use standard padding
  * check button: Use standard padding
  * radio button: Make final
  * radio menu item: Make final
  * radio menu item: Drop the priv pointer
  * check menu item: Use standard padding
  * check menu item: Drop the priv pointer
  * Merge branch 'meson-man-without-docs' into 'master'
  * Don't load print backends more than once
  * overlay: Make final
  * text tag: Use standard padding
  * text mark: Use standard padding
  * Remove an unused function
  * text tag table: Make final
  * entry completion: Make final
  * color button: Make final
  * color chooser widget: Make final
  * color chooser dialog: Make final
  * color chooser widget: Drop the priv pointer
  * color chooser dialog: Drop the priv pointer
  * app chooser button: Make final
  * app chooser widget: Make final
  * app chooser dialog: Make final
  * app chooser widget: Drop the priv pointer
  * app chooser dialog: Drop the priv pointer
  * font button: Make final
  * font chooser widget: Make final
  * font chooser dialog: Make final
  * font chooser widget: Drop the priv pointer
  * font chooser dialog: Drop the priv pointer
  * file chooser button: Make final
  * file chooser widget: Make final
  * file chooser dialog: Make final
  * file chooser dialog: Drop the priv pointer
  * file chooser widget: Drop the priv pointer
  * Export gtk_widget_render privately
  * widget: guard popover-specific code paths
  * main: guard window-specific code paths
  * Introduce GtkNative
  * native: Add to docs
  * window: Implement GtkNative
  * root: Require GtkNative
  * Add gtk_widget_get_native
  * Use GtkNative APIs instead of GtkRoot
  * Review and replace uses of get_toplevel
  * widget: Use GtkNative
  * GtkRoot: Drop overlap with GtkNative
  * root: Make gtk_root_get_display public
  * widget: Don't snapshot foreign children
  * Introduce event controller propagation limits
  * menushell: Keep outside clicks working
  * surface: Start sketching a new surface type
  * Reimplement GtkPopover
  * Adapt to new popover lifecycle
  * menubutton: Allocate the popover
  * Adwaita: Give popover menus a background
  * widget: Remove some unneeded popover special-casing
  * main: Remove special-case hiding popopvers
  * main: Use gtk_widget_get_native
  * entry completion: Use a popover
  * x11: Stop using child surface api
  * wayland: Stop using child surface apis
  * xim: Stop using child surface apis
  * a11y: Stop supporting ATK_XY_SCREEN
  * widget: Stop using child surface apis
  * Drop child surfaces
  * surface: minor cleanup
  * surface: Remove code dealing with child surfaces
  * wayland: Stop using surface->parent
  * x11: Stop using surface->parent
  * broadway: Stop using surface->parent
  * gdk: Stop using surface->parent
  * Remove surface->parent
  * wayland: Stop using surface->children
  * gdk: Stop using surface->children
  * Remove surface->children
  * surface: Simplify some code
  * surface: Small cleanup
  * surface: Remove abs_x/abs_y
  * surface: Simplify destroy implementation
  * surface: Small simplification
  * Remove gdk_surface_coords_to/from_parent
  * Remove gdk_surface_get_root_coords as public api
  * Drop gdk_surface_get_root_origin
  * Remove gdk_surface_get_geometry as public api
  * x11: Drop a gratitious use of gdk_event_get_root_coords
  * surface: Make gdk_surface_get_device_position void
  * menu: Stop using gtk_widget_register_surface
  * window: Stop using gtk_widget_register_surface
  * popover: Stop using gtk_widget_register_surface
  * Drop gtk_widget_register_surface
  * gdk: Remove remnants of client-side windows
  * docs: Remove references to gdk_device_grab
  * wayland: Remove a useless switch
  * broadway: Stop using gdk_surface_new_temp
  * x11: Stop using gdk_surface_new_temp
  * menu: Stop using gdk_surface_new_temp
  * Drop gdk_surface_new_temp
  * gdk: Remove an unused field
  * gdk: Drop input-only surfaces
  * gdk: Drop GdkWindowAttr
  * gdk: Drop pass-through surfaces
  * surface: Cosmetics
  * Rename surface constructors
  * gdk: Add a private header
  * Get rid of GdkSurfaceImpl
  * x11: Remove useless checks
  * gdk: Introduce a popup surface type
  * surface: Store popup parent
  * surface: Make move-to-rect work for popups
  * surface: Stop setting transient-for for popups
  * wayland: Use popup parents
  * x11: Implement popup surfaces
  * broadway: Track popups
  * surface: Add an autohide property
  * popover: Use GdkSurface::autohide
  * Add gdk_surface_get_parent back
  * widget: Improve warning messages
  * widget: Optimize resize propagation
  * window: Don't inherit cursors across surfaces
  * text: Allocate popovers
  * scale button: Allocate popovers
  * entry: Allocate popovers
  * color swatch: Allocate popovers
  * places sidebar: Allocate popovers
  * text view: Allocate popovers
  * widget: Remove a popover special case
  * Add a testcase for size allocation
  * gdk: Inherit the frame clock for popups
  * x11: Fix handling of frame clock freezes
  * popover: Bring back the beak
  * Add a GdkSurface::parent property
  * Remove gtk_widget_get/set_has_surface
  * Work toward dropping widget->surface
  * Drop GtkWidget::surface
  * Drop gtk_widget_set_surface
  * window: Make unrealize work again
  * testsuite: Fix popover-related failures
  * testsuite: Fix some a11y output
  * win32: Build fixes
  * popover: Rename modal to autohide
  * builder tool: Handle modal->autohide rename
  * Add a test for the property renaming
  * Mention modal->autohide rename in migration guide
  * Stop using gtk_widget_get_surface
  * Drop gtk_widget_get_surface
  * Mention gtk_widget_get_surface in the migration guide
  * Stop using gtk_widget_is_toplevel
  * Drop gtk_widget_is_toplevel
  * Mention gtk_widget_is_toplevel in the migration guide
  * Cosmetics
  * Stop using gtk_widget_get_toplevel
  * Drop gtk_widget_get_toplevel
  * Mention gtk_widget_get_toplevel in the migration guide.
  * tooltip: fix critical warnings
  * surface: Don't dispose the frame clock prematurely
  * win32: Set the surface type
  * popover: Set input shapes on wayland too
  * popover: Make it possible to not have an arrow
  * inspector: Avoid a critical warning
  * Adwaita: Remove Emoji completion special case
  * surface: Make surface-type a property
  * gdk: Maintain popup tree in the frontend
  * surface: Make only toplevels control events
  * win32: Set surface type early enough
  * surface: Fix the fallback move-to-rect implementation
  * popover: Stop needles allocations
  * fishbowl: Don't pop up popovers too early
  * surface: Give backends a chance to disconnect
  * broadway: Disconnect from the frame clock
  * x11: Disconnect from the frame clock
  * win32: Disconnect the frame clock
  * wayland: Disconnect the frame clock
  * popover: Don't constantly redraw the beak
  * surface: Cosmetics
  * Avoid compiler warnings
  * inspector: Show surface and renderer
  * Merge branch 'wip/matthiasc/popup5' into 'master'
  * Forgotten file
  * places sidebar: Don't derive from scrolled window
  * inspector: Stop deriving from scrolled window
  * scrolled window: Make final
  * file chooser error stack: Don't derive from stack
  * stack: Make final
  * iconview: Make final
  * tool button: Use standard padding
  * toggle tool button: Use standard padding
  * radio tool button: Make final
  * menu tool button: Make final
  * Forgotten file
  * menu: Make final
  * toolbar: make final
  * menubar: Make final
  * label: Make final
  * notebook: Make final
  * listbox Make final
  * flow box: Make final
  * treeview: Make final
  * treeview column: Make final
  * tree models: Use standard padding
  * Some entry completion fixes
  * notebook: Drop position from ::create-window
  * testgtk: Fix a crash
  * Rename GtkGestureMultiPress to GtkGestureClick
  * Merge branch 'high-contrast-tabs' into 'master'
  * surface: Add coordinate translation
  * main: Use gdk_surface_translate_coordinates
  * a11y: Stop using gdk_surface_get_origin
  * Clarify gdk_surface_get_position
  * x11: Set surface position correctly
  * a11y: Stop using gdk_surface_get_frame_extnts
  * Drop gdk_surface_get_frame_extents
  * gtk-demo: Stop using gtk_window_set_position
  * tests: Stop using gtk_window_set_position
  * window: Drop gtk_window_set_position
  * Drop gdk_display_get_monitor_at_point
  * Make gdk_surface_get_origin internal
  * widget: Stop using gdk_device_get_position
  * Drop gdk_device_get_position
  * window: Drop some unused fields
  * window: Drop more unused fields
  * Drop an empty function
  * window: Never call gdk_surface_move
  * window: Remove move unused fields
  * Remove a misleading comment
  * Drop gdk_surface_move
  * Cosmetics
  * Fix the win32 build
  * Cosmetics
  * Cosmetics
  * Mention global coordinates in the migration guide
  * Mention event controller API in the migration guide
  * Merge branch 'global-coords' into 'master'
  * Merge branch 'gesture-click' into 'master'
  * Merge branch 'wip/chergert/marshal-gtk4' into 'master'
  * Fix shortcuts window sizing
  * Merge branch 'shortcuts-sizing' into 'master'
  * Merge branch 'wip/chergert/sysprof-3' into 'master'
  * Merge branch 'wip/baedert/nodeeditor-fuckery' into 'master'
  * Merge branch 'lr/builder-tool-assistant-crash' into 'master'
  * Merge branch 'lr/builder-tool-templates' into 'master'
  * Add gtknative.h to public headers
  * Remove leftover debug spew
  * Add a testcase
  * Merge branch 'wip/chergert/remove-cclosure' into 'master'
  * Add a gtk-overlay-scrolling setting
  * scrolled window: respect overlay-scrolling setting
  * Merge branch 'overlay-scrolling-setting' into 'master'
  * simplify: Add a testcase for dialogs
  * simplify: Add a testcase for templates
  * menu: Remove global coordinates
  * win32: Stop using gdk_event_get_root_coords
  * widget: Stop setting root coords in events
  * Drop gdk_event_get_root_coords
  * menu: Use a box
  * menu: Use a scrolled window
  * More menu restructuring
  * More menu work
  * menu: Keep selected item in view
  * menu: Bring back the scroll keybindings
  * menu: Fix keynav between submenus
  * Merge branch 'convert-dialog' into 'master'
  * menu: Fix destruction
  * tests: Fix issues with menu shells
  * Fix menu item accessible
  * Update css node results
  * Merge branch 'global-coords' into 'master'
  * Remove an unused enum
  * Merge branch 'restack-gtk4' into 'master'
  * Cosmetics
  * Add gtkmenubarprivate.h
  * Don't generate mipmaps needlessly
  * Merge branch 'wip/chergert/marshalling-gtk4' into 'master'
  * gsk: Test big glyphs
  * gl: Make the glyph cache survive big glyphs
  * gsk: Test huge glyphs
  * gl: Log creation of glyph caches
  * gl: Improve glyph cache logging
  * gl: Improve cache dropping code
  * Add code to dump out the glyph caches
  * gl: Fix glyph cache aging
  * gsk tests: Add an --output option
  * testsuite: Pass --output for gsk tests
  * Save gsk output from ci
  * Merge branch 'big-glyphs' into 'master'
  * gl: Avoid a memdup in glyph upload
  * Merge branch 'glyph-memdup' into 'master'
  * menu: Update scrollbar policy
  * Merge branch 'menu-sizing' into 'master'
  * Move transform tests to the gsk suite
  * Cosmetics
  * gsk: Fix printing of identity transforms
  * gsk: Add some more transform tests
  * Merge branch 'transform-tests' into 'master'
  * glyph cache: Clarify message
  * gl: Free icon data
  * gl: Don't leak texture atlases
  * glyph cache: Reinstate 1 pixel padding
  * gl: Add 1 pixel of padding in the icon cache
  * gl: Allow setting min/mag filter on textures
  * gl: Use linear scaling for atlases
  * gl: Use pad-extend for icon cache
  * glyph cache: Stop storing driver and render
  * gdk: Create a global shared GL context
  * Share glyph and icon caches
  * Remove debug spew
  * Bring brink skip_allocate
  * Fix a refcounting mishap
  * Add a theme loading benchmark
  * surface: Use surface->display directly
  * render node: Optimize type checks
  * Merge branch 'theme-load' into 'master'
  * texture atlas: Add a missing initialization
  * Cosmetics
  * Merge branch 'wip/matthiasc/shared-glyph-cache' into 'master'
  * Merge branch 'wip/chergert/set-va-marshallers' into 'master'
  * model button: Small fixes
  * model button: Add a role for titles
  * model button: Drop centered, inverted properties
  * widget-factory: Add another popover menu example
  * model button: Redo layout
  * model button: Show shortcuts
  * model button: Look up accels if needed
  * menu section box: Introduce more section variants
  * menu section box: Add style classes for display hints
  * widget-factory: Redo the new-style menu
  * widget factory: Improve manual popover menu example
  * popover menu: Fix style classes
  * widget factory: Add a context menu example
  * modelbutton: Sizing fixes
  * box layout: Handle native children
  * Stop exporting gtk_popover_bind_model
  * Rationalize popover menu apis
  * Introduce a popover bar
  * widget factory: Redo the menubar with a model
  * popover: Respect alignment for positioning
  * widget: Ignore natives for picking
  * popover bar: towards menubar-like behavior
  * gdk: Always deliver key events to toplevels
  * widget factory: Add mnemonics in popovers
  * label: Fix mnemonic visibility handling
  * popover bar: Break out items
  * widget-factory: Don't use Return as accel
  * popover bar: Add a model property
  * widget-factory: Move the popover bar to the ui file
  * popover bar: Add arrow keynav
  * menu button: Use proper focus api
  * model button: Make left/right switch submenus
  * popover bar: Implement focus
  * popover menu: Implement focus
  * Expand focus tests
  * popover bar: Don't grab focus away from open menus
  * popover menu: Disappear on focus out
  * main: Warn if GDK sends us bad focus events
  * popoverbar: Use a box layout
  * Adwaita: Adapt to popover bar changes
  * popover bar: Add setters
  * Rename GtkPopoverBar to GtkPopoverMenuBar
  * Typo fix
  * popovermenubar: Add docs
  * Merge branch 'new-style-menu' into 'master'
  * Adwaita: Make selection in menus visible
  * Rename a bunch of private headers
  * window: Fix focus wraparound
  * Add a focus chain test
  * Merge branch 'focus-chain-test' into 'master'
  * testsuite: more focus-chain output
  * testsuite: Be robust against broken focus
  * widget: Improve focus handling
  * Add a focus-chain test for focusable containers
  * Merge branch 'focusable-containers' into 'master'
  * popover menu: Set autohide
  * text view: Fix selection bubble handling
  * text: Fix selection bubble handling
  * layout managers: Handle native children
  * Merge branch 'wip/chergert/profiler-gtk4-dbus-api' into 'master'
  * Merge branch 'wip/dboles/scrolledwindow-annotations' into 'master'
  * color editor: Fix numerical oddities
  * color editor: Don't leak adjustments
  * popover menu: Add our own focus key bindings
  * popover: Bring back the activate-default signal
  * popover menu: Add our own activate key bindings
  * wayland: Fix the popover race workaround
  * popover menu bar: Don't leave active item behind
  * popover: Improve the move-focus fix
  * popover menubar: Use a pseudo state
  * popover menu: Unify hover and focus
  * text, entry: Implement context menu api
  * text: Add a context action for visibility
  * password entry: Adapt to new context menu api
  * label: Redo context menus
  * textview: Redo context menus
  * textview: Support toggle actions
  * gtk-demo: Rewrite the search entry demo
  * widget-factory: Redo the context menu example
  * cell renderer: remove populate-popup
  * places sidebar: remove populate-popup
  * treeview: Stop disabling the context menu
  * link button: Use new context menu api
  * color chooser: Use a popover menu
  * Merge branch 'wip/matthiasc/context-menu' into 'master'
  * message dialog: Stop hardcoding title styles
  * Merge branch 'message-dialog-title' into 'master'
  * headerbar: Fix fallback appmenu
  * print operation: Reinstate the priv pointer
  * Merge branch 'gtkprintunixdialog-ui' into 'master'
  * Merge branch 'wip/chergert/profiler-event-marks-4' into 'master'
  * Remove an accidental addition
  * menu tracker item: Improve logging
  * action muxer: Add some convenience api
  * action muxer: cosmetics
  * inspector: Redo the action page
  * inspector: Fix actionable handling
  * widget: Cosmetics
  * widget: Remove gtk_widget_list_action_prefixes
  * entry: Remove hacky code
  * file chooser: Stop using gtk_widget_get_action_group
  * places sidebar: Stop using gtk_widget_get_action_group
  * Drop gtk_widget_get_action_group
  * Merge branch 'matthiasc-for-master' into 'master'
  * inspector: Fix centering of subtitles
  * inspector: Add a refresh button for actions
  * inspector: Don't duplicate popovers
  * popover: Drop unused api
  * Merge branch 'matthiasc-for-master' into 'master'
  * wayland: Explicitly require RGBA8888
  * Merge branch 'egl-config-8888' into 'master'
  * Give the action muxer a widget
  * Allow registering actions per-class
  * text: Use the new action machinery
  * password entry: Adapt to action name change
  * label: Use the new action machinery
  * textview: Use the new action machinery
  * window: Use the new action machinery
  * link button: Use the new action machinery
  * color chooser widget: Use the new action machinery
  * Docs: expand actions chapter
  * Merge branch 'widget-class-actions-2' into 'master'
  * main: Move visible focus handling
  * main: Move visible mnemonics handling
  * Fix initial mnemonic visibility
  * Build fix
  * event controller: Add a name property
  * inspector: Use event controller names
  * inspector: Fix actions visibility
  * window: Cosmetics
  * Add a test for gtk_widget_insert_action_group
  * Add a test for GtkText actions
  * application: Stop extracting accels from menus
  * widget actions: Add an explicit state type
  * Make actions minimally introspectable
  * Add owner types for widget actions
  * Add GTK_CSS_PARSER_WARNING_UNIMPLEMENTED
  * css: Fix some doc typos
  * widget: Add parameter type back to install_action
  * Replace stateful actions by property actions
  * widget: Rename a function
  * widget: Teach query_action about property actions
  * textview: Stop using action muxer needlessly
  * action muxer: Remove unused api
  * action muxer: Change inheritance
  * Add another test for action inheritance
  * Add a test for action introspection
  * widget: Clarify docs for action inheritance
  * Add another test for action inheritance
  * action muxer: Don't activate disabled actions
  * Add another action test
  * Add includes back to gtk4.types.in
  * window: Fix the default value of mnemonics-visible
  * widget: create parent muxers lazily
  * Make gtk_widget_activate_action better
  * Add a non-varargs variant of activate_action
  * Merge branch 'no-varargs-activate' into 'master'
  * Merge branch 'master' into 'master'
  * grid layout: Fix initial property values
  * Add a test for the grid layout manager
  * Some more grid layout tests
  * Add another grid layout test
  * Fix a crash in action muxer destruction
  * constraint solver: Fix thawing
  * constraints solver: Avoid critials
  * Add gtk_constraint_layout_remove_constraint
  * constraints: Make internal consistency required
  * Add GtkConstraintTarget
  * widget: Implement GtkConstraintTarget
  * Redefine constraints with GtkConstraintTarget
  * Add GtkConstraintGuide
  * Make the constraints demo more interesting
  * Add an interactive constraints demo
  * Simplify the guide implementation
  * Detach guides on unroot
  * Drop an indirection
  * Flesh out GtkConstraintGuide
  * demo: Use constraint guide api
  * Amend a constraint solver test
  * constraint solver: Fix repeat suggestions
  * solver: Fix a copy/paste error
  * constraint layout: Measure more correctly
  * constraint guide: Shorten names
  * constraint guide: Add a name property
  * constraints demo: Give space a name
  * constraint layout: Add debug output for guides
  * constraint layout: Use stays for natural size
  * constraint layout: Measure min/nat size separately
  * constraints: Use better data structures
  * constraint layout: freeze/thaw on mass ops
  * constraints demo: Update comments
  * constraint guide: Make strength tweakable
  * constraints: Add some internal apis
  * constraint layout: Dont reset constraints in allocate
  * solver: Add private statistics api
  * constraint solver: Use GTK_NOTE
  * constraint guide: Fix initial property values
  * constraint guide: Avoid redundant constraints
  * Mark the layout as changed
  * Add a constraint editor demo
  * Merge branch 'gbsneto/fix-popover-dark-theme' into 'master'
  * constraint layout: Use stronger force for min size
  * constraint layout: go back to keeping constraints
  * constraint editor: Enable max size for guide
  * Documentation fixes
  * constraint editor: Allow dragging children
  * meson: Rename documentation option to gtk_doc
  * Merge branch 'option-names' into 'master'
  * Merge branch 'wip/ebassi/constraint-layout' into 'master'
  * constraint layout: Provide list models
  * constraint editor: Use the list models
  * constraint editor: Use name properties
  * constraint editor: Implement saving
  * constraints editor: Stop naming constraints
  * constraint editor: Implement loading
  * Merge branch 'constraint-list-model' into 'master'
  * widget: Don't lose a layout manager ref
  * Merge branch 'wip/baedert/for-master' into 'master'
  * Merge branch 'wip/baedert/accelmap' into 'master'
  * Adwaita: Fix entry block cursors
  * text: Smooth cursor blinking
  * gsk: Fix a crash in gsk_render_node_diff
  * textview: Stop exporting private apis
  * text view: Smooth cursor blinking
  * Merge branch 'wip/textview' into 'master'
  * Merge branch 'wip/chergert/fix-textlayout-bounds' into 'master'
  * text view: Fix incomplete invalidation
  * text: Fix incomplete invalidation
  * fix the build
  * text: Remove an outdated comment
  * Render error underlines as render nodes
  * Merge branch 'wip/chergert/refcount-line-display' into 'master'
  * text: Delay initial cursor blinking
  * textview: Delay initial cursor blinking
  * textview: Defer cursor blinking on input
  * Merge branch 'error-nodes' into 'master'
  * Merge branch 'blink-later' into 'master'
  * Remove a redundant vfunc
  * Merge branch 'missing-gobject-annotation' into 'master'
  * Merge branch 'gtkapp-opening-str' into 'master'
  * text layout: Avoid redundant text attributes
  * Merge branch 'avoid-redundant-attributes' into 'master'
  * gtk-demo: Fix a crash
  * tests: improve error handling
  * Add a font rendering demo
  * Merge branch 'fontrendering-demo' into 'master'
  * Improve the font rendering demo
  * font rendering: Show ink rect too
  * font rendering demo: Show unrounded extents
  * font rendering demo: Make boxes optional
  * Merge branch 'wip/no-move-surface' into 'master'
  * Merge branch 'xdg-output-v3-gtk4' into 'master'
  * label: Parse new pango attributes
  * Merge branch 'overview-recursive-dependancy' into 'master'
  * gsk: Move text-related test out of ci
  * gl: Simplify glyph cache rendering
  * Add pango version checks
  * Remove new attributes from tests
  * inspector: Show the pango backend
  * Merge branch 'wip/chergert/textview-caching' into 'master'
  * Turn off metrics hinting
  * vulkan: implement subpixel positioning
  * gl: implement subpixel positioning
  * reftest: Exclude flaky tests
  * Merge branch 'subpixel-positioning' into 'master'
  * Merge branch 'issue2057' into 'master'
  * Add an image comparison utility
  * gl: Glyph cache fixes
  * Add missing includes
  * Merge branch 'glyph-cache-fixes' into 'master'
  * Revert "gl: Simplify glyph cache rendering"
  * Merge branch 'wip/sort-icons-by-size' into 'master'
  * Merge branch 'glsl-switch' into 'master'
  * Merge branch 'implement-choices-file-chooser-native-win32-for-gtk-4' into 'master'
  * text view: Fix a typo
  * Merge branch '948-patch-renaming-a-file-can-make-it-to-loose-selection_GTK4' into 'master'
  * Merge branch 'gdkmonitor-x11-manufacturer' into 'master'
  * Fix a crash in gtk-builder-tool
  * Merge branch 'office-runner-crash' into 'master'
  * Merge branch 'gtk-4-issue2128' into 'master'
  * Merge branch 'wip/chergert/faster-comparison' into 'master'
  * widget-factory: Add more submenus
  * popover: Support vertical aligment
  * Add nesting popover menus
  * Add a timeout for open submenus
  * popover menubar: Use nested popover menus
  * Merge branch 'nested-popover-menu' into 'master'
  * Merge branch 'wip/chergert/tune-linedisplay-cache' into 'master'
  * Merge branch 'wip/chergert/fix-textview-clip' into 'master'
  * Merge branch 'wip/rah/screensaver-active-fix' into 'master'
  * text util: Remove an unused function
  * Remove unused includes
  * window: Make fallback menu a popover
  * menutoolbutton: Add support for popovers
  * notebook: Use a popover for the tab menu
  * toolbar: Use a popover for overflow
  * Merge branch 'wip/kill-menu' into 'master'
  * docs: Add GtkNative to types
  * Merge branch 'printing-get-ppd-from-original-host-if-needed' into 'master'
  * Merge branch 'list-box-headers' into 'master'
  * Merge branch 'wip/chergert/quick-fixes' into 'master'
  * Merge branch 'wip/carlosg/tablet-invalid-reads-master' into 'master'
  * Merge branch 'wip/chergert/textview-fix-selection' into 'master'
  * Merge branch 'wip/chergert/const-glyph-cache' into 'master'
  * Merge branch 'wip/chergert/avoid-renderop-copy' into 'master'
  * gsk: Store color bit info in text nodes
  * gl: Shrink CachedGlyph structs slightly
  * gl: glyph cache tweaks
  * Cosmetics
  * gl: Avoid stray use of doubles
  * Add an icon scrolling demo
  * gl: Speed up icon caching
  * gl: Do less work to maintain caches
  * gl: Handle row stride for glyph cache upload
  * gl: Handle row stride for icon cache upload
  * Make the scrolling demo more versatile
  * gl: Don't use memcmp for comparing cache keys
  * gl: Simplify glyph cache lookup
  * gl: Do less work on glyph caching
  * gl: Make icon cache work like glyph cache
  * Merge branch 'glyphcache-fiddling' into 'master'
  * gl: Improve debug spew for caches
  * gl: Interleave cache aging
  * gl: Increate the cache check frequency
  * shadow cache: Remove outdated comments
  * glyph cache: Fix handling of big glyphs
  * notebook: Avoid a crash
  * Drop OP_CHANGE_VAO
  * gl: Drop buffer_size
  * Fix load_vertex_data
  * Some more vertex data reshuffling
  * Cache glyph textures in render nodes
  * gl: Slightly rework the icon cache api
  * gl: Speed up icon cache lookups
  * pixbuf utils: Preserve format information
  * icon theme: Avoid mime sniffing
  * icon theme: Avoid a string copy
  * gsk: Fix uninitialized memory
  * Fix a crash with glyph caching
  * Merge branch 'wip/chergert/opbuffer' into 'master'
  * Revert "icon theme: Avoid a string copy"
  * Cosmetics
  * glyph cache: Go back to memcmp
  * gl: Add debug spew to texture atlas
  * gl: Remove an unimplemented profiler counter
  * icon theme: Avoid a string copy
  * testicontheme: Remove useless function
  * Drop gtk_icon_theme_list_contexts
  * Drop gtk_icon_theme_get_example_icon_name
  * icon theme: Start to untangle GtkIconInfo
  * Avoid a use of icon_file
  * Add another symbolic pixbuf helper
  * Drop another use of icon_file
  * Drop another use of icon_file
  * icon theme: Drop icon_file from GtkIconInfo
  * Move symbolic pixbuf recoloring code
  * Drop gtk_icon_info_new_for_pixbuf
  * inspector: Fix node recording
  * Merge branch 'wip/matthiasc/icon-theme' into 'master'
  * Revert "inspector: Fix node recording"
  * Revert "Cache glyph textures in render nodes"
  * gl: Add some comments
  * gl: Avoid pointless iteration
  * Revert "gl: Speed up icon cache lookups"
  * Merge branch 'readonly-all-the-things' into 'master'
  * window: Unrealize renderer before children
  * gtk-demo: Add a scrolling image demo
  * wayland: Rely on server key repeat info
  * wayland: Drop the keyboard settings object
  * Merge branch 'wl-key-repeat' into 'master'
  * inspector: Remove fallback from logs
  * gl: Use the fallback debug flag
  * inspector: Add a switch for fallback rendering
  * Merge branch 'fallback-rendering' into 'master'
  * Merge branch 'ci-update' into 'master'
  * Update the print dialog for headerbar changes
  * Merge branch 'fix-print-dialog' into 'master'
  * Bump the pango dependency
  * Port the font chooser to just use harfbuzz
  * gtk-demo: Use harfbuzz for font features
  * build: We no longer need freetype
  * gsk: Stop using deprecated pango api
  * label: Handle insert_hyphens pango attribute
  * label: Handle new pango attributes
  * Merge branch 'bump-pango' into 'master'
  * reftests: Drop libtool hack
  * reftests: Print out a helpful error
  * Merge branch 'reftest-fixes' into 'master'
  * cell text: Handle new pango enum values
  * Move the ifdef to the right spot
  * gtk-demo: Drop the entry buffer demo
  * Privatize popover menu pieces
  * Merge branch 'issue-67' into 'master'
  * Merge branch 'signal-naming' into 'master'
  * Merge branch 'seal-popover-menu' into 'master'
  * Merge branch 'single-compilation-symbol' into 'master'
  * widget-factory: Fix a popover menu
  * Fix up widget-factory ui
  * builder-tool: Fix handling of layout properties
  * Merge branch 'matthiasc/for-master' into 'master'
  * Add a test for the previous fix
  * Update the test scripts
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'sass-no-extend-compound-master' into 'master'
  * Merge branch 'wip/muktupavels/opaque-region-master' into 'master'
  * Merge branch 'improve-popover-menu-style' into 'master'
  * Fix leaks in tests
  * Fix treelistmodel tests
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'doc-update' into 'master'
  * Make a test with a custom display
  * inspector: Cleanup
  * inspector: Init yourself
  * window: Remove inspector updating fully
  * window: Inspector cleanups
  * inspector: Attach inspector window to display
  * window: Get rid of the inspector_window static
  * inspector: Make object tree respect inspected display
  * inspector: Make css editor respect inspected display
  * inspector: Make visual settings respect the inspected display
  * inspector: Make general respect inspected display
  * inspector: Make inspect button use inspected display
  * inspector: Make logs respect inspected display
  * inspector: Make the css tree respect inspected display
  * Merge branch 'inspector-display' into 'master'
  * inspector: Avoid critical warnings
  * tree list model: Add a missing annotation
  * Add missing listmodel and selection types to the docs
  * Add GtkTreeListRow type to the docs
  * widget factory: Fix more grid layout fallout
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'terminal' into 'master'
  * Merge branch 'master-gitlab-HC-tooltip' into 'master'
  * clipboard: file transfer portal support
  * Merge branch 'file-transfer' into 'master'
  * Merge branch 'wip/otte/builder' into 'master'
  * builder: Minor doc fixes
  * textbuffer: Minor doc fixes
  * Merge branch 'issue-179' into 'master'
  * docs: Remove symbols that no longer exist
  * docs: Ignore more private headers
  * builder: Another small docs fix
  * Fix up GtkBuilderScope docs
  * Add GtkNative to the docs
  * Run gtk-builder-tool simplify over our ui files
  * gtk-demo: Some touchups
  * Merge branch '1509-don-t-show-Rejecting-Jobs-when-we-don-t-know' into 'master'
  * gtk-builder-tool: More helpful error messages
  * builder-tool: Don't try to find default boxed values
  * builder: Improve type name mangling
  * x11: Only update cursors if we have any
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'fix-x11-cursor-crash' into 'master'
  * file transfer: Fix build on non-Linux
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'fix.nonunix.builds' into 'master'
  * Merge branch 'fix-gtkgesturerotate-potential-leak' into 'master'
  * inspector: Give better advice
  * Merge branch 'inspector-advice' into 'master'
  * colorchooser: Document actions
  * builder-tool: Validate templates again
  * Merge branch 'validate-templates' into 'master'
  * gtk-demo: Fix the application demo
  * gtk-demo: Cosmetic fixes to the assistant demo
  * gtk-demo: Cosmetic fixes to the dnd demo
  * gtk-demo: Fix a crash in the font explorer demo
  * gtk-demo: Fix font explore initial state
  * Merge branch 'wip/oholy/placesview-default-location' into 'master'
  * Merge branch 'drop-gtk-tree-selection-private' into 'master'
  * Merge branch 'drop-GtkTreeViewPrivate' into 'master'
  * accelgroup: Fix a buffer overrun
  * paper dialog: Make this look less horrible
  * cell renderer text: Fix this to work again
  * cell renderer spin: Bring this back
  * treeview: Fix embedding cell renderers
  * Merge branch 'gtk-demo-fixes' into 'master'
  * Fix the build
  * widgetfactory: Undo more builder-tool damage
  * Merge branch 'widget-factory-fixes' into 'master'
  * print dialog: Fix up page drawing
  * Adwaita: print dialog tweaks
  * HighContrast: print dialog fixes
  * Adwaita: update the README
  * Merge branch 'print-dialog-fixes' into 'master'
  * testfilechooser: Test the choice apis
  * eventcontroller: Fix name property
  * widget: Fix a small memory leak
  * inspector: Small cleanup
  * inspector: Fix a small memory leak
  * inspector: Fix a small memory leak
  * widget: Avoid a crash in event handling
  * widget: Fix a memory leak
  * inspector: Add a focus overlay
  * modelbutton: Be focusable
  * popovermenu: Fix keynav with submenus
  * popover: Remove some dead code
  * tooltip: Remove some unneeded includes
  * Remove more mir remnants
  * Revert unintended changes
  * surface: Only unpause events if we paused them
  * popovermenu: Use a weak ref for active item
  * popovermenubar: Cosmetics
  * window: Complete the popover conversion
  * filechooserbutton: Be smarter about 'None'
  * mountoperation: Use a popover
  * placesview: Use a popover
  * appchooserwidget: Remove ::populate-popup
  * notebook: Remove menu remnants
  * applicationwindow: Stop using a menu bar
  * window: Move F10 handling to popover menubars
  * widget-factory: Remove the menubar
  * docs: Stop taking menubar screenshots
  * docs: Remove menubars from the visual index
  * docs: Avoid using a menu for an example
  * accellabel: Remove an example using menus
  * gtk-demo: Replace a menu with a popover
  * gtk-demo: Use a popover in the clipboard demo
  * gtk-demo: Remove a somewhat silly bit of code
  * gtk-demo: Convert the dnd demo to a popover
  * gtk-demo: Remove the menus demo
  * gtk-demo: Cosmetics
  * gtk-demo: Remove menus from listbox demo
  * gtk-demo: Convert the builder demo to a menu model
  * gtk-demo: Remove the change display demo
  * combobox: Replace GtkTreeMenu with a popover
  * testsuite: Update combobox tests
  * toolbar: Simplify overflow implementation
  * menutoolbutton: Fix sensitivity handling
  * menutoolbutton: Stop supporting menus
  * headerbar: Stop using GtkMenuButton::use-popover
  * menubutton: Stop supporting menus
  * testsuite: Cosmetic change
  * testsuite: Remove menu tests
  * testsuite: Remove menu special-casing
  * tests: Stop using menus
  * label: Remove menu support code
  * widget: Remove menu special-casing
  * inspector: Remove menu special-casing
  * buildertool: Drop menu properties
  * label: Stop referring to GtkMenuItem in the docs
  * accellabel: Don't mention GtkMenuItem in the docs
  * docs: Remove mentions of GtkMenuItem
  * doc: Build fixes
  * gtk: Remove menu code
  * accelcellrenderer: Fix editing
  * accelcellrenderer: Stop grabbing
  * Remove gdk_seat_grab
  * win32: Use a regular window for printing
  * treeview: Use a popover for search
  * docs: Rewrite popover menu docs
  * docs: Mention the demise of menus in the migration guide
  * docs: Touch up menu button docs
  * Merge branch 'kill-tree-menu' into 'master'
  * Drop custom tooltip windows
  * testtooltips: Test tooltips on popovers
  * tooltips: Stop using GTK_WINDOW_POPUP
  * docs: Mention custom tooltip windows in the migration guide
  * Merge branch 'tooltip-redo' into 'master'
  * tooltipwindow: Cosmetic fix
  * Add GtkDragIcon
  * dnd: Use GtkDragIcon
  * widget: Be more careful with roots
  * container: Be more careful with roots
  * Remove gtk_window_set_hardcoded_surface
  * tooltipwindow: Cosmetic fix
  * tooltip: Never set a window to be its own parent
  * gdk: Fix coordinates in dnd events
  * gdk: Populate dnd event coords
  * wayland: Pass root coordinates for dnd events
  * Merge branch 'fix-dnd' into 'master'
  * mountoperation: Handle D-Bus missing
  * Merge branch 'drag-icon' into 'master'
  * contentserializer: Fix an annotation
  * contentprovider: cosmetic fix
  * wayland: Fix dnd type negotiation
  * dnd: Be safer
  * stackswitcher: Fix switch-while-drag functionality
  * Fix the previous commit
  * Add a text view mark/cursor test
  * Merge branch 'remove-xim' into 'master'
  * textview: Render visible marks better
  * Adwaita: Make dnd marks in text views green
  * wayland: Clean up drags
  * wayland: Finish pending offer handling
  * wayland: Fix action handling more
  * wayland: Minor cleanup
  * docs: Small clarifications to DND docs
  * wayland: Don't artificially prefer ASK
  * Merge branch 'wayland-dnd-fixes' into 'master'
  * wayland: Remove debug spew
  * widget: Remove an unused signal
  * fixed layout: Actually set child transforms
  * marshalers: Add another
  * Add a GtkDragSource object
  * dnd: Patch up gtk_drag_get_source_widget
  * label: Port to GtkDragSource
  * linkbutton: Port to GtkDragSource
  * calendar: Port to GtkDragSource
  * entry: Port icon dnd to GtkDragSource
  * text: Convert to GtkDragSource
  * textbuffer: Add a content provider api
  * textview: Port to GtkDragSource
  * Add (de)serializers for GdkRGBA
  * Add a generic callback content provider
  * colorbutton: Port to GtkDragSource
  * colorswatch: Convert to GtkDragSource
  * pathbar: Convert to GtkDragSource
  * gtk-demo: Convert the clipboard demo to GtkDragSource
  * iconbrowser: Port to GtkDragSource
  * Add another callback-based provider
  * iconview: Port to GtkDragSource
  * placessidebar: Port to GtkDragSource
  * treeview: Port to GtkDragSource
  * filechooser: Port to GtkDragSource
  * notebook: Port to GtkDragSource
  * tests: Convert to GtkDragSource
  * Remove traditional drag source API
  * docs: Mention DND in the migration guide
  * Move the rest of the drag-source api over
  * Hook up the GtkDragSource docs
  * Add a GtkDropTarget object
  * dragdest: doc improvements
  * drop: Add a convenience api
  * gtk-demo: Convert clipboard demo to GtkDropTarget
  * calendar: Port to GtkDropTarget
  * colorbutton: Port to GtkDropTarget
  * colorswatch: Port to GtkDropTarget
  * text: Port to GtkDropTarget
  * window: Port to GtkDragDest
  * expander: Port to GtkDropTarget
  * stackswitcher: Port to GtkDropTarget
  * filechoserbutton: Convert to GtkDropTarget
  * textview: Port to GtkDropTarget
  * treeview: Port to GtkDropTarget
  * testdnd2: Port to GtkDropTarget
  * testdnd: Convert to GtkDropTarget
  * testlist3: Convert to GtkDropTarget
  * testtoolbar: Convert to GtkDropTarget
  * testnotebookdnd: Fix, partially
  * testtreednd: Convert to GtkDropTarget
  * notebook: Convert to GtkDropTarget
  * listbox: Remove unhighlighting
  * Move some remaining api over
  * Remove old drag dest api
  * Add an async read function for selection
  * iconview: Port to GtkDropTarget
  * placessidebar: Port to GtkDropTarget
  * filechooser: Convert to GtkDropTarget
  * testlist3: Use async read api for selection
  * testtreednd: Use the new asyn selection read
  * iconview: Avoid drag-data-received
  * treeview: Stop using ::drag-data-received
  * Remove gdk_drag_get_data
  * Remove gtkdnd.h
  * testdnd2: Add a test for ASK handling
  * dragdest: Clean up internals
  * Drop GTK_DEST_DEFAULT_HIGHLIGHT
  * Simplify some drag dest internals
  * droptarget: Drop defaults flags
  * droptarget: Drop the track-motion property
  * Stop passing timestamps around
  * Drop an unused define
  * dnd: Some internal restructuring
  * dnd: More internal restructuring
  * gdk: Make gdk_event_set_coords support dnd events
  * dnd: Another internal refactoring step
  * More internal restructuring
  * Turn GtkDropTarget into an event controller
  * Get rid of GtkDragDestInfo
  * Use normal event propagation for DND events
  * Replace gtk_drop_target_attach/detach
  * Move code over
  * docs: Tweak GtkDropTarget docs
  * Remove an unused signal
  * Remove gtk_drop_target_get_target
  * dragsource: Tweak api, update all callers
  * dragsource: Reshuffle api a bit
  * Make GtkDragIcon public
  * dragsource: Use public drag icon api
  * label: Use gdk_drag_begin
  * calendar: Use gdk_drag_begin
  * text: Use gdk_drag_begin
  * entry: Use gdk_drag_begin
  * textview: Use gdk_drag_begin
  * placessidebar: Use gdk_drag_begin
  * notebook: Use gdk_drag_begin
  * Make GtkDragSource a gesture
  * iconview: Use gdk_drag_begin
  * treeview: Use gdk_drag_begin
  * filechooserwidget: wip
  * gtk-demo: Use gtk_widget_add_controller for drag source
  * iconbrowser: Use gtk_widget_add_controller for drag source
  * colorbutton: Use gtk_widget_add_controller for drag source
  * colorswatch: Use gtk_widget_add_controller for drag source
  * linkbutton: Use gtk_widget_add_controller for drag source
  * notebook: Use gtk_widget_add_controller for drag source
  * pathbar: Use gtk_widget_add_controller for drag source
  * testdnd: Use gtk_widget_add_controller for drag source
  * testdnd2: Use gtk_widget_add_controller for drag source
  * testlist3: Use gtk_widget_add_controller for drag source
  * testtoolbar: Use gtk_widget_add_controller for drag source
  * notebook: Stop using gtk_drag_source_get_origin
  * filechooserwidget: Stop using gtk_drag_source_get_origin
  * dragsource: Drop gtk_drag_source_get_origin
  * notebook: Stop using gtk_drag_get_source
  * dragsource: Drop gtk_drag_get_source
  * dragsource: Make ::prepare return a boolean
  * dragsource: Document prepare
  * dragsource: Tweak docs more
  * dragsource: Rename ::drag-failed to ::drag-cancel
  * testdnd2: Update to the api change in the previous commit
  * Remove an unused enum
  * placessidebar: Update a comment
  * filechooser: Stop using gtk_drag_source_get_drag
  * dragsource: Fix cancellation
  * iconview: Render drop highlight properly
  * Adwaita: Add drop highlight for iconview items
  * text: Fix dragging of text across focus changes
  * gtk-demo: Use GDK content formats api
  * iconbrowser: Use GDK content formats api
  * calendar: Use GDK content formats api
  * filechooserbutton: Use GDK content formats api
  * filechooserwidget: Use GDK content formats api:
  * placessidebar: Use GDK content formats api
  * text: Use GDK content formats API
  * testdnd2: Use GDK content formats api
  * Drop GTK content formats apis
  * dragksource: Small doc fix
  * dragsource: Drop gtk_drag_source_drag_begin
  * docs: Remove the dnd section
  * docs: Remove dropped drag source apis
  * docs: Add GtkDropTarget section
  * docs: Add GtkDragIcon
  * docs: Expand the GDK dnd docs
  * dragsource: Change the ::prepare return type
  * gtk-demo: Update the ::prepare handler
  * dragdest: Rename ::armed to ::contains
  * Adwaita: No drag highlight for expanders
  * Adwaita: No drag highlight for stack switchers
  * treeview: Use a named subnode for dnd highlight
  * Adwaita: No dnd highlight for treeviews
  * iconview: Use a named subnode for dnd highlight
  * Adwaita: No dnd highlight for iconviews
  * Adwaita: No drag highlight for placessidebar
  * notebook: Receive tab dnd on the tabs
  * text: Remove unnecessary drag highlighting
  * textview: Remove unnecessary drag highlighting
  * calendar: Remove drag highlighting calls
  * listbox: Stop using gtk_drag_(un)highlight
  * filechooser: Remove code for sidebar pre-arming
  * Drop gtk_drag_(un)highlight
  * Add GdkDrop back to signal signatures
  * Update all callers
  * Add another dnd testcase
  * dragdest: Steps towards allowing nested drop sites
  * content provider impl: Take mime types into account
  * testdnd2: Fix the text case
  * dragdest: Add a ::drag-enter signal
  * remove debug spew
  * dragdest: Allow denying drops asynchronously
  * dragdest: Rename ::drag-motion to ::accept
  * Update all users
  * Properly export GtkDragIcon
  * docs: Fix a typo
  * dragicon: Add docs
  * docs: Expand the dnd migration hints
  * testdnd: Fix up for current api
  * css: Stop supporting builtin images
  * Remove builtin icons altogether
  * Merge branch 'kill-builtin-image' into 'master'
  * css: Simplify compute for font features
  * css: Simplify compute for font variations
  * css: Simplify font features
  * Merge branch 'css-font-values' into 'master'
  * Merge branch 'wip/chergert/gtk4-gtk-main-sync' into 'master'
  * Reshuffle droptarget api a little bit
  * Update all callers
  * dragdest: More documentation
  * Merge branch 'dnd-gestures-2' into 'master'
  * Adwaita: Fix needs-attention
  * Merge branch 'missing-transfer-notation' into 'master'
  * Merge branch 'docstring-typos' into 'master'
  * Merge branch 'menutoolbutton-missing-api-docs' into 'master'
  * Merge branch 'textbuffer-missing-api-docs' into 'master'
  * Merge branch 'closure-annotations' into 'master'
  * Merge branch 'wip/chergert/textview-undo-menu-item' into 'master'
  * Merge branch 'wip/chergert/textview-propagate-undo-state' into 'master'
  * infobar: Activate default action on clicks
  * Adwaita: Add hover for clickable infobars
  * gtk-demo: Use a default action in the infobars demo
  * Handle lack of file transfer portal
  * Merge branch 'wip/chergert/fix-dragicon-installation' into 'master'
  * Merge branch 'adwaita-cross-fade-fix-gtk4' into 'master'
  * testsuite: Skip GtkDragIcon
  * Fix encoding symbolic pixbufs
  * fontchooser: Fix objects-finalize test
  * fontchooser: Fix up the previous commit
  * quiet a compiler warning in release builds
  * testsuite: Improve --generate support
  * css: Remove an unused function
  * css: Drop unsused bitmasks
  * Try harder to make ci not timeout
  * Fix the filetransfer portal initialization
  * Speed up gtk_widget_pick
  * Merge branch 'wip/carlosg/x11-dnd' into 'master'
  * css: Track hover state changes separately
  * css: Track disabled state separately
  * css: Track backdrop state separately
  * css: Track selected state separately
  * Merge branch 'matthiasc/css-split-states' into 'master'
  * css: Add gtk_css_style_get_static_style
  * Merge branch 'static-style-getter' into 'master'
  * Quiet a compiler warning
  * Change the signature of gtk_css_style_get_static_style
  * Revisit gtk_css_style_get_static_style one more time
  * css: Avoid computing change too often
  * cssprovider: Keep selectors around
  * css: Don't got to the selector tree for change
  * Remove no longer used code
  * Remove an unused define
  * Merge branch 'matthiasc/css-change-tracking-2' into 'master'
  * css: Fix the ANY matcher state list
  * Cosmetic change
  * css: Simplify the superset matcher
  * css: Add a matcher type enum
  * Allow printing css matchers
  * cssmatcher: Change get_state to has_state
  * Merge branch 'matthiasc/css-change-tracking-3' into 'master'
  * Fix a few bugs in the css change flag definition
  * Merge branch 'gtk-fix-gesture-get-center' into 'master'
  * Tweak the file transfer portal _again_
  * Quiet compiler warnings in release builds
  * cssnodedeclaration: Make print output deterministic
  * cssnode: Fix a corner case in style computation
  * Add an Empty theme for tests
  * node tests: Clean up --generate support
  * node tests: Show the window
  * node tests: Update expected output
  * style tests: Clean up --generate support
  * style tests: Show the window
  * style tests: Update expected output
  * Add a way to dump css node change values
  * Add a test for css change flags
  * Add testcases for css change flags
  * Revert "Remove no longer used code"
  * Bring back the reserved bit
  * Redo the way we compute change
  * Go back to the tree for computing change
  * Remove no longer needed code
  * change tests: Update test output
  * Remove the widget-factory test again
  * Merge branch 'matthiasc/css-change-tracking-4' into 'master'
  * Adwaita: Remove wildcards
  * Merge branch 'adwaita-performance' into 'master'
  * dump css value stats
  * css: Re-add a lost special case
  * css: Simplify default values
  * css: Mark transform value as computed
  * x11: Fix release build warnings
  * wayland: Fix release build warnings
  * inspector: Avoid an array overrun
  * Actually turn of css value accounting
  * Fix a css change testcase
  * Refine the selector tree printing
  * css: Go back to clearing out selectors
  * css: Redo the pseudoclass selectors
  * Refactor gtk_widget_pick
  * pick: Take advantage of transform categories
  * style cascade: Remove some pointless casts
  * cssselector: Inline a few things
  * Add profiler support for css validation
  * Add some static assertions
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'otte/for-master' into 'master'
  * cssnode: Make the profiler support unconditional
  * gdk: Make profiler support unconditional
  * widget-factory: Add a way to quit automatically
  * Prototype a sysprof helper
  * Run the css performance test in the testsuite
  * Fix testsuite without -Dprofiler=true
  * ci: Add sysprof-devel to the image
  * ci: Build with profiler support
  * Use the v9 image for ci runs
  * testsuite: Point performance tests at uninstalled schemas
  * testsuite: Make performance test fail
  * Merge branch 'matthiasc/perf-tests' into 'master'
  * container: Remove an unnecessary check
  * window: Add a profiler mark around size allocation
  * widget: Add profiler marks
  * css: Make performance test more flexible
  * Make the performance testcase more general
  * testsuite: Move the meson performance tests up
  * Merge branch 'wip/jimmac/typography-classes' into 'master'
  * icontheme: Add profiler marks for loading icons
  * surface: Add enter/leave events to profiler traces
  * wayland: Add profiler marks around surface handling
  * window: Rename a profiler mark
  * ci: Save syscap files from performance tests
  * frame clock: Redo the profiler marks
  * surface: Always dd events to the profiler trace
  * gl: Disambiguate profiler marks
  * gtk: Clearer names for profiler marks
  * More profiler reshuffling
  * wayland: Add a mark for cursor loading
  * gdk: Add a profiler mark for paint_idle
  * application: Add some profiler marks
  * css: Add a profiler mark around theme loading
  * iconhelper: Add profiler marks around icon loading
  * icontheme: Add profiler marks around icon theme loading
  * Ensure icon themes are loaded with other themes
  * pathbar: Use a css name insead of a style class
  * Adwaita: Remove the .drag-icon class
  * Adwaita: Remove gtkstyle-fallback
  * Adwaita: Remove .location-bar class
  * Adwaita: Remove .rubberband class
  * Adwaita: Remove .entry-tag class
  * Add profiler marks around css selector tree building
  * Adwaita: Just use .menu, instead of .appmenu
  * Adwaita: Drop .context-menu
  * Replace .emoji with emoji for css
  * Fix Emoji completion
  * text: Don't compute invisible char in init
  * Adwaita: Use child selectors in many more places
  * testsuite: Update mark names
  * colorbutton: Use a css name
  * css: Print selectors
  * Adwaita: Drop menuitem support
  * Adwaita: Remove a wildcard rule for tooltips
  * css: Print out relative costs of selectors
  * Adwaita: Drop menu remnants
  * Adwaita: Drop selection mode
  * Merge branch 'matthiasc/for-master' into 'master'
  * Revert "css: Print out relative costs of selectors"
  * Revert "css: Print selectors"
  * Make wayland load cursors on demand
  * Merge branch 'wayland-cursors' into 'master'
  * css: Update affects flags for icons
  * GtkIcon: Pay attention to style changes
  * GtkPaned: Pay attention to style changes
  * GtkSpinner: Pay attention to style changes
  * Adwaita: Fix some entry styling
  * Add a profiler mark around renderer realization
  * widget: Stop using style context internally
  * gskpango: Stop using style context getters
  * drag icon: Stop using style context getters
  * popover: Stop using style context getters
  * Merge branch 'style-context-redux' into 'master'
  * Revert "Ensure icon themes are loaded with other themes"
  * Fix a scrollbar sizing issue
  * lookup stats
  * Adwaita: drop the *
  * Adwaita: take out an unnecessary rule
  * css: Split style into groups
  * Revert "css: Split style into groups"
  * Revert "lookup stats"
  * css: Don't lose inset when computing shadows
  * filechooser: Stop using gtk_style_context_get
  * gskpango: Don't free rgba's we don't own
  * textutil: Stop using GtkStyleContext
  * Silence a compiler warning
  * Merge branch 'wip/baedert/widget-add-style-class' into 'master'
  * performance test: Produce better numbers
  * css: Split styles into groups
  * Compute style change based on values structs
  * Use style values directly
  * Merge branch 'robertroth/shortcuts-overlay-accel' into 'master'
  * Merge branch 'reset-with-click' into 'master'
  * Merge branch 'css-style-split-2' into 'master'
  * Merge branch 'gdk-device-leak-fix' into 'master'
  * animatedstyle: Fix the debug build
  * builder: Use a better name for templates
  * builder: Add profiler marks for parsing
  * profiler: Exit gracefully on SIGTERM
  * Remove primary monitor api
  * Merge branch 'kill-primary-monitor-2' into 'master'
  * Merge branch 'meson-sassc-subproject' into 'master'
  * Build fix for GtkCssValues
  * Remove simple search engine
  * filechooser: Remove debug spew
  * modelbutton: Update a11y states
  * Make it easy to recognize initial style values
  * background: Don't render initial backgrounds
  * border: Don't render initial borders
  * Merge branch 'initial-style' into 'master'
  * Merge branch 'sigma' into 'master'
  * css: Fix an oversight in style change computation
  * Merge branch 'wip/muktupavels/update-documentation' into 'master'
  * emojichooser: Make public
  * Merge branch 'faster-theme-lookup' into 'master'
  * css: Fix the initial values optimization
  * treelistmodel: Small documentation tweaks
  * maplistmodel: Add an example to the docs
  * testperf: Allow measuring start time
  * testperf: More flexible mark selection
  * placessidebar: Change some initial property values
  * Read bookmarks async
  * Don't export color picker functions
  * entry: Avoid criticals in dispose
  * textview: Don't update action state in dispose
  * notebook: Don't trigger criticals in dispose
  * treestore: Silence compiler warnings
  * gdk: Silence some compiler warnings
  * frameclock: cosmetics
  * icontheme: Remove some dead code
  * Add a lib64 variant of gtk.supp
  * widget: Fix a memory leak with class actions
  * icontheme: Fix various memory leaks
  * emojichooser: Add profiler marks for loading
  * Merge branch 'public-emojichooser' into 'master'
  * Merge branch 'master.msvc' into 'master'
  * testsuite: Fix bloomfilter style tests
  * testsuite: Make tests run without a11y bus
  * css tests: Ignore ".csd" vs ".solid-csd"
  * Merge branch 'better-test-isolation-2' into 'master'
  * Merge branch 'kill-simple-search' into 'master'
  * notebook: Update arrows when text direction changes
  * Merge branch 'WindowsPrintDriverPreferencesMaster' into 'master'
  * Build sassc as a dependency for flatpaks
  * Merge branch 'flatpak-build-sassc' into 'master'
  * a11y: Report children of widgets
  * a11y: Add an accessible for widgets with children
  * stackswitcher: Use a composite accessible
  * testsuite: Update some a11y tests
  * tests: Update expected output
  * colorchooser: Use a composite accessible
  * testsuite: Update expected output
  * tests: Fix infobars in ui files
  * testsuite: Improve --generate support
  * testsuite: Clean up a11y menu tests
  * infobar: Implement forall
  * testsuite: Misc. updates of expected output
  * Merge branch 'a11y-fixes' into 'master'
  * Merge branch 'wip/carlosg/implicit-grabs-on-leave' into 'master'
  * Updates for 3.98
  * Fix syntax
  * Add a forgotten word
  * Remove accidentally added files
  * Merge branch 'wip/otte/toolbar' into 'master'
  * flatpak: Build against the master runtime
  * NEWS: Small additions
  * label: Don't use gtk_widget_peek_style_context
  * Merge branch 'patch-1' into 'master'
  * Adwaita: Fix selection in vertical spin buttons
  * gtk-demo: Don't call gtk_main_quit
  * Avoid mime sniffing where possible
  * Merge branch 'avoid-mime-sniffing' into 'master'
  * Fix build with -Dgtk_doc=true
  * Fix the build with -Dgtk_doc=true
  * emojichooser: Fix the docs
  * docs: Update the switch thumbnail
  * docs: Drop a few no longer existing symbols
  * Fix a doc comment
  * gsk: Small documentation additions
  * gsk: Update docs sections
  * Merge branch 'wip/baedert/remove-outline-properties' into 'master'
  * css: Add a comment
  * docs: Remove a mention of gtk_main_do_event
  * docs: Remove a reference to gtk_main_do_event
  * docs: Remove more mentions of gtk_main_do_event
  * testsuite: Stop using gtk_main_do_event
  * Remove gtk_main_do_event from the docs
  * Remove gtk_main_do_event from public API
  * Remove gtk_propagate_event from public API
  * Remove unused include
  * Merge branch 'main-cleanup' into 'master'
  * win32: Fix the build
  * win32: One more build fix
  * win32 printing: Stop using gtk_events_pending
  * tests: Stop using gtk_events_pending
  * Drop gtk_events_pending
  * Drop gtk_main_iteration
  * Drop gtk_main_level
  * Stop using gtk_main_quit
  * Stop using gtk_main and gtk_main_quit
  * docs: Update an example
  * Drop gtk_main and gtk_main_quit
  * Drop gtk_get_main_thread
  * docs: Mention gtk_main in the migration guide
  * Remove unused includes
  * inspector: Draw baselines as an overlay
  * widget: Stop embedding baseline debugging
  * Remove GTK_DEBUG=baselines
  * Merge branch 'baselineoverlay' into 'master'
  * More updates
  * Merge branch 'mainloop-cleanup' into 'master'
  * Merge branch 'fix-hidpi-popups' into 'master'
  * Merge branch 'fix-gestures-test' into 'master'
  * testsuite: Update expected output
  * Calendar: Make year/month/day writable again
  * calendar: Fix mismatches with GDateTime
  * Update expected test output
  * Disable the buttons a11y test
  * Drop the toplevel-vs-popup reftest
  * Add the label-wrap-justify reftest to xfails
  * 3.98.0
  * Revert "Add the label-wrap-justify reftest to xfails"
  * Typo fix
  * Merge branch 'fix-revealer-scale' into 'master'
  * Merge branch 'fix-angle-normalization' into 'master'
  * Merge branch 'handle-max-texture-size' into 'master'
  * Merge branch 'wip/baedert/outline-radius' into 'master'
  * Merge branch 'mark-events-with-kind' into 'master'
  * Merge branch 'cleanup-profiler-marks' into 'master'
  * Move performance tests to the right testsuite
  * testsuite: Warn if a necessary env var is missing
  * Fix the Emoji chooser finalize
  * Merge branch 'ci-pages' into 'master'
  * popovermenu: Avoid an uninitialized variable
  * Remove unused signal enum values
  * Merge branch 'wip/baedert/cairo-paint' into 'master'
  * Fix flickery hover
  * Merge branch 'wip/otte/no-clip-on-draw' into 'master'
  * Remove border-half-pixel reftest from xfail
  * gsk: Fix the compiler warning differently
  * testsuite: Handle icontheme test better
  * Make release builds mandatory for ci
  * Merge branch 'gi-fixes' into 'master'
  * Force-create style contexts in realize
  * Merge branch 'master-subtract-base-size' into 'master'
  * Merge branch 'zhaoqiang/gtk-To_avoid_compiler_warning'
  * testsuite: Stop using gdk_surface_new_temp
  * Drop gdk_surface_new_temp
  * events: Make proximity and scroll events have tools
  * text: Treat Emoji insertion like clipboard
  * Merge branch 'text-emoji-history' into 'master'
  * Merge branch 'wip/otte/dnd' into 'master'
  * Merge branch 'wip/otte/for-master' into 'master'
  * icontheme: Update the api
  * Merge branch 'icontheme-api' into 'master'
  * Merge branch 'master' into 'master'
  * Make a11y testsuite pass
  * gdk: Add event constructors
  * wayland: Use event constructors
  * wayland: Clean up coordinate handling
  * Remove root coords from the GdkDrop api
  * x11: Stop relying on root coordinates in events
  * x11: Stop setting x_root/y_root in events
  * broadway: Stop setting x_root/y_root in events
  * events: Drop x_root/y_root
  * gdk: Use event constructors for dnd
  * gdk: Use constructor for grab broken
  * main: Use event constructors
  * window: Use event constructors
  * widget: Port emulation code to constructors
  * imcontextsimple: Use event constructors
  * main: Use constructors instead of gdk_event_copy + rewriting
  * textview: Stop using gdk_event_copy
  * wip: Use event constructors in the testsuite
  * broadway: Use event constructors
  * x11: use event constructors
  * x11: Don't generate GDK_DESTROY events
  * gtk: Stop handling GDK_DESTROY differently from GDK_DELETE
  * events: Drop GDK_DESTROY
  * x11: Don't pass a GdkEvent to xsettings filters
  * x11: Don't pass a GdkEvent to shape cache filters
  * x11: Change the wm protocols filter api
  * x11: change event translator interface
  * x11: Remove an unnecessary check
  * x11: Pass the right surface to the dnd filter
  * win32: Use event constructors
  * display: Stop using gdk_event_copy
  * Drop gdk_event_new and gdk_event_copy
  * Stop using g_object_ref/unref on events
  * Make GdkEvent a boxed type
  * Drop GDK_NOTHING
  * Pass translated coordinates outside the event
  * Stop using gtk_get_event_target
  * tooltip: stop using gtk_get_event_target
  * main: Drop gtk_get_event_target
  * wip: scrolledwindow stop using targets
  * New focus change handling
  * Make crossing events handled the same way
  * Reinstate filtering for crossing events
  * Stop looking at the related target for filtering
  * Explicitly pass the target to handle_event
  * eventcontroller: Make the target widget available
  * gesture: Keep the target widget for events
  * Stop using gdk_event_get_target
  * main: Stop calling gdk_event_set_target
  * events: Drop target and related target
  * events: Drop all setters
  * Strip const from GdkEvent
  * Drop gdk_set/get_show_events
  * events: reorganize getters
  * Drop gtk_widget_event from API
  * Always deliver focus events to toplevels
  * x11: Stop using the send_event event field
  * x11: Remove some leftover event struct access
  * Streamline event structs
  * Some event struct packing improvements
  * Clean up GdkEventType docs
  * Update event docs section
  * Update the focus test
  * wayland: Fix a release build warning
  * win32: Remove some leftover event struct access
  * wip: Add more information to crossing events
  * Split off GtkEventControllerFocus
  * Go back to ::enter/::leave for pointer changes
  * Bring back im context focus-in/out
  * Stop exporting check_event_sanity
  * Keep more event controller api private
  * motion controller: Match focus event propagation
  * a11y: drop unused code
  * gtk: Stop using GdkEventKey
  * gtk: Stop using GtkEventButton
  * gdk: Drop event structs from the headers
  * gtk-demo: Stop using gtk_get_event_widget
  * Stop exporting gtk_get_event_widget
  * docs: Remove some no-longer existing api
  * Merge branch 'readonly-events-1' into 'master'
  * profiling: Avoid criticals
  * profiling: Avoid one extra printf
  * Merge branch 'wip/gdkpopuplayout-section' into 'master'
  * Merge branch 'wip/xdg-popup-layout-no-op' into 'master'
  * color chooser: Fix fallout from floatification
  * Merge branch 'color-float-fix' into 'master'
  * Add a warning when a grab fails
  * Remove GdkSeatGrabPrepareFunc from headers
  * Fix gdk docs build
  * x11: Fix a crash in event handling
  * Merge branch 'matthiasc/for-master' into 'master'
  * Fix a hard-to-spot typo
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/wayland-fix-popup-grabs' into 'master'
  * x11: Avoid crashes in dnd
  * x11: Keep a ref on GdkDrag objects
  * x11: Export gdk_x11_surface_get_root_coords privately
  * x11: Fix dnd coordinate handling
  * Add detail to gdk_drag_begin docs
  * Merge branch 'x11-dnd-fixes' into 'master'
  * Merge branch 'wip/otte/dnd' into 'master'
  * broadway: Remove SURFACE_IS_TOPLEVEL
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch '138-gtk4-install-valgrind-suppressions' into 'master'
  * Merge branch 'wip/ebassi/filechooser-new' into 'master'
  * Fix the build with docs
  * Add a getter for GdkAppLaunchContext::display
  * device: Add missing getters
  * gdk: Drop GdkDevice::input-mode and rename ::input-source
  * surface: Add a getter for autohide
  * Add missing GdkDrag getters
  * Merge branch 'getters-and-setters' into 'master'
  * Add gdk_surface_get_mapped
  * Replace gdk_surface_is_visible by _get_mapped
  * Drop gdk_surface_is_visible
  * Merge branch 'surface-get-mapped' into 'master'
  * popover: Drop ::relative-to
  * Drop rtl variants of media-playback-start
  * Merge branch 'kill-popover-relative-to' into 'master'
  * Merge branch 'kill-rtl-media-icons' into 'master'
  * Rename GtkSpinner::active to ::spinning
  * Merge branch 'spinning-spinner' into 'master'
  * testsuite: Remove outdated exclusions
  * builder-tool: replace some properties
  * update testsuite
  * Drop the expand property
  * Drop the margin property
  * Small fixups
  * Merge branch 'expand-margin-cleanup' into 'master'
  * builder-tool: Fix a thinko
  * gesture: Actually track targets
  * Merge branch 'matthiasc/for-master' into 'master'
  * Fix a leftover occurrence of ::expand
  * Merge branch 'matthiasc/for-master' into 'master'
  * Avoid a crash in css font features values
  * Remove a stray g_object_unref
  * Merge branch 'matthiasc/for-master' into 'master'
  * inspector: Fix the "Software GL" switch
  * Merge branch 'matthiasc/for-master' into 'master'
  * Drop device grabs
  * Drop gtk_grab_get_current
  * Drop gtk_grab_add/remove from public api
  * Merge branch 'kill-grabs-2' into 'master'
  * Merge branch 'gbsneto/gtkeventcontrollerfocus' into 'master'
  * Merge branch 'master' into 'master'
  * Merge branch 'vfl-error' into 'master'
  * disable popover test
  * Drop gtk_window_begin_move/resize_drag
  * testsuite: Stop using GtkSpinner::active
  * testsuite: Update a11y test output
  * Simplify surface move/drag api
  * wayland: Stop calling frontend surface api
  * Move GdkSurface autocleanup declaration
  * popuplayout: Add docs
  * Introduce GdkPopup
  * surface: Implement GdkPopup
  * popover: Use GdkPopup
  * tooltip: Use GdkPopup
  * surface: Drop popup api
  * wayland: Stop abusing type hints
  * x11: Stop abusing type hints for dnd
  * broadway: Stop using gdk_surface_raise
  * x11: Stop using gdk_surface_raise
  * inspector: Stop raising and lowering windows
  * wayland: Stop using gdk_surface_set_geometry_hints
  * x11: Stop using gdk_surface_set_geometry_hints
  * x11: Stop using gdk_surface_maximize
  * surface: Rename gdk_surface_input_shape_combine_region
  * wayland: Stop tracking orphan dialogs
  * a11y: Stop using type hints
  * testsuite: Stop using type-hint
  * headerbar: Stop looking at type hints
  * shortcutswindow: Stop setting type hints
  * Stop setting type hints for dialogs
  * x11: Set type hints based on surface type
  * window: Drop type hints
  * testsuite: Stop using type-hints
  * Introduce GdkToplevelLayout
  * Introduce GdkToplevel
  * window: Use GdkToplevel
  * gtk: use toplevel state getter
  * x11: Stop using gdk_surface_get_state
  * a11y: Stop using gdk_surface_get_state
  * demo: stop using gdk_surface_get_state
  * testgtk: Stop using gdk_surface_get_state
  * wayland: Stop using gdk_surface_set_title
  * testgtk: Stop using gdk_surface_set_icon_name
  * tests: Stop using gdk_surface_fullscreen
  * testgtk: Stop setting decorations and functions
  * docs: Stop using gdk_surface_get_decorations
  * surface: Drop redundant toplevel api
  * Add a GdkDragSurface interface
  * gtkdragicon: Use drag surface api
  * Drop gdk_surface_show and gdk_surface_resize
  * widget: Stop using gdk_surface_set_opacity
  * x11: Stop using gdk_surface_set_opacity
  * Drop gdk_surface_set_opacity
  * wayland: Implement GdkPopup, GdkToplevel and GdkDragSurface
  * x11: Implement GdkPopup, GdkToplevel and GdkDragSurface
  * broadway: Implement GdkPopup, GdkToplevel and GdkDragSurface
  * x11: Only use state of toplevels
  * surface: Don't implement subtypes in the frontend
  * surface: Stop using surface types
  * wayland: Stop using surface types
  * x11: Stop using gdk_surface_get_surface_type
  * broadway: Stop using surface type
  * x11: Stop using surface-type
  * wayland: Stop using surface-type
  * gdk: Drop surface-type
  * x11: Stop using gdk_surface_show
  * wayland: Drop dead code
  * broadway: Stop using gdk_surface_show
  * win32: Stop using gdk_surface_show
  * surface: Drop gdk_surface_show
  * broadway: Drop some unused vuncs
  * x11: Drop some unused vfuncs
  * wayland: Drop some unused vfuncs
  * win32: Drop some unused vfuncs
  * quartz: Drop unused vfuncs
  * surface: Drop unused vfuncs
  * Move edge-constraints to GdkToplevel
  * Move fullscreen-mode to GdkToplevel
  * Drop mwm hints from api
  * Drop root coordinates from _gdk_device_query_state
  * popup: require GdkSurface
  * toplevel: require GdkSurface
  * surface: document gdk_surface_translate_coordinates
  * Fix up gdk docs
  * win32: implement subtypes
  * win32: Build fixes
  * Merge branch 'present-toplevel-2' into 'master'
  * a11y: Drop the private from GtkPopoverAccessible
  * Merge branch 'popover-accessible-private' into 'master'
  * Merge branch 'update-broadway' into 'master'
  * wayland: Stop capping cursor scales
  * Merge branch 'wayland-max-cursor-scale' into 'master'
  * Merge branch 'wip/baedert/test-cflags' into 'master'
  * testsuite: Actually run tools tests
  * testsuite: Update tools tests
  * testsuite: Update the settings test output
  * Update the ui file conversion output
  * testsuite: Specify the test protocol
  * Merge branch 'fix-tools-tests' into 'master'
  * x11: Update surface size for popups too
  * Merge branch 'x11-resize' into 'master'
  * NEWS: Updates
  * Update gtk docs
  * Small documentation fixes
  * Document gdk_toplevel_set_modal
  * gdk: Documentation fixes
  * window: Drop gtk_window_set_attached_to
  * Merge branch 'window-attach' into 'master'
  * tests: Stop sticking windows
  * window: Drop sticky
  * Drop GdkToplevel:sticky
  * tests: Stop using keep above/below
  * window: Drop keep above/below
  * Drop GdkToplevel:keep-above/below
  * Drop focus-related properties
  * Drop GdkToplevel:accept-focus/:focus-on-map
  * Merge branch 'x11-props' into 'master'
  * emojichooser: Make the variation picker work again
  * Adwaita: Fix focus in emoji chooser
  * Merge branch 'emoji-chooser-fixes' into 'master'
  * Assorted migration guide updates
  * popover: Add keynav keybindings
  * Revert "Adwaita: dark switches/check/radios"
  * window: Set min size properly
  * emojichooser: Fix keynav
  * Merge branch 'wip/chergert/textview-fix-gdk_event_unref' into 'master'
  * Merge branch 'wip/jimmac/adwaitadark-lighten-switches' into 'master'
  * Merge branch 'wip/chergert/speedup-char_is_invisible' into 'master'
  * shortcut: Add GtkShortcutTrigger
  * popover: Add keynav keybindings
  * event controller focus: drop include
  * Move shortcut manager initialization code
  * shortcutmanager: Name the controllers
  * window: Name the the controllers
  * widget: Name the controllers
  * Only create a class shortcut controller if we have shortcuts
  * inspector: Show shortcuts
  * Print mnemonic triggers clearly
  * Use an action for the context menu keybinding
  * emojichooser: Stop using ::popup-menu
  * scrollbar: Remove :popup-menu forwarding
  * range: Remove ::popup-menu emission
  * colorchooser: Stop using ::popup-menu
  * gtk-demo: Stop emitting ::popup-menu
  * mountoperation: Stop using ::popup-menu
  * filechooser: Stop using ::popup-menu
  * placesview: Stop using ::popup-menu
  * widget: Drop the ::popup-menu signal
  * text view: Fix touch selection
  * temporarily disable window test
  * Fix a compiler warning
  * Fix the action test
  * Merge branch 'disable-window-test' into 'master'
  * Revert "Merge branch 'disable-window-test' into 'master'"
  * temporarily disable window test
  * Merge branch 'disable-window-test-2' into 'master'
  * testsuite: Fix the accessible test
  * testsuite: Don't g_print from tests
  * gsk: Don't unconditionally spew to stdout
  * reftests: Don't run tests with --verbose
  * testsuite: Don't exit unsuccessfully when using TAP
  * reftests: Fix an xfail to work
  * testsuite: Tell meson we use TAP
  * testsuite: Fix an a11y test
  * Merge branch 'wip/carlosg/text-handle-natives' into 'master'
  * testsuite: disable performance tests
  * Merge branch 'test-protocol' into 'master'
  * Merge branch 'wip/chergert/fix-class-private-data-usage' into 'master'
  * texttag: Support overline and hyphenation control
  * textlayout: Handle new text tag properties
  * textbuffer: Parse overline and hyphenation attributes
  * gtk-demo: Allow word breaking in the markup demo
  * gtk-demo: Add hyphenation control to the markup demo
  * Require pango 1.44.4
  * Make overline support conditional
  * Merge branch 'new-text-attributes' into 'master'
  * inspector: Make picking work again
  * x11: Fix key event state translation
  * Merge branch 'fix-inspector-key' into 'master'
  * Merge branch 'fix-inspector-picking' into 'master'
  * portal file chooser: Handle errors
  * Merge branch 'portal-chooser-fail' into 'master'
  * Merge branch 'portal-dir-chooser' into 'master'
  * places sidebar: Fix the popovers
  * filechooser: Fix the new folder popover
  * filechooser: Fix the file list popover
  * file chooser: Fix the rename file popover
  * Merge branch 'filechooser-popover-fixes' into 'master'
  * a11y: Don't re turn uninitialized memory
  * 3.98.1
  * testsuite: Set NO_AT_BRIDGE for gtk tests
  * filechoosererrorstack: Fix object life-cycle
  * Merge branch 'wip/chergert/muxer-robustness-fix' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * flattenlistmodel: Give access to child models
  * event controller focus: drop include
  * text view: Fix touch selection
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'matthiasc/for-master2' into 'master'
  * shortcut: Add GtkShortcutTrigger
  * popover: Add keynav keybindings
  * widget: Only create a controller if we have shortcuts
  * shortcutcontroller: Use a list model for shortcuts
  * shortcutmanager: Use list models
  * inspector: Show shortcuts
  * Print mnemonic triggers clearly
  * Use an action for the context menu keybinding
  * emojichooser: Stop using ::popup-menu
  * scrollbar: Remove :popup-menu forwarding
  * range: Remove ::popup-menu emission
  * colorchooser: Stop using ::popup-menu
  * gtk-demo: Stop emitting ::popup-menu
  * mountoperation: Stop using ::popup-menu
  * filechooser: Stop using ::popup-menu
  * placesview: Stop using ::popup-menu
  * widget: Drop the ::popup-menu signal
  * Add a test for shortcut triggers
  * Add tests for shortcut actions
  * shortcuttrigger: Introduce partial matches
  * shortcuttrigger: Do elaborate matching for key events
  * shortcutcontroller: Implement mnemonic cycling
  * Drop the keyhash test
  * window: Remove GtkKeyHash remnants
  * Drop GtkKeyHash
  * shortcutcontroller: Only activate shortcuts of visible widgets
  * widget: Remove some leftover accel group plumbing
  * modelbutton: Remove accel poking
  * modelbutton: Make activatable
  * popover: Implement GtkShortcutManager
  * shortcutcontroller: Inject accels into the action muxer
  * popovermenu: Make mnemonics work without Alt
  * modelbutton: Install accels when inside a popover
  * label: Disconnect visible mnemonics in popovers
  * popover: Add a mnemonics-visible property
  * label: Respect GtkPopover::mnemonics-visible
  * popover: Implement auto mnemonics
  * popovermenu: Show mnemonics on keynav
  * docs: Update the overview input chapter
  * shortcutcontroller: Expand the docs
  * shortcutaction: Some documentation fixups
  * shortcuttrigger: Some documentation fixups
  * shortcutmanager: Add some more docs
  * Some documentation fixes
  * Merge branch 'wip/matthiasc/shortcut-4' into 'master'
  * Merge branch 'wip/jimmac/HC-redesign' into 'master'
  * widget-factory: Add theme switch
  * Merge branch 'widget-factory-theme' into 'master'
  * Merge branch 'trigger-parser' into 'master'
  * Merge branch 'rename-theme-resources' into 'master'
  * widget-factory: Fix the radio button example
  * gtk-demo: Fix the search entry demo
  * Merge branch 'matthiasc/for-master' into 'master'
  * gtk-demo: Visual fixes to the model button demo
  * menubutton: Add a use-underline property
  * gtk-demo: Use mnemonics in menu buttons
  * gtk-demo: Fix the overlay demo
  * gtk-demo: Fix the rotated text demo
  * gtk-demo: Fix the shortcuts demo
  * gtk-demo: Fix the sliding puzzle
  * gtk-demo: Fix the stack demo
  * Merge branch 'matthiasc/for-master' into 'master'
  * menubutton: Drop the Private struct
  * aboutdialog: Drop the Private struct
  * actionbar: Drop the Private struct
  * accellabel: Drop the Private struct
  * accellabel: Drop unused class fields
  * settings: Drop the Private struct
  * statusbar: Drop the Private struct
  * searchentry: Drop the Private struct
  * texthandle: Drop the Private struct
  * infobar: Drop the Private struct
  * image: Drop the Private struct
  * appchooserdialog: Drop the Private struct
  * Merge branch 'matthiasc/for-master' into 'master'
  * x11: Don't use g_object_unref on events
  * imcontextsimple: Don't use g_object_unref on events
  * button: Fix an event handling gotcha
  * cellarea: Fix cell editing
  * gesture: Fix gtk_gesture_get_bounding_box
  * Merge branch 'matthiasc/for-master' into 'master'
  * printing: Fix initial page range radio group
  * printing: Avoid a crash
  * Merge branch 'matthiasc/for-master' into 'master'
  * testsuite: Fix notify test no not fail on the 30th
  * printjob: Drop the Private struct
  * printunixdialog: Drop the Private struct
  * filechooserwidget: Drop the Private struct
  * spinbutton: Drop the Private struct
  * levelbar: Drop the Private struct
  * listbox: Drop the Private struct
  * notebook: Drop the Private struct
  * colorchooserwidget: Drop the Private struct
  * colorchooserdialog: Drop the Private struct
  * coloreditor: Drop the Private struct
  * Merge branch 'matthiasc/for-master' into 'master'
  * widget: Remove a leftover vfunc
  * window: Remove initial-focus leftovers
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/jimmac/avoid-t-word' into 'master'
  * Merge branch 'issue982' into 'master'
  * Merge branch 'wip/hadess/portal-fixes' into 'master'
  * Add new api to the docs
  * shortcutcontroller: Fix builder support
  * testsuite: Add a builder test for shortcut controllers
  * shortcutcontroller: Document buildable support
  * Merge branch 'matthiasc/for-master' into 'master'
  * NEWS: Updates
  * window: Fix residual resizing issues
  * Merge branch 'matthiasc/for-master' into 'master'
  * testsuite: Add a test for parsing layout properties
  * testsuite: Add a test for transforms in builder files
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/carlosg/stuck-pointer-focus' into 'master'
  * 3.98.2
  * Add a cursor-aspect-ratio setting
  * keynav: Fix Shift-Tab
  * Update the settings test
  * Merge branch 'cursor-aspect-ratio' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * gtk-demo: Remove the popover demo
  * Merge branch 'drop-popover-demo' into 'master'
  * Fix crossing event generation
  * Merge branch 'fix-menu-flicker' into 'master'
  * imcontextsimple: Add a profiler mark for IO
  * imcontextsimple: Load ~/.Compose unconditionally
  * imcontextsimple: Simpify Compose file loading
  * imcontexsimple: Move Compose file loading to class_init
  * Merge branch 'im-context-wayland-fixes' into 'master'
  * Merge branch 'wip/smcv/libdir-independent-valgrind-suppressions' into 'master'
  * Merge branch 'cherry-picked-wayland-keyboard-fix' into 'master'
  * window: tie focus to surface state changes
  * a11y: Set focus-related states properly
  * a11y tests: Update for focus state changes
  * wayland: Add a comment about keyboard state handling
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'move-gdkgrab-decl' into 'master'
  * testsuite: Try harder to record a full focus chain
  * testsuite: Add a big focus chain testcase
  * Merge branch 'focus-test' into 'master'
  * Add GtkScrollbarAccessible
  * Add an api to parse shortcut actions
  * testsuite: Add tests for parsing shortcut actions
  * Merge branch 'shortcut-action-parse' into 'master'
  * scrollbar: Be more defensive
  * Merge branch 'scrollbar-a11y' into 'master'
  * demos: Remove can-focus from ui files
  * colorbutton: Fix focus
  * colorbutton: Don't add a customize menu
  * Merge branch 'matthiasc/for-master' into 'master'
  * shortcuts: documentation fixes
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * gtk-demo: Fix a crash
  * Merge branch 'matthiasc/for-master' into 'master'
  * Add gdk_event_matches
  * Add gdk_event_get_match
  * cell renderer accel: Use gdk_event_get_match
  * Drop some no longer used code
  * passwordentry: Show caps lock warning more
  * gdk: Add keymap properties to GdkDevice
  * gdk: Move modifier mask api to GdkDisplay
  * Move GdkKeymapKey to gdktypes.h
  * Move keymap mapping functions to GdkDisplay
  * wayland: Notify new device properties
  * x11: Notify new device properties
  * gtk: Stop using keymap apis
  * gtk: Use display apis for keymap mapping
  * testsuite: Stop using keymap apis
  * tests: Stop using gtk_accelerator_set_default_mod_mask
  * Rename GDK_MOD1_MASK to GDK_ALT_MASK
  * gtk: Stop using GDK_MODx_MASK
  * gdk: Remove reserved bit from GdkModifierType
  * wayland: Stop setting MOD2..MOD5
  * Merge branch 'fno-common' into 'master'
  * win32: Stop using MODx modifiers
  * broadway: Stop using MOD2..MOD5
  * events: Stop doing elaborate virtual modifier handling
  * gtk: Remove handling of virtual modifiers
  * gdk: Redo key events
  * gdk: Clean up GdkModifierType
  * imcontextsimple: Disable some win32-only code
  * Merge branch 'misc-meson-fixes' into 'master'
  * gdk: Make GdkKeymap a private api
  * keymap: Remove virtual modifier mapping functions
  * gtk: Stop using modifier intents
  * gtk: Drop gtk_widget_get_modifier_mask
  * display: Remove gdk_display_get_modifier_mask
  * Remove uses of modifier intents in gdkevents.c
  * gdk: Remove gdk_keymap_get_modifier_mask
  * Drop gtk_accelerator_set_default_mod_mask
  * Reshuffle keymap docs
  * accelgroup: Small documentation updates
  * Update migration guide
  * reftests: Comment out a test that fails only in ci
  * Merge branch 'keymap-rework-2' into 'master'
  * Replace most uses of <Primary> with <Control>
  * shortcuttrigger: Don't trigger on key releases
  * Merge branch 'wip/chergert/fix-shortcut-param-order' into 'master'
  * Merge branch 'fix-event-match' into 'master'
  * Merge branch 'cross-postinstall' into 'master'
  * Move label attribute parser code
  * entry: Add <attributes> support
  * entry: Document buildable support
  * Merge branch 'attribute-docs' into 'master'
  * Merge branch 'private-x11-types' into 'master'
  * impcontextsimple: Drop ifdef'ed platform dependencies
  * Remove an unused backend includes
  * Merge branch 'imcontextsimple-drop-ifdefs' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'render-node-types' into 'master'
  * Merge branch 'wip/xdg-popup-move' into 'master'
  * colorplane: Set a css name
  * coloreditor: Draw a focus around the color plane
  * notbook: Fix a bug in focus handling
  * Fix running focus-chain tests in ci
  * Add more focus chain tests
  * root: Reorganize focus handling
  * window: Make set_focus equal to grab_focus
  * Stop setting can-focus in ui files
  * inspector: Remove can-focus from ui files
  * inspector: Drop more uses of can-focus
  * testsuite: Stop using can-focus
  * a11y tests: Stop using can-focus
  * reftests: Stop using can-focus
  * widget: Drop the :is-focus property
  * testsuite: Stop setting :has-focus
  * widget: Make the :has-focus property readonly
  * gizmo: Allow passing changing focus behavior
  * widget: Add common focus vfunc implementations
  * Change the default value of GtkWidget:can-focus
  * Reinstate expected focus behavior
  * Fix up focus chain result
  * Remove the focus test
  * Remove focusable-container tests
  * color editor: Make the sample non-focusable again
  * Disable focus-chain test that depends on the environment
  * Fix the tools tests to not set can-focus
  * a11y: Fix focusable state
  * Update a11y test results
  * Move focus to the parent if a popover is dismissed
  * Small documentation tweaks
  * Mention focus changes in the migration guide
  * Merge branch 'wip/matthiasc/can-focus' into 'master'
  * scalebutton: Don't derive from GtkButton
  * label: Improve link styling
  * Adwaita: Don't render focus around labels with links
  * Merge branch 'scale-button-double-focus' into 'master'
  * Merge branch 'label-double-focus' into 'master'
  * popovermenu: Remove debug spew
  * modelbutton: Catch focus-in more carefully
  * radiobutton: Fix selection on focus-in
  * Merge branch 'popover-initial-focus' into 'master'
  * Merge branch 'fix-radiobuttons' into 'master'
  * accelgroup: Fix an invalid write
  * Merge branch 'fix-accel-length' into 'master'
  * Use gtk_widget_add/remove_css_class more
  * Merge branch 'reduce-style-context-use' into 'master'
  * Remove gtk_style_context_reset_widgets
  * Merge branch 'remove-style-reset' into 'master'
  * window: Respect widget cursors
  * Merge branch 'respect-window-cursors' into 'master'
  * testsuite: Make actions test order-independent
  * gdk: Small documentation fixes
  * Document actions
  * Merge branch 'action-docs' into 'master'
  * Merge branch 'jjardon/more_licenses' into 'master'
  * broadway: Fix the build
  * Merge branch 'matthiasc/for-master' into 'master'
  * entrycompletion: Remove an unused field
  * gtk: Just use current time for showing urls
  * Add gtk_event_controller_get_current_event[_state]
  * gtk: Port widgets away from gtk_get_current_ apis
  * gtk: Port widgets away from gtk_get_current_ apis
  * tests: Stop using gtk_get_current_ apis
  * Drop gtk_get_current_ apis
  * Merge branch 'current-event-apis' into 'master'
  * Redo gtk_show_uri_on_window
  * gtk: Port all users to the new gtk_show_uri()
  * Merge branch 'show-uri-async' into 'master'
  * text: Fix placing the cursor on click
  * reftest: get backtraces
  * stylecontext: Respect cursor aspect ratio everywhere
  * wayland: Avoid criticals when unsetting transient parents
  * textview: Fix an erroneous unref
  * window: Cosmetic cleanup
  * text: Be more careful with cached layouts
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'arnaudb/better-substitution' into 'master'
  * Adwaita: visible focus outline for color swatches
  * gtk-demo: Add a gears demo
  * gtk-demo: Group the OpenGL demos
  * window: Make resize cursors work for modal dialogs
  * Merge branch 'matthiasc/for-master' into 'master'
  * Add a GtkFileChooserButton:modal property
  * filechooserbutton: Drop the Private struct
  * filechooserbutton: Make dialog modal by default
  * Add a GtkColorButton:modal property
  * colorbutton: Drop the Private struct
  * Add a GtkFontButton:modal property
  * fontbutton: Drop the Private struct
  * Add a GtkAppChooserButton:modal property
  * appchooserbutton: Drop the Private struct
  * Merge branch 'modal-buttons' into 'master'
  * gdk: Add ::enter/leave-monitor signals
  * wayland: emit ::enter/leave-monitor
  * inspector: Show scales other than 2
  * surface: Document coordinate systems a bit
  * Switch the gtk-doc subproject to the gtk-doc-for-gtk4 branch
  * Always use gtk-doc as a subproject for now
  * Merge branch 'use-gtk-doc-for-gtk4' into 'master'
  * Merge branch 'wip/matthiasc/monitor-signals' into 'master'
  * colorswatch: Drop the Private struct
  * expander: Drop the Private struct
  * lockbutton: Drop the Private struct
  * appchooserwidget: Drop the Private struct
  * build: Prepare library versioning
  * Merge branch 'library-versioning' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * emojichooser: Improve keynav
  * emojichooser: Improve keynav, again
  * flowbox: Remove can-focus handling
  * flowbox: Add a private api to disable move-cursor
  * emojichooser: link sections for keynav
  * Merge branch 'arnaudb/fix-typo' into 'master'
  * Merge branch 'emoji-keynav' into 'master'
  * docs: Small revision of input handling overview
  * widget-factory: Add menu style class in popovers
  * Merge branch 'matthiasc/for-master' into 'master'
  * eventcontroller: Fix signal marshallers
  * window: Fix setting :is-active
  * Move key event rewriting
  * Updates to NEWS
  * Merge branch 'matthiasc/for-master' into 'master'
  * window: Don't set is-active twice
  * Merge branch 'matthiasc/for-master' into 'master'
  * css: use :focus-visible instead of :focus(visible)
  * Add :focus-visible to css docs
  * Merge branch 'monitor-signals-x11' into 'master'
  * Add a focus-within state
  * testsuite: Add some checks for focus states
  * Adwaita: Some adjustments for :focus-within
  * themes: Fix HighContrast dependencies
  * Merge branch 'css-focus-changes' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'event-types' into 'master'
  * inspector: Fix a crash
  * widget-factory: Catch errors
  * modelbutton: Don't show accels without text
  * widget-factory: Use a model for the complex menu
  * Merge branch 'assorted-menu-fixes' into 'master'
  * scrolledwindow: Document the .frame style class
  * scrolledwindow: Drop shadow-type
  * treeviewcolumn: Stop using a frame
  * frame: Drop shadow-type
  * viewport: Drop shadow-type
  * Drop GtkShadowType
  * button: Drop relief
  * menubutton: Drop relief
  * Drop GtkReliefStyle
  * calendar: Fix focus keynav
  * reftests: Stop using shadow-type
  * Merge branch 'matthiasc/for-master' into 'master'
  * widget-factory: Add a menu section title
  * Merge branch 'matthiasc/for-master' into 'master'
  * gsk: Fall back to cairo if compiling shaders fails
  * popovermenu: Reinstate section title handling
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'menu-section-title' into 'master'
  * nodeeditor: Don't set has-focus
  * Adwaita: Add focus to expander
  * aspectframe: Modernize
  * migration docs: Updates
  * Merge branch 'matthiasc/for-master' into 'master'
  * NEWS: More updates
  * drawingarea: Cosmetic docs fix
  * filechooser: Cosmetic doc changes
  * emojichooser: Drop focus adjustment setting
  * colorchooser: Fix a crash
  * widget-factory: Make color swatches non-focusable
  * Shorten CSS docs
  * Merge branch 'css-docs' into 'master'
  * viewport: Add GtkViewport:scroll-to-focus
  * Add a test for scroll-to-focus
  * scrolledwindow: Stop setting focus adjustments
  * inspector: Use the new scroll-to-focus
  * flowbox: Stop setting focus adjustments
  * tests: Stop using focus adjustments
  * Drop gtk_container_set_focus_[hv]adjustment
  * docs: Mention focus adjustments in the migration guide
  * css: Give none singletons unique names
  * Merge branch 'BUG_sibebarplaces_avoid_click_focus_GTK4' into 'master'
  * Merge branch 'focus-adjustment' into 'master'
  * statusbar: Don't use a frame
  * Merge branch 'wip/fix-multi-popup-hide' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * css: Allow transitioning between different units again
  * Merge branch 'fix-css-filter-transitions' into 'master'
  * Remove GdkGeometry from public API
  * Remove GdkGeometry from public API
  * Some minor documentation fixes
  * Merge branch 'matthiasc/for-master' into 'master'
  * docs: Restructure a bit
  * Add GtkCenterLayout to the docs
  * Add GtkShortcutLabel to the docs
  * Docs: Various tweaks
  * Merge branch 'BUG_regression_select_folder_GTK4' into 'master'
  * widget: Remove some leftovers
  * Assorted documentation fixes
  * Merge branch 'docs-work' into 'master'
  * Merge branch 'wip/carlosg/grabbing-popovers' into 'master'
  * NEWS: More updates
  * Move set_focus_child to GtkWidget
  * container: Cosmetic doc cleanup
  * Move the idle sizer to GtkWindow
  * Merge branch 'container-focus-cleanup' into 'master'
  * Fix label accessibility
  * 3.98.3
  * placesview: Fix up the address entry help popover
  * Change the approach to menu section titles
  * Adwaita: Some styling for menu section titles
  * Merge branch 'menu-section-title' into 'master'
  * Merge branch 'wip/chergert/fix-toggle-caret-visibility' into 'master'
  * Merge branch 'fix-placesview-popover' into 'master'
  * Stop using the -gtk-icon-theme style property
  * css: Get the icon theme via the settings
  * css: Drop the -gtk-icon-theme property
  * icontheme: Keep a serial
  * css: Compare icon theme serials
  * widget: Add a system_setting_changed vfunc
  * window: Use gtk_system_setting_change
  * settings: Call gtk_system_setting_changed
  * icontheme: Call gtk_system_setting_changed
  * image: Invalidate icon helper when icon theme changes
  * widget: Update when font settings change
  * Drop gtk_style_context_reset_widgets
  * Drop gtk_widget_reset_style
  * menusectionbox: Improve circular button spacing
  * Adwaita: Add padding to circular button rows in menus
  * Merge branch 'matthiasc/for-master' into 'master'
  * window: Tweak visible focus behavior
  * Merge branch 'focus-ring-experiment' into 'master'
  * Drop gtk_widget_has_grab
  * Merge branch 'grab-leftovers' into 'master'
  * reftests: Avoid decorations
  * reftests: Avoid theme influence
  * testsuite: Take border-color-transparent out of xfails
  * Merge branch 'matthiasc/for-master' into 'master'
  * reftests: Avoid text caret from interfering
  * testsuite: Take textview-border-windows out of xfails
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/carlosg/input-fixes' into 'master'
  * widget-factory: Improve the theme selector
  * gsk: Don't autoinclude backend-specific headers
  * Merge branch 'matthiasc/for-master' into 'master'
  * menu: Ignore leaves due to grabs
  * Cosmetics
  * menu: Dismiss submenus during keynav
  * reftests: Use transform syntax
  * Merge branch 'matthiasc/for-master' into 'master'
  * fixed: Fix an oversight in size requisition
  * reftests: Remove background-image-multiple from xfails
  * Merge branch 'matthiasc/for-master' into 'master'
  * Move the idle sizer to the gtkroot.c
  * gtk-demo: Polish the clipboard demo
  * Merge branch 'clipboard-demo-fixes' into 'master'
  * gtk-demo: Improve the dnd demo
  * gtk-demo: Minor cosmetic fixes
  * gtk-demo: Remove the colorsel demo
  * gtk-demo: Update copyright year
  * widget-factory: Update copyright year
  * Merge branch 'wip/exalm/titlebuttons' into 'master'
  * reftests: Fix the window-show-contents-on-map test
  * Merge branch 'clipboard-demo-fixes' into 'master'
  * reftests: Remove window-show-contents-on-map from xfails
  * reftests: Fix the window-show-contents-on-map test
  * reftests: Remove window-show-contents-on-map from xfails
  * widget-factory: Improve the layout on page 3
  * widget-factory: Some cosmetics
  * Merge branch 'matthiasc/for-master' into 'master'
  * widget-factory: Make print a window action
  * Merge branch 'wip/exalm/windowcontrols-fix' into 'master'
  * widget-factory: Implement the print action
  * inspector: Make the resource tab play videos
  * widget-factory: Put a video widget in
  * vulkan: Update error codes enum
  * gdk: Include a default cursor as resource
  * wayland: Fall back to an unthemed default cursor
  * Merge branch 'matthiasc/for-master' into 'master'
  * viewport: Drop the Private struct
  * separator: Drop the Private struct
  * calendar: Drop the Private struct
  * fontchooserwidget: Drop the Private struct
  * fontchooserdialog: Drop the Private struct
  * linkbutton: Drop the Private struct
  * overlay: Drop the Private struct
  * progressbar: Drop the Private struct
  * stackswitcher: Drop the Private struct
  * Merge branch 'matthiasc/for-master' into 'master'
  * widget-factory: Add a password entry
  * widget-factory: Include pango version in about dialog
  * gtk-demo: Include pango version in about dialog
  * widget-factory: Show typographical style classes
  * widget-factory: Make the list on page 2 grow to the bottom
  * widget-factory: Move the password entry
  * widget-factory: Improve the textview on page 3
  * icon-browser: Add a gear menu
  * gtk-demo: Add a shortcuts window
  * widget-factory: Revamp transition effects
  * Merge branch 'matthiasc/for-master' into 'master'
  * filechooser: Fix type-to-search
  * placesview: Fix translator comments
  * filechooser: Correct an annotation
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch '2657-avoid-use-after-free-suggestion' into 'master'
  * Merge branch 'wip/exalm/tnum' into 'master'
  * Merge branch 'BUG_filechooser_async_data_loss_GTK4' into 'master'
  * widget-factory: Enable page transitions by default
  * Merge branch 'matthiasc/for-master' into 'master'
  * popovermenu: Don't put a separator before the first section
  * popover: Allocate after setting final_position
  * Merge branch 'menu-section-title-fixup' into 'master'
  * Merge branch 'popover-flip-arrow-fix' into 'master'
  * mediafile: Privately export function to the extension
  * inspector: Show the media backend
  * Merge branch 'inspector-media' into 'master'
  * Use a slightly larger version of the logo animation
  * video: Don't hide the controls while the popup is shown
  * Merge branch 'widget-factory-larger-logo' into 'master'
  * Reshuffle action muxer initialization
  * Merge branch 'popup-controls-hiding' into 'master'
  * Drop GtkStack:homogeneous
  * builder-tool: Replace GtkStack:homogeneous
  * Speed up class action hookup
  * Merge branch 'drop-stack-homogeneous' into 'master'
  * Merge branch 'class-action-init' into 'master'
  * popover: Fix repositioning logic
  * Merge branch 'popup-positioning-fix' into 'master'
  * Merge branch 'wip/jtojnar/join-paths' into 'master'
  * Add a quick sound test
  * Merge branch 'soundcheck' into 'master'
  * Merge branch 'win32-new-runner' into 'master'
  * docs: Move menu model docs
  * Merge branch 'matthiasc/for-master' into 'master'
  * keymap: Cache key info
  * Merge branch 'speed-up-event-matching' into 'master'
  * stack: Add a :use-underline property
  * widget-factory: Add mnemonics to the stack pages
  * widget-factory: Improve demo keynav
  * Merge branch 'matthiasc/for-master' into 'master'
  * docs: Some revisions of the input overview
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'for-master' into 'master'
  * docs: Add more detail to the drawing overview
  * dragicon: Derive from GtkWidget
  * widget-factory: Fix a typo
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/exalm/subtitle' into 'master'
  * filechooser: Translate type column
  * Merge branch 'filechooser-translation' into 'master'
  * frame: Don't queue a resize if xalign changes
  * frame: Fix xalign handling
  * testframe: Drop padding
  * Merge branch 'matthiasc/for-master' into 'master'
  * widget-factory: Add .toolbar
  * Adwaita: Style .toolbar
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/jimmac/notebook-focus' into 'master'
  * frame: Add a child property
  * Use gtk_frame_set_child throughout
  * frame: Derive from GtkWidget
  * aspectframe: Add a child property
  * Use gtk_aspect_frame_set_child throughout
  * aspectframe: Derive from GtkWidget
  * fishbow: fixup premature popover
  * aspect frame use fixup
  * viewport: Add a child property
  * Use gtk_viewport_set_child throughout
  * viewport: Derive from GtkWidget
  * popover: Add a child property
  * Use gtk_popover_set_child throughout
  * popover: Derive from GtkWidget
  * scrolledwindow: Add a child property
  * Use gtk_scrolled_window_set_child throughout
  * scrolledwindow: Derive from GtkWidget
  * button: Add a child property
  * Use gtk_button_set_child throughout
  * checkbutton: Modernize
  * css tests: Update expected results
  * css testsuite: Remove an obsolete test
  * button: Derive from GtkWidget
  * window: Add a child property
  * Use gtk_window_set_child throughout
  * window: Derive from GtkWidget
  * revealer: Add a child property
  * Use gtk_revealer_set_child throughout
  * revealer: Derive from GtkWidget
  * flowboxchild: Derive from GtkWidget
  * listboxrow: Derive from GtkWidget
  * searchbar: Add a child property
  * Use gtk_search_bar_set_child throughout
  * searchbar: Derive from GtkWidget
  * overlay: Add a child property
  * Use gtk_overlay_set_child throughout
  * overlay: Derive from GtkWidget
  * Add gtk_overlay_remove_overlay
  * testgtk: Fix g_object_new use
  * testkineticscrolling: Make this work again
  * combobox: Add a child property
  * Use gtk_combo_box_set_child throughout
  * combobox: Derive from GtkWidget
  * tooltipwindow: Derive from GtkWidget
  * builder-tool: Convert former bin children
  * Add a test for bin child conversion
  * gtk-demo: Port blur demo from GtkBin
  * inspector: Derive recorder from GtkWidget
  * testtooltips: Derive demo from GtkWidget
  * Drop GtkBin
  * testsuite: Update a testcase
  * docs: Fixup for an uninitialized variable
  * Merge branch 'bin-removal' into 'master'
  * searchbar: Drop the Private struct
  * placesview: Drop the Private struct
  * assistant: Drop the Private struct
  * window: Lower the visible focus timeout
  * widget-factory: Remove unused css
  * widget-factory: Use symboli icons in the toolbar
  * Merge branch 'wip/exalm/controls-dispose' into 'master'
  * Merge branch 'misc-cleanups' into 'master'
  * actionbar: Use dispose instead of destroy
  * combobox: Use dispose instead of destroy
  * expander: Use dispose instead of destroy
  * filechooserbutton: Use dispose instead of destroy
  * label: Use dispose instead of destroy
  * modelbutton: Use dispose instead of destroy
  * text: Use dispose instead of destroy
  * viewport: Use dispose instead of destroy
  * spinbutton: Use dispose instead of destroy
  * range: Use dispose instead of destroy
  * radiobutton: Use dispose instead of destroy
  * shortcutssection: Use dispose instead of destroy
  * iconview: Use dispose instead of destroy
  * notebook: Use dispose instead of destroy
  * statusbar: Use dispose instead of destroy
  * textview: Use dispose instead of destroy
  * treeview: Use dispose instead of destroy
  * window: Use dispose instead of destroy
  * printunixdialog: Use dispose instead of destroy
  * placesview: Use dispose instead of destroy
  * container: Use dispose instead of destroy
  * gtk-demo: Use dispose instead of destroy
  * widget: Drop the destroy vfunc
  * Merge branch 'abolish-destroy' into 'master'
  * inspector: Fix css tree popovers
  * Merge branch 'wip/baedert/for-master' into 'master'
  * Merge branch 'fix-inspector-popover' into 'master'
  * keymap: Remove leftover code
  * gestureclick: Drop the area
  * keymap: Remove leftover code
  * window: Remove some outdated info from the docs
  * treeview: Cosmetic change
  * cellarea: Cosmetics
  * a11y: Avoid a gratitious use of ::size-allocate
  * drawingarea: Add a ::resize signal
  * gtk-demo: Use GtkDrawingArea::resize
  * examples: Use GtkDrawingArea::resize
  * inspector: Stop using ::size-allocate
  * tests: Stop using ::size-allocate
  * tooltip: Add private api to allocate the window
  * tooltipwindow: Drop some dead code
  * tooltipwindow: Stop using the ::size-allocate signal
  * widget: Drop the ::size-allocate signal
  * Merge branch 'wip/jimmac/dark-seuggested' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * Update CONTRIBUTING.md
  * Merge branch 'abolish-size-allocate' into 'master'
  * Merge branch 'master-disable-introspection' into 'master'
  * Merge branch 'drop-click-gesture-area' into 'master'
  * Merge branch 'wip/exalm/row' into 'master'
  * Merge branch 'master.struct.msvc' into 'master'
  * Merge branch 'gbsneto/fix-text-child-header' into 'master'
  * nodeeditor: Don't use container api on list box rows
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/exalm/polish' into 'master'
  * modelbutton: Unify activation code paths
  * Merge branch 'matthiasc/for-master' into 'master'
  * Fix an inspector crash
  * Merge branch 'matthiasc/for-master' into 'master'
  * droptarget: Fix confusion around ::leave signal
  * placeview: Hide the protocols grid when its empty
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'gbsneto/css-dequeue-fix' into 'master'
  * Merge branch 'tintou/gsk-transform-autocleanup' into 'master'
  * Merge branch 'carlosgc/content-provider-union-write' into 'master'
  * window: Remove some dead code
  * widget: Don't leak a reference when reordering
  * Add a test for refcounts under reordering
  * gsk: Fix a typo
  * placesview: Don't do the same thing twice
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/exalm/headerbar-dragging' into 'master'
  * textview: Give attached children a different css name
  * textview: Ensure popup menu is properly inserted
  * testsuite: Use lowercase component in test paths
  * testsuite: Add more tests for automated components
  * widget: Add a :focusable property
  * widget: Fix gtk_widget_focus_all for !focusable
  * Remove lots of focus vfuncs
  * Clarify docs around focus.
  * Merge branch 'focusable-property' into 'master'
  * print-editor: Fix a critical
  * print-editor: Cosmetics
  * treeview: Ensure search popover is properly inserted
  * print dialog: Fix frame <> box confusion
  * builderscope: Fix finalize <> dispose confusion
  * treeviewcolumn: Another case of box <> frame confusion
  * Clean up a leak in a test
  * docs: Cosmetic updates to the tutorial
  * applicationswindow: Make show-menubar FALSE by default
  * Refresh the tutorial examples
  * menubutton: Cosmetics
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/baedert/for-master' into 'master'
  * treeview: Break reference cycles on unroot
  * testsuite: Enable the remaining template tests
  * Merge branch 'teardown-cleanup-2' into 'master'
  * Merge branch 'wip/exalm/test' into 'master'
  * Stop using gtk_widget_destroyed
  * Drop gtk_widget_destroyed
  * fontchooserdialog: Fix disposing
  * colorchooserdialog: Fix disposing
  * filechooserdialog: Fix disposing
  * popover: Fix a reference leak
  * testsuite: Clean up unexpected children
  * nativedialog: Do not ref the transient_for parent
  * window: Add gtk_window_destroy
  * Use gtk_window_destroy
  * Replace gtk_widget_destroy everywhere
  * window: Implement gtk_window_destroy
  * widget: Drop gtk_widget_destroy
  * window: Remove _set_has_user_ref_count
  * Unset tooltip window earlier
  * Update the docs
  * print-editor: Bring back the menubar
  * Merge branch 'window-destroy' into 'master'
  * filechooserdialog: Be more careful with widgets
  * headerbar: Don't clean up other widget children
  * printeroptionwidget: Avoid a critical
  * Merge branch 'wip/tintou/doc-fixes' into 'master'
  * Merge branch 'wip/exalm/2242-test' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * Cosmetics: Replace GtkContainer in an error message
  * button: Fix accessible implementation
  * listboxrow: Fix the accessible implementation
  * combobox: Fix accessible implementation
  * flowboxchild: Fix accessible implementation
  * frame: Fix accessible implementation
  * popover: Fix accessible implementation
  * scrolledwindow: Fix accessible implementation
  * statusbar: Fix accessible implementation
  * window: Fix accessible implementation
  * Fix a leftover list box child
  * Fix a leftover window
  * textviewchild: Don't leak children
  * dragicon: drop gtkcontainer.h include
  * textview: Derive from GtkWidget
  * treeview: Stop using container api
  * treeview: Derive from GtkWidget
  * actionbar: Add gtk_action_bar_remove
  * actionbar: Derive from GtkWidget
  * expander: Add a child property
  * Use gtk_expander_set_child throughout
  * expander: Derive from GtkWidget
  * iconview: Derive from GtkWidget
  * paned: Drop some dead code
  * paned: Redo the api
  * infobar: Add gtk_info_bar_remove_action_widget
  * infobar: Add gtk_info_bar_add/remove_child
  * Use gtk_info_bar_add_child throughout
  * infobar: Derive from GtkWidget
  * grid: Add gtk_grid_remove
  * Avoid container api on grids
  * grid: Remove a test for grid container functionality
  * grid: Derive from GtkWidget
  * fixed: Add gtk_fixed_remove
  * Stop using container api on GtkFixed
  * fixed: Derive from GtkWidget
  * stack: Add gtk_stack_remove
  * Don't use container api on GtkStack
  * shortcutssection: Stop using container api
  * shortcutswindow: Stop using container api
  * treepopover: Stop using container api
  * stack: Derive from GtkWidget
  * flowbox: Add gtk_flow_box_remove
  * Stop using container api on GtkFlowBox
  * flowbox: Derive from GtkWidget
  * textview: Fix popover use
  * text: Fix popover use
  * textviewchild: Derive from GtkWidget
  * customlayout: Cosmetics
  * buildable: Cosmetics
  * listbox: Add gtk_list_box_remove
  * Don't use container api on GtkListBox
  * testsuite: Redo listbox sort test
  * testsuite: Fix listbox tests
  * listbox: Derive from GtkWidget
  * headerbar: Add gtk_header_bar_remove
  * Stop using container api on GtkHeaderBar
  * headerbar: Derive from GtkWidget
  * Stop using container api on GtkNotebook
  * notebook: Derive from GtkWidget
  * box: Add gtk_box_append/prepend/remove
  * Replace most remaining uses of container api
  * shortcutsgroup: Drop container bits
  * shortcutssection: Drop container bits
  * dialog: Remove code that doesn't work anymore
  * assistant: Remove code that doesn't work anymore
  * box: Derive from GtkWidget
  * Drop gtkcontainer.h includes
  * testsuite: Drop a container api use
  * Drop GtkContainer and its accessible implementation
  * dialog: Remove an unused struct
  * dialog: Firm up handling of action widgets
  * docs: Update migration guide
  * Merge branch 'kill-containers' into 'master'
  * docs: Rearrange the introduction some more
  * docs: Don't point at mailing lists
  * docs: Updates to the common questions
  * docs: Tweaks
  * docs: Updates to the migration guide
  * Merge branch 'ebassi/run-dialog-run' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * window: Hide windows on destroy
  * Merge branch 'matthiasc/for-master' into 'master'
  * printoperation-unix: Fix a use-after-free
  * Merge branch 'matthiasc/for-master' into 'master'
  * NEWS: Updates
  * Move print-editor to demos
  * Drop the gtkgears test
  * tests: Move testcairo into gtk4-demo
  * tests: Drop the visuals test
  * paned: Drop the Private struct
  * paned: Don't ignore the type attribute
  * Merge branch 'tests-cleanup' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * x11: Avoid a critical in clipboard data transfer
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'print-editor-new-crash' into 'master'
  * Merge branch 'gtk-demo-expander-fix' into 'master'
  * Merge branch 'wip/baedert/for-master' into 'master'
  * Cosmetics
  * Merge branch 'wip/jimmac/menu-styling-adjustments' into 'master'
  * Merge branch 'wip/exalm/ocd' into 'master'
  * scale: Make the area around the trough clickable
  * tests: Drop testtoolbar2
  * tests: Drop testpixbuf-scale
  * tests: Drop testicontheme
  * tests: Drop testcolorchooser2
  * tests: Drop testbox
  * Merge branch 'usable-scales' into 'master'
  * tests: Drop testcolorchooser
  * tests: Drop testfontchooser
  * tests: Drop testexpander
  * tests: Drop testnoscreen
  * tests: Fix scrolling performance test
  * scrolledwindow: Fix swapping out child
  * gtk-demo: Plug a memory leak
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'tests-cleanup' into 'master'
  * flowbox: Make the children focusable again
  * inspector: Disable recursive inspection
  * gtk-demo: Don't overdraw the fishbowl
  * widget-factory: Cosmetic changes
  * listbox: Don't steal focus-on-click
  * listbox: Make Shift-Tab work again
  * flowbox: Avoid a crash in measure()
  * flowbox: Avoid an assertion in snapshot()
  * Add a test for a flowbox crash
  * Merge branch 'matthiasc/for-master' into 'master'
  * widget-factory: Ensure we have some backgrounds
  * gtk-demo: Fix a problem with the dnd demo
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'x11-dnd-fix' into 'master'
  * Merge branch 'wip/exalm/headerbar-migration' into 'master'
  * Merge branch 'wip/exalm/kinetic_scrolling' into 'master'
  * tests: Drop testbuttons
  * tests: Drop testgiconpixbuf
  * tests: Drop testemblems
  * tests: Drop testorientable
  * tests: Consolidate all headerbar tests
  * tests: Rename testheaderbar2 to testheaderbar
  * tests: Drop testdnd3
  * Merge branch 'tests-cleanup' into 'master'
  * docs: Clarify gdk_display_get_default_seat() docs
  * gtk: Handle seatless displays
  * ci: Add weston and weston-libs to the fedora image
  * ci: Fix a typo in the run-docker.sh script
  * tests: Allow setting a subdir for output
  * testsuite: Add test setups for backends
  * tests: Centralize our test setup a bit
  * ci: Run tests with different backends
  * displayclose: Quietly skip if no X available
  * ci: Ignore Broadway failures
  * Merge branch 'headless-seatless' into 'master'
  * ci: Add the backend to the reports
  * Merge branch 'wip/carlosg/tablet-disconnects-master' into 'master'
  * Merge branch 'better-ci-reports' into 'master'
  * inspector: Use tabular numbers in the fps overlay
  * Merge branch 'matthiasc/for-master' into 'master'
  * broadway: Keep an reference on surfaces
  * testsuite: Destroy surfaces
  * testsuite: Add a gsk-compare-broadway suite
  * ci: Don't run opengl renderer tests on Broadway
  * Merge branch 'broadway-surface-destroy' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * broadway: Don't create overlarge images
  * broadway: Create slave devices
  * Merge branch 'matthiasc/for-master' into 'master'
  * broadway: Be careful about destroyed surfaces
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/baedert/for-master' into 'master'
  * widget-factory: Cosmetics
  * tooltip: Fix positioning
  * textview: Fix context menu placement
  * widget: Fix gtk_widget_get_surface_allocation
  * windowhandle: Take surface transform into account
  * inspector: Take surface transform into account
  * Apply surface transform in more places
  * gdk: Add gdk_toplevel_begin_move/resize
  * window: Use toplevel begin_move/resize api
  * gdk: Drop gdk_surface_begin_move/resize_drag
  * gdk: Move the begin_move/resize_drag vfuncs around
  * docs: Mention begin_resize_drag in the migration guide
  * Merge branch 'toplevel-move-resize' into 'master'
  * native: Make gtk_native_get_surface_transform public
  * Change coordinate translation apis to take doubles
  * gdk: Make gdk_drag_begin take doubles
  * Merge branch 'coordinate-api' into 'master'
  * docs: Tweak docs for gdk_surface_set_input_region
  * x11: Avoid some frontend api use
  * gdk: Drop gdk_display_supports_shapes
  * gdk: Simplify gdk_display_supports_input_shapes
  * Merge branch 'shape-apis' into 'master'
  * colorscale: Bring back the right-click on slider
  * Merge branch 'matthiasc/for-master' into 'master'
  * testsuite: Remove GDK_DEBUG=misc
  * 3.98.4
  * gsk: Document blend modes
  * testsuite: Remove obsolete test from list
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'x11-shortcuts-inhibit-fix' into 'master'
  * docs: Refresh the build and backend sections
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/carlosg/tracker3' into 'master'
  * Merge branch 'wip/baedert/for-master' into 'master'
  * gdk: Short-circuit some surface setters
  * Merge branch 'matthiasc/for-master' into 'master'
  * mediacontrols: Make volume control react to has-audio
  * mediastream: Some properties were meant to be readonly
  * mediastream: Volume is a double
  * Merge branch 'wip/exalm/window-polish' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * gtk-demo: Plug a leak
  * gtk-demo: Plug another leak
  * gtk-demo: Plug another leak
  * gtk-demo: Plug another leak
  * gtk-demo: Fix breakage in a css demo
  * Merge branch 'matthiasc/for-master' into 'master'
  * Differentiate keypad keysyms in accelerators
  * accelgroup: Use Unicode in string literals
  * tooltip: Avoid criticals
  * windowhandle: Drop Move and Resize from the fallback menu
  * range: Treat lower and upper limit the same
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'fix-printbackend' into 'master'
  * text: Avoid clash of preedit and placeholder
  * reftests: Fix the background-origin test
  * colorswatch: Remove a redundant include
  * dragsource: Actually use the paintable
  * gtk-demo: Use proper drag icons in the dnd demo
  * main: Keep the target widget alive
  * gtk-demo: Reorganize the dnd demo
  * gtk-demo: Fix entry position in dnd demo
  * gtk-demo: Improve drag icon handling in dnd example
  * gtk-demo: Improve editing in the dnd demo
  * gtk-demo: Improve rotation in the dnd demo
  * Merge branch 'matthiasc/for-master' into 'master'
  * testsuite: Re-add the sizegroups-evolution reftest
  * fixed: Change coordinate apis to doubles
  * gtk-demo: Stop using appmenu apis
  * examples: Stop using appmenu apis
  * inspector: Drop app-menu support
  * print-editor: Stop using appmenu apis
  * gtkapplication: Drop app menu support
  * Merge branch 'BUG_filechooserbutton_remote_GTK4' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * docs: Mention app menus in the migration guide
  * gtk-demo: Fix the dnd demo drop highlight
  * Merge branch 'no-app-menu' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * constraint-editor: Don't use g_type_ensure
  * Make GtkOverlayLayout public
  * Add GtkOverlayLayout to the docs
  * wip: Include markdown content, via pandoc
  * docs: Be more careful when expanding abbreviations
  * docs: Convert css overview to markdown
  * doc: Check for pandoc
  * docs: Convert building, compiling, running to markdown
  * docs: Refresh the inspector screenshot
  * docs: Convert getting_started to markdown
  * docs: Convert platform sections to markdown
  * docs: Drop a long-stale file
  * docs: Convert resources section to markdown
  * docs: Drop the glossary
  * docs: Allow influencing pandoc divisons
  * docs: Convert treeview and textview overview to markdown
  * docs: Allow interrupted lists
  * docs: Convert question index to markdown
  * ci: Add a fedora-docs image
  * ci: Use fedora-docs for the doc build
  * Merge branch 'matthiasc/for-master' into 'master'
  * docs: Use the right python
  * Merge branch 'doc-chapters-markdown' into 'master'
  * docs: Mention pandoc as build dependency
  * printing: Drop a redundant assignment
  * bitmask: add an assertion
  * Help static analysis with an assertion
  * accelgroup: Drop some unused code
  * docs: Mention shortcuts in the migration guide
  * Merge branch 'ebassi/for-master' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * accelgroup: Expand translator comment
  * gdk: Drop GDK_PARENT_RELATIVE
  * window: Drop an unused field
  * testsuite: Drop the type-hint property from tests
  * gdk: Drop the GdkSurfaceTypeHint enum
  * gdk: Drop the GdkEventMask enum
  * gdk: Drop the GdkByteOrder enum
  * gdk: Move the GdkGeometry typedef to gdkinternals.h
  * docs: Drop a mention of gdk_window_move()
  * gdk: Drop _gdk_windowing_args
  * gdk: Clean up gdkinternals.h
  * gdk: Drop some unused event queue functions
  * gdk: Remove an unused texture api
  * gdk: Drop no-longer-used documentation
  * win32: Drop an unsed variable
  * Merge branch 'matthiasc/for-master' into 'master'
  * Add to the docs README
  * Merge branch 'matthiasc/for-master' into 'master'
  * tooltips: Fix a line wrap mishap
  * volumebutton: Remove broken a11y code
  * volumebutton: Enable the tooltips
  * aboutdialog: Stop overriding show()
  * Merge branch 'matthiasc/for-master' into 'master'
  * a11y: Widgets have children
  * Merge branch 'matthiasc/for-master' into 'master'
  * widget-factory: Add a mnemonic conflict
  * shortcut controller: Fix mnemonic cycling
  * Merge branch 'matthiasc/for-master' into 'master'
  * gdk: Make event-related apis private
  * Export keymap translation again
  * Add gtk_im_context_filter_key
  * Merge branch 'display-api' into 'master'
  * Merge branch 'im-context-key-forward' into 'master'
  * Bring back gdk_display_put_event
  * Merge branch 'matthiasc/for-master' into 'master'
  * Bump the pango dependency
  * meson: Cosmetics
  * Add GTK_DEBUG=shortcuts
  * eventcontroller: Fix crossing event scopes
  * Revert "Bump the pango dependency"
  * Merge branch 'matthiasc/for-master' into 'master'
  * gesture: Don't leak target widgets
  * Bump the pango dependency
  * Merge branch 'wip/jimmac/backdrop-assasination' into 'master'
  * Merge branch 'pango-bump-v2' into 'master'
  * Merge branch 'fix-gesture-leak' into 'master'
  * Fix inconsistencies in our pango deps
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'fix-pango-deps' into 'master'
  * More expression tests
  * Add GtkSorter
  * Add GtkCustomSorter
  * Add GtkStringSorter
  * Add GtkMultiSorter
  * Add GtkNumericSorter
  * Redo sort list model with GtkSorter
  * sorter: Add tests
  * Add some tests for expression binding
  * docs: Reorganize list widgets in their own chapter
  * builder-tool: Pass through CDATA where it makes sense
  * listitemwidget: Add single-click-activate
  * listview: Add single-click-activate
  * columnview: Add sorting
  * columnview: Add a sort-by api
  * column view title: Show sort indicators
  * Add GtkTreeListRowSorter
  * gtk-builder-tool: Minimally validate <binding>
  * gtk-demo: Cosmetic improvements to the listview demos
  * gtk-demo: Demo columnview sorting
  * gtk-demo: Add filtering to the settings demo
  * docs: Add a listview overview section
  * Spread single-click-activate api
  * gtk-demo: Use single-click-activate for minesweeper
  * builderlistitemfactory: Precompile the xml
  * Add GtkDropDown
  * filechooser: Use a dropdown for the filter combo
  * filechooser: Use a dropdown for choices
  * inspector: Use dropdowns in property editor
  * inspector: Use a dropdown for attribute mapping
  * inspector: Use a dropdown for controllers
  * inspector: Use a dropdown for size groups
  * inspector: Use dropdowns in the visual page
  * gtk-demo: Add a large grid demo
  * docs: Update the list widget overview
  * Add some tests for new GtkBuilder syntax
  * label: Fix mnemonic zero
  * Merge branch 'listview-for-merge' into 'master'
  * Merge branch 'dropdown-for-merge' into 'master'
  * Merge branch 'fix-mnemonic-zero' into 'master'
  * inspector: Add columns to the object tree
  * inspector: Use a column view for properties
  * inspector: Use a column view for the resource list
  * inspector: Make the resource list sortable
  * inspector: Use a column view for actions
  * inspector: Touch up list styling
  * Merge branch 'columnview-1' into 'master'
  * columnviewcolumn: Add a visible property
  * gtk-demo: Add more scrolling benchmarks
  * printbackend: Use a list store
  * printbackend: Add a list model getter
  * printer: Fix the default value of icon-name
  * gtk-demo: Some fixes to awards
  * gtk-demo: Fixes for the sliding puzzle
  * Drop GtkCoverFlow for now
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'drop-fallback-c89' into 'master'
  * Merge branch 'column-visible' into 'master'
  * testsuite: Beef up action tests
  * Add a forgotten export
  * More action tests
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'action-tests' into 'master'
  * columnview: Add column reordering
  * gtk-demo: Flesh out the settings demo
  * gtk-demo: Fix keynav in the puzzle
  * gtk-demo: Fix a crash in the puzzle
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'fix-frameclock-going-backwards' into 'master'
  * Merge branch 'gtk-demo-run-no-main-window' into 'master'
  * print backend: Fix list model handling in dispose
  * Update action muxer hierarchy propertly
  * Add a test for the previous fix
  * columnviewcolumn: Fix visibility implementation
  * gtk-demo: Plug a leak
  * Merge branch 'ebassi/expression-type' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * columnviewcolumn: Add a menu property
  * columnviewtitle: Display a context menu
  * Add a header menu to settings demo
  * Add more columns to the settings demo
  * Cosmetic improvements to the filebrowser demo
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'carlosgc/emoji-chooser-fixes' into 'master'
  * selectionmodel: Clarify docs
  * Merge branch 'selection-model-docs' into 'master'
  * selection model: Further documentation tweaks
  * Merge branch 'matthiasc/for-master' into 'master'
  * gtk-demo: Add a dropdown demo
  * Merge branch 'columnview-menu' into 'master'
  * columnview: Revise scroll-minimum handling
  * columnview: Implement horizontal scrolling
  * columnview: Add GtkColumnViewColumn:fixed-width
  * columnview: Add a helper
  * columnview: Add a GtkColumnViewColumn:resizable property
  * columnviewcolumn: Add a helper
  * columnview: Interactive column resizing
  * gtk-demo: Make some columns resizable
  * Merge branch 'matthiasc/for-master' into 'master'
  * columnviewtitle: Trigger action on release
  * columnviewcolumn: Add reordering helpers
  * columnviewlayout: Use header allocation for titles
  * columnview: Add a GtkColumnView:reorderable property
  * columnview: Interactive column reordering
  * columnview: Allow to cancel reorder with Escape
  * columnview: Add autoscroll
  * columnview: Add a GtkColumnViewColumn:expand property
  * columnview: Take expand into account
  * inspector: Expand the object tree
  * inspector: Expand the property list
  * inspector: Expand the resource list
  * inspector: Expand the actions list
  * gtk-demo: Expand columns in the settings demo
  * Add GtkMultiSelection
  * listbase: Add rubberband selection
  * Add autoscroll
  * listbase: Use a widget for the rubberband
  * listbase: Split off rubberband data
  * listbase: Simplify rubberbanding
  * Add rubberband api
  * gtk-demo: Make gridview demo use rubberbanding
  * printdialog: Port to column view
  * Merge branch 'columnview-scrolling' into 'master'
  * Merge branch 'columnview-resizing' into 'master'
  * Merge branch 'columnview-reordering' into 'master'
  * Merge branch 'columnview-expand' into 'master'
  * Merge branch 'columnview-rubberbanding' into 'master'
  * Merge branch 'columnview-printdialog' into 'master'
  * settings demo: Don't select rows
  * listview: Use gtk_widget_add_css_class
  * columnview: Add a property for column separators
  * Merge branch 'columnview-separators' into 'master'
  * Merge branch 'fishbowl-children' into 'master'
  * Merge branch 'kjellahl/flowboxremove' into 'master'
  * gtk-demo: Allow editing in the settings demo
  * Change css names of list widget
  * docs: Fix a parameter name mismatch
  * list widgets: Document css structure
  * gtk-demo: Drop the awards
  * Merge branch 'demo-drop-awards' into 'master'
  * Merge branch 'list-widget-styles' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * gtk-demo: Cosmetics
  * docs: Expand list widget docs
  * Merge branch 'fribidi-include' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * set: Add a few useful functions
  * Add gtk_selection_model_[un]select_callback
  * listbase: Redo rubberbanding
  * Drop gtk_multi_selection-copy
  * gtk-demo: Bring back the applauncher demo
  * listview: Add an example to the docs
  * columviewlayout: Skip children when we should
  * gtk-demo: Improve wrapping in settings demo
  * columview: Make cells propagate request mode
  * columnview: Take column width into account for measuring
  * columnview: Split gtk_column_view_allocate_columns
  * Merge branch 'matthiasc/for-master' into 'master'
  * columnviewlayout: Handle for_size propertly
  * listitemwidget: Add api to reorder children
  * columnviewcolumn: Add private api to set the position
  * columnview: Update column positions on reordering
  * set: Add a few useful functions
  * multiselection: Fix the select_range implementation
  * Merge branch 'rubberband-again' into 'master'
  * Merge branch 'columnview-reorder-cells' into 'master'
  * Merge branch 'master.msvc' into 'master'
  * Merge branch 'frame-clock-start-time' into 'master'
  * dropdown: Connect a forgotten signal handler
  * set: Fix gtk_set_get_max
  * multiselection: Fix the select_range implementation
  * Merge branch 'matthiasc/for-master' into 'master'
  * Trivial typo fix
  * spinbuttonaccessible: Fix an oversight
  * gtk-demo: Another way to trigger theme benchmark
  * NEWS: Updates
  * Merge branch 'wip/ebassi/a11y-2' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * gsk: Documentation fixups
  * gdk: Documentation fixups
  * gtk: Documentation fixups
  * NEWS: Updates
  * multiselection: Don't emit nonsensical signals
  * listbase: Fix a problem with rubberbands
  * listbase: Fix an off-by-one error
  * listitemwidget: Don't look at rubberbanding
  * Merge branch 'matthiasc/for-master' into 'master'
  * listitemmanager: Handle selection-changes properly
  * Drop an unnecessary include
  * multiselection: Clarify docs
  * Add a test for multiselection persistence
  * selectionmodel: Document the callback apis
  * Add a forgotten export
  * Add tests for select_callback
  * multiselection: Rewrite the select_callback implementation
  * Merge branch 'listitemmanager-selection' into 'master'
  * Add GtkPropertySelection
  * gtk-demo: Use a property selection in the colors demo
  * singleselection: Clarify docs
  * listbase: Make up/down arrows work
  * Merge branch 'property-selection' into 'master'
  * Merge branch 'list-arrows' into 'master'
  * Merge branch 'misc-multiselection' into 'master'
  * docs: Fix up the GtkNativeDialog section
  * docs: Put selection models into a section
  * docs: Regroup the tree support parts
  * Skip broken a11y tests
  * Disable a failing test
  * 3.98.5
  * gtk-demo: Cosmetic improvements to clocks demo
  * gtk-demo: Cosmetic changes to the dropdown demo
  * gtk-demo: Fix a leak
  * Drop pango version checks
  * gtk-demo: Add overline to the markup demo
  * gtk-demo: Cosmetics
  * gtk-demo: Cosmetics
  * gtk-demo: Improve display of image sources
  * gtk-demo: Expand the sidebar by default
  * Fix cell editing
  * Merge branch 'gtk-demo-tweaks' into 'master'
  * Drop gtknativeprivate.h
  * dropdown: Use our own CSS name
  * Merge branch 'fix-cell-editing' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * broadway: Drop a pointless vfunc
  * wayland: Drop a pointless vfunc
  * win32: Drop pointless vfuncs
  * gdk: Drop gdk_device_get_history
  * Merge branch 'drop-device-history' into 'master'
  * gdk: Compress scroll events
  * Keep scroll history
  * gdk: Add scroll delta x/y as device axes
  * gdk: Shrink GdkTimeCoord
  * gdk: Rename gdk_motion_event_get_history
  * gdk: Add documentation
  * Address review comments
  * x11: Stop setting device keys
  * gdk: Drop gdk_device_get/set_keys
  * gdk: Drop gdk_device_set_axis_use
  * gdk: Drop axis labels
  * Merge branch 'device-cleanup' into 'master'
  * Merge branch 'scroll-compression' into 'master'
  * Merge branch 'michaelweghorn/master_issue1820_gtkfilechoosernative_get_filter' into 'master'
  * propertyselection: Add getters
  * Merge branch 'property-selection-getters' into 'master'
  * Add GtkBookmarkList
  * testcolumnview: Add recent file support
  * Merge branch 'recent-model' into 'master'
  * docs: Cosmetics
  * Adwaita: bring dropdown arrows back
  * iconbrowser: Drop app menu leftovers
  * dropdown: Make the popup as wide as the button
  * Merge branch 'matthiasc/for-master' into 'master'
  * Fix the custom paper dialog
  * dropdown: Make the stack nonhomogeneous
  * testdropdown: Add some more tests
  * printeroptionwidget: Port to GtkDropDown
  * printdialog: Replace some combo boxes with drop downs
  * Adwaita: Allow separators on individual list items
  * printdialog: Replace the papersize combo with a dropdown
  * Merge branch 'fix-custom-paper-dialog' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * paperdialog: Drop the private struct
  * Merge branch 'matthiasc/for-master' into 'master'
  * widget-factory: Make the print dialog more functional
  * Merge branch 'matthiasc/for-master' into 'master'
  * spinbutton: Bring back auto-sizing
  * Merge branch 'tchaik/fix-lpr-build' into 'master'
  * Merge branch 'fix-spin-button-auto-sizing' into 'master'
  * Merge branch 'mingw-x64-compiler-warnings' into 'master'
  * dropdown: Style fixups
  * Merge branch 'matthiasc/for-master' into 'master'
  * inspector: Don't set style classes on app widgets
  * Merge branch 'matthiasc/for-master' into 'master'
  * Add a GtkEditableLabel widget
  * gtk-demo: Use editable labels in the settings demo
  * paperdialog: Port to use GtkListView
  * button: Center images
  * Merge branch 'editable-label' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * docs: Cosmetics
  * searchentry: Fix keynav
  * Merge branch 'michaelweghorn/master_issue1820_gtkfilechoosernativeportal_get_filter' into 'master'
  * notebook: Don't capture clicks
  * Merge branch 'fix-notebook-tabs' into 'master'
  * paperdialog: Convert the printer combo
  * pagesetupdialog: Drop the Private struct
  * printdialog: Convert some leftover code
  * text: Drop unused includes
  * fontchooser: Drop unused includes
  * Merge branch 'printer-combo-conversion' into 'master'
  * Drop unused includes
  * pagesetupdialog: Port the papersize combo
  * pagesetupdialog: Convert the printer combo
  * Merge branch 'wip/jimmac/dropdown-styling' into 'master'
  * Merge branch 'page-setup-combos' into 'master'
  * Merge branch 'ebassi/ci-cleanup-master' into 'master'
  * Stop using GTestDBus
  * gtk-demo: Select the initial demo properly
  * Merge branch 'fix-initial-demo-selection' into 'master'
  * gtk-demo: Add a missing source file
  * Fix another cloudprovider include
  * Merge branch 'matthiasc/cloudprovider-ci' into 'master'
  * gtk4-demo: Cosmetic fixes to the dialog demo
  * gtk-demo: Fix the tagged entry demo
  * gtk-demo: Cosmetic changes to the tagged entry demo
  * gtk-demo: Cosmetic changes
  * gtk-demo: Fix the settings demo
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'typo_fix' into 'master'
  * Merge branch 'quartz-openfile-fix' into 'master'
  * Merge branch 'better-naming' into 'master'
  * Revert "notebook: Don't capture clicks"
  * gtk-demo: Modernize the tag entry demo
  * columview: Fix cell creation
  * Merge branch 'matthiasc/for-master' into 'master'
  * listbase: separate autoscroll from rubberband
  * listbase: Autoscroll during DND
  * listbase: Increase the autoscroll threshold
  * listbase: Don't use adjustments for autoscrolling
  * columnview: separate autoscroll from headers
  * columnview: Autoscroll during DND
  * columnview: Increase the autoscroll threshold
  * Add a list dnd example
  * treeexpander: Auto-expand during DND
  * expander: Remove a pointless return
  * testlistdnd: Add a tree
  * editablelabel: Accept text drops
  * editablelabel: Allow to drag text
  * testlistdnd: Use editable labels
  * Merge branch 'listview-dnd' into 'master'
  * gtk-demo: Add animated icons to the dnd demo
  * Merge branch 'dnd-demo-animation' into 'master'
  * gtk-demo: Clean up initial selection handling
  * gridview: Don't assert on a condition that can happen
  * gtk-demo: Clean up memory handling in the weather demo
  * dropdown: Add GtkDropDown:selected-item
  * Merge branch 'gtk4-arb_fbo' into 'master'
  * gtk-demo: Clean up initial selection handling
  * gtk-demo: Make the colors demo populate incrementally
  * Merge branch 'drop-down-selected-item' into 'master'
  * Merge branch 'incremental-colors' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * filechooserwidget: Use gtk_drop_down_get_selected_item
  * Merge branch 'wip/otte/for-master' into 'master'
  * gtk-demo: Cosmetic improvement to the colors demo
  * Merge branch 'wip/otte/listview-colors' into 'master'
  * filter: Make GtkEveryFilter buildable
  * Port the icon browser to GtkGridView
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'port-icon-browser' into 'master'
  * gtk-demo: Add a warning to the colors demo
  * gdk: Make gdk_keyval_to_unicode platform-independent
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/dont-assert-without-evidence' into 'master'
  * entrycompletion: Name the controllers
  * Fix change notification for event controllers
  * Add gtk_widget_prepend_controller
  * entry completion: Make keynav work again
  * gdk: Clarify the docs of gdk_keyval_to_unicode
  * Merge branch 'fix-entry-completion' into 'master'
  * Merge branch 'keyval-to-uni-fix' into 'master'
  * entrycompletion: Drop action support
  * Add a basic clipboard test
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'drop-entry-completion-actions' into 'master'
  * Merge branch 'wip/fencing-without-context-is-discouraged' into 'master'
  * entry completion: Drop the Private struct
  * Add a few missing includes
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/jimmac/notebook-legibility' into 'master'
  * Add GtkStringList as public api
  * Merge branch 'stringlist' into 'master'
  * scrolledwindow: Don't take adjustments in new()
  * gtk-demo: Improve the entry completion demo
  * gtk-demo: Enable inline completion
  * entrycompletion: Various fixes
  * Install gtkstringlist.h
  * testgtk: Update list of cursor names
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'scrolled-window-api' into 'master'
  * Merge branch 'wip/carlosg/input-cleanups' into 'master'
  * stringfilter: Fix a typo
  * Drop unused includes
  * searchentry: Update the docs slightly
  * gtk-demo: Fix a typo in the listbox demo
  * docs: Fix a typo
  * inspector: Adapt to dropdown api change
  * Merge branch 'matthiasc/for-master' into 'master'
  * main: Avoid a warning
  * Merge branch 'wip/otte/bitset' into 'master'
  * docs: Some tweaks to the list widget overview
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/carlosg/sequence-state-fixups' into 'master'
  * text: Give names to event controllers
  * widget: Add a debug message for consumed key events
  * text: Handle key events in the target phase
  * Revert "text: Avoid creating a PangoAttrList we don't need"
  * text: Be more selective when selecting on focus-in
  * docs: Add css docs to entries
  * Merge branch 'matthiasc/for-master' into 'master'
  * Adwaita: Fix block cursors in spinbuttons
  * Merge branch 'matthiasc/for-master' into 'master'
  * widget: Fix an oversight
  * shortcutcontroller: Add some debug spew
  * text: Update action enabled state correctly
  * text: Support reverse selection
  * gtk-demo: Improve formatting in the color demo
  * listitem: Correct the docs
  * Merge branch 'matthiasc/for-master' into 'master'
  * builder: Warn about dropped objects
  * gtk-demo: Drop an unused object
  * Merge branch 'matthiasc/for-master' into 'master'
  * builder: Documentation tweaks
  * docs: Migration guide additions
  * Merge branch 'matthiasc/for-master' into 'master'
  * multiselection: Update docs
  * docs: Remove ancient version information
  * printeditor: Cosmetics
  * print-editor: Allow opening files
  * printeditor: Add desktop file and appdata
  * bitset: Cosmetic documentation changes
  * stack: Cosmetic documentation fixes
  * gdk: Small documentation fixes
  * stack: Remove nonexisting api from headers
  * sorter: Some doc corrections
  * gtk: Add some missing symbols to the docs
  * stringlist: Cosmetic documentation fix
  * Merge branch 'print-editor' into 'master'
  * docs: Update environment sections
  * shortcuts: Use GTK_DEBUG_KEYBINDINGS
  * Drop GTK_DEBUG_SHORTCUTS
  * wayland: Respect GDK_DEBUG=default-settings
  * testsuite: Don't pass GDK_DEBUG for release builds
  * gdk: Better help for GDK_DEBUG
  * gsk: Better help for GSK_DEBUG
  * gtk: Better help for GTK_DEBUG
  * widget: Avoid uninitialized access
  * Add g_intern_static_string to valgrind suppressions
  * Stop setting GTK_IM_MODULE_FILE
  * bitset: Fix the right-shift implementation
  * testsuite: Bump the per-test timeout to 60s
  * ci: Drop one of the focus tests
  * Merge branch 'matthiasc/for-master' into 'master'
  * bitset: Correct preconditions in gtk_bitset_add_rectangle
  * bitset: Add more tests
  * bitset: Fix documentation syntax
  * gtk-demo: Fix binary name in --version
  * node-editor: Document the node format
  * node-editor: Add a gear menu
  * node-editor: Cosmetics
  * node-editor: Add a help window
  * Merge branch 'matthiasc/for-master' into 'master'
  * Stop using GtkFunctionsListItemFactory
  * Drop GtkFunctionsListItemFactory
  * expression: Add to the docs
  * builderlistitemfactory: Documentation fixes
  * gtklistitemfactory: Cosmetic documentation fixes
  * Merge branch 'issue-2904' into 'master'
  * inspector: Remove list model support from the property editor
  * inspector: Rename DataList -> TreeData
  * Merge branch 'wip/on-the-surface-good-fences-can-make-bad-neighbors' into 'master'
  * inspector: proper list model support
  * inspector: Avoid a use of gtk_style_context_add_class
  * Drop unnecessary uses of gtk_style_context_add_class
  * Merge branch 'inspector-list-model' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * Add gtk_multi_selection_get_model
  * Merge branch 'wip/baedert/for-master' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * filterlistmodel: Make model not construct-only
  * Add a selection filter model
  * gtk-demo: Track the selection
  * Merge branch 'selection-filter' into 'master'
  * Merge branch 'wip/exalm/show-title-buttons' into 'master'
  * inspector: Fix the monitor list width
  * Merge branch 'matthiasc/for-master' into 'master'
  * docs: Add guidance about list model performance
  * selectionfilter: Fix bugs in signal translation
  * testsuite: Add selection filter model tests
  * Merge branch 'selection-filter-fixes' into 'master'
  * filechooser: Make filtering work again
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'typo' into 'master'
  * Merge branch 'wip/otte/for-master' into 'master'
  * filefiler: No more floating
  * filefilter: Drop GtkFileFilterInfo
  * filefilter: Drop custom filters
  * filefilter: Drop GtkFileFilterFlags
  * filefilter: Convert to a GtkFilter
  * Stop using gtk_file_filter_filter
  * Drop gtk_file_filter_filter
  * docs: Cleanups for the file filter docs
  * filefilter: Cleanups and optimizations
  * Merge branch 'file-filter2' into 'master'
  * filefilter: Fix an embarrassing oversight
  * filefilter: Header file cosmetics
  * filefilter: Cosmetics
  * filefilter: Cosmetics
  * Merge branch 'matthiasc/for-master' into 'master'
  * gtk-demo: Cosmetic fixes for the words demo
  * gtk-demo: No selection in the words demo
  * gtk-demo: Use a progressbar in the words demo
  * filechooser: Add gtk_file_chooser_get_filters
  * filechooser: Add a readonly :filters property
  * filechooser: Add gtk_file_chooser_get_shortcuts
  * filechooser: Add a readonly :shortcut-folders property
  * Merge branch 'file-chooser-api-cleanups' into 'master'
  * Merge branch 'wip/otte/filterlistmodel' into 'master'
  * stack: Fix handling of GtkStackPage:visible
  * inspector: Remove an unused field
  * inspector: Add dom-like navigation controls
  * Merge branch 'patch-1' into 'master'
  * inspector: Drop unused properties
  * inspector: Reshuffle the sidebar
  * inspector: Fix property list styling
  * Merge branch 'inspector-navigation' into 'master'
  * directorylist: Add monitoring
  * Merge branch 'directorylist-monitor' into 'master'
  * directorylist: Fix file monitoring implementation
  * testsuite: Fix an asan error
  * testsuite: Fix some memory leaks reported by asan
  * gsk: Fix a transform leak
  * testsuite: Fix a memory leak in the bitmask tests
  * bookmarklist: Don't leak uris
  * picture: Don't leak alternative-test
  * css: Fix some memory leaks in error paths
  * shortcuttrigger: Fix some leaks in error paths
  * testsuite: Assorted leak fixes
  * Merge branch 'matthiasc/for-master' into 'master'
  * cups: Plug a memory leak
  * tests: Plug some more memory leaks
  * Add a suppression file for asan
  * Merge branch 'printing-portal-fix-master' into 'master'
  * docs: Add gtk_file_chooser_get_shortcut_folders
  * tests: Stop using file chooser apis that are going away
  * filechooser: Drop gtk_file_chooser_[un]_select_all
  * filechooser: Drop gtk_file_chooser_[un]select_file
  * Cosmetics
  * filechooser: Make get_files return a list model
  * filechooser: Drop the ::file-activated signal
  * filechoosernative: Update docs
  * filechooser: Drop the ::current-folder-changed signal
  * filechooser: Drop the ::selection-changed signal
  * Merge branch 'fix-levelbar-layout' into 'master'
  * Merge branch 'wayland_surface_app_id_changing' into 'master'
  * cups: Plug a memory leak
  * tests: Plug some more memory leaks
  * Add a suppression file for asan
  * NEWS: Updates
  * Merge branch 'file-chooser-api-cleanup-2' into 'master'
  * Merge branch 'ebassi/subprojects-depth' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/carlosg/scrollbar-fixes' into 'master'
  * css: Plug a memory leak
  * Merge branch 'matthiasc/for-master' into 'master'
  * x11: Plug a memory leak
  * ci: Add libasan and libubsan to the image
  * ci: Mention image layering in the README
  * ci: Use the fedora:v20 image
  * ci: Set LSAN_OPTIONS for tests
  * Merge branch 'wip/carlosg/range-autoscroll' into 'master'
  * Ignore more leaks in asan
  * x11: Plug a memory leak
  * Merge branch 'matthiasc/for-master' into 'master'
  * ci: Add a build with asan
  * Merge branch 'wip/Jehan/gio-querymodules-pkg-config-master' into 'master'
  * Disable lsan for now
  * Merge branch 'asan-ci' into 'master'
  * ci: Use lsan again
  * Merge branch 'ci-tweaks' into 'master'
  * Fix the build with clang
  * Merge branch 'matthiasc/for-master' into 'master'
  * pathbar: Drop the Private struct
  * gtk-demo: Make style apply in the file browser
  * pathbar: Stop using GtkFileSystem
  * Reduce includes of gtkfilesystem.h
  * filechooserbutton: Stop using GtkFileSystem
  * filechooser: Drop get_file_system from the interface
  * filechooserwidget: Stop using GtkFileSystem
  * Drop GtkFileSystem
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'drop-file-system' into 'master'
  * filechooserwidget: Remove homegrown profiling
  * filechooserwidget: Use dropdown api better
  * Remove unused includes
  * filechooserdialog: Stop using the embed interface
  * filechooserdialog: Stop using ::response-requested
  * Drop GtkFileChooserEmbed
  * Fix gtk_file_chooser_error_stack_set_custom_error
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/sadiq/demo-filter' into 'master'
  * searchbar: Add a key-capture-widget property
  * gtk-demo: Make the search bar appear for typing
  * demo: Clear filter when search is stopped
  * Merge branch 'matthiasc/for-master' into 'master'
  * gtk-demo: Work harder to filter the tree
  * Merge branch 'matthiasc/for-master' into 'master'
  * Integrate the new icons
  * print-editor: Set the devel style class
  * Give the inspector a devel header too
  * Merge branch 'wip/carlosg/windowhandle-gesture-state' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/jimmac/file-dialog-sidebar-color' into 'master'
  * searchbar: Set a focus vfunc
  * treeexpander: Be focusable
  * Merge branch 'matthiasc/for-master' into 'master'
  * NEWS: Updates and fixes
  * inspector: Fix up input enum names
  * inspector: Ellipsize in the object tree
  * gtk-demo: Make the words demo expand
  * expression: Add some introspection
  * inspector: Show some information about expressions
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/jimmac/large-title-letterspacing' into 'master'
  * Fix shortcuts section reflow
  * Merge branch 'shortcuts-section-reflow-fix' into 'master'
  * Merge branch 'idle-inhibit' into 'master'
  * Merge branch 'wip/fix-picom-crasher' into 'master'
  * Merge branch 'wip/jimmac/file-dialog-sidebar-color' into 'master'
  * inspector: Use substring matching in the property list
  * Merge branch 'matthiasc/for-master' into 'master'
  * inspector: Drop an unused field
  * inspector: Drop a Private struct
  * inspector: Don't derive from GtkBox
  * treelistrowsorter: Fix a faulty example
  * inspector: Avoid losing a reference
  * Merge branch 'matthiasc/for-master' into 'master'
  * columviewsorter: Add an assertion
  * applicationaccels: Plug a leak
  * columnlistitemfactory: Plug a leak
  * filechoosernativewin32: Plug a leak
  * placessidebar: Plug a leak
  * Cosmetics
  * printunixdialog: Plug a leak
  * filter tests: Plug a leak
  * filterlistmodel tests: Plug a leak
  * multiselection tests: Plug a leak
  * treesorter tests: Add a comment
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/otte/vector' into 'master'
  * Merge branch 'missing-exports' into 'master'
  * gtk-demo: Use better api
  * Merge branch 'matthiasc/for-master' into 'master'
  * multisorter: Use GdkArray for the sorters
  * multifilter: Use GdkArray for the filters
  * Merge branch 'matthiasc/arrays' into 'master'
  * docs: Add GtkTreeExpander
  * docs: Link to GtkTreeRowReference
  * docs: Fix examples
  * docs: Add an example
  * docs: Document GtkBitsetIter
  * docs: Add more GtkExpression
  * Merge branch 'wip/chergert/subclass-treeview' into 'master'
  * bitset: try again
  * docs: Revise sorter docs a bit
  * docs: Revise the filter docs a bit
  * Cosmetic docs change
  * docs: Move columns below columnview
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/baedert/for-master' into 'master'
  * Merge branch 'ebassi/for-master' into 'master'
  * gtk-demo: Don't use GtkColorSwatch
  * Merge branch 'matthiasc/for-master' into 'master'
  * inspector: Drop the recorder Private struct
  * inspector: Dispose the recorder properly
  * inspector: Dispose tree data properly
  * inspector: Properly dispose GtkInspectorListData
  * inspector: Properly dispose GtkInspectorShortcuts
  * inspector: Properly dispose GtkInspectorWindow
  * inspector: Allow disposing the inspector
  * inspector: Clean up GtkInspectorLogs
  * inspector: Clean up GtkInspectorActionEditor
  * inspector: Clean up GtkInspectorActions
  * inspector: Clean up GtkInspectorVisual
  * inspector: Clean up GtkInspectorMiscInfo
  * inspector: Clean up GtkInspectorGeneral
  * editablelabel: Add a style class while editing
  * editablelabel: Document css nodes
  * fixup editing style class
  * editablelabel: Stop editing on focus-out
  * inspector: Add focus handling to the property editor
  * text: Claim clicks when grabbing focus
  * button: Add explicit key bindings for activation
  * Merge branch 'matthiasc/for-master' into 'master'
  * NEWS: Updates
  * windowhandle: Don't use an action muxer needlessly
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'list-model-docs' into 'master'
  * Tweak the GTK_DEBUG=help output
  * inspector: Add a few more debug flags
  * gsk: Remove an unused debug flag
  * Merge branch 'matthiasc/for-master' into 'master'
  * Speed up action muxer setup
  * Speed up action muxer setup more
  * inspector: Remove action support temporarily
  * actionmuxer: Add some more api
  * actionmuxer: Port internal users
  * actionmuxer: Stop implementing GActionGroup
  * Add gtk_action_muxer_list_actions
  * inspector: Make the actions tab work again
  * actionmuxer: Create observed_actions and groups on demand
  * actionmuxer: Use an array for accels
  * actionmuxer: Update docs and clean up headers
  * Merge branch 'action-muxer-speedup' into 'master'
  * Merge branch 'barthalion/asan-runner' into 'master'
  * inspector: Make picking objects show them
  * Merge branch 'matthiasc/for-master' into 'master'
  * gdk: Update gdkkeysyms.h
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/chergert/quartz4u' into 'master'
  * Merge branch 'wip/otte/sortlistmodel2' into 'master'
  * migration guide: Add some tables
  * NEWS: Updates
  * Merge branch 'matthiasc/for-master' into 'master'
  * filechooser: Remove a leftover signal emission
  * docs: Explain the shortcutcontroller example a bit
  * docs: Improve shortcut trigger docs
  * docs: Pass --standalone to pandoc
  * docs: Work around escaping bugs
  * Merge branch 'matthiasc/for-master' into 'master'
  * dropdown: Fix popup sizing
  * sortlistmodel: Fix a crash
  * Merge branch 'remove-align-widget' into 'master'
  * testsuite: Reenable tests for incremental sort
  * testsuite: Use better names for sortlistmodel tests
  * timsort: Avoid a crash
  * testsuite: Add an incremental sort test
  * Add another sortlistmodel test
  * Merge branch 'wip/otte/types' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * colorplane: Drop the Private struct and padding
  * headerbar: Drop the Private struct
  * hsla: Just store floats
  * colorswatch: Remove unused radius fields
  * gdk: Improve struct packing in places
  * gtk: Improve struct packing in places
  * Merge branch 'matthiasc/for-master' into 'master'
  * overlaylayout: Document minimally
  * Merge branch 'matthiasc/for-master' into 'master'
  * Add GTK_DEBUG=accessibility
  * testatcontext: Use the new debug flag
  * inspector: Support the a11y debug flag
  * testatcontext: Print role nicks
  * a11y: Update GtkProgressBar
  * a11y: Update GtkSpinButton
  * a11y: Update GtkCheckButton
  * flattenlistmodel: Make the constructor transfer full
  * maplistmodel: Make constructor transfer full
  * listlistmodel: Drop item_type
  * slicelistmodel: Make constructor transfer full
  * filterlistmodel: Make constructor transfer full
  * sortlistmodel: Make constructor transfer full
  * treelistmodel: Make constructor transfer full
  * noselection: Make constructor transfer full
  * singleselection: Make constructor transfer full
  * multiselection: Make constructor transfer full
  * selectionfiltermodel: Make constructor allow-none
  * dropdown: Revise constructors
  * listview: Revise constructors
  * columnview: Revise the constructor
  * gridview: Revise constructors
  * Merge branch 'list-constructors' into 'master'
  * Merge branch 'drop-down-constructor' into 'master'
  * docs: Update a11y docs
  * docs: Fix up some issues in the a11y docs
  * docs: Update GtkAccessibleRole docs
  * docs: Add documentation for accessible enumerations
  * docs: Expand GtkAccessible documentation
  * a11y: Be a bit safer against crashes
  * Add some more a11y tests
  * a11y: Add some more tests
  * Merge branch 'ebassi/new-a11y' into 'master'
  * NEWS: Updates
  * Merge branch 'ebassi/a11y-fixes' into 'master'
  * a11y: Document roles of widgets
  * docs: Flesh out the role table in the a11y intro
  * Merge branch 'a11y-docs' into 'master'
  * NEWS: Tweak the wording
  * gtk-demo: Simplify colors demo
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/chergert/fix-macos-time-conversion' into 'master'
  * checkbutton: Initialize accessible state
  * a11y: Add checkbutton tests
  * a11y: Set an accessible role for GtkWindow
  * a11y: Add dialog and window tests
  * progressbar: Fix up acessible state handling
  * a11y: Add progressbar tests
  * separator: Initialize accessible state
  * a11y: Add separator tests
  * switch: Initialize accessible state
  * a11y: Add switch tests
  * scrollbar: Update accessible state
  * widget: Update accessible state
  * a11y: Add scrollbar tests
  * spinbutton: Update accessible state
  * a11y: Add spinbutton tests
  * Merge branch 'ebassi/for-master' into 'master'
  * Merge branch 'wip/baedert/for-master' into 'master'
  * a11y: Add change notification to GtkATContext
  * inspector: Show a11y information
  * Merge branch 'wip/a11y-inspector' into 'master'
  * Merge branch 'ebassi/for-master' into 'master'
  * Merge branch 'wip/chergert/bump-sysprof-abi' into 'master'
  * a11y: Set accessible roles for GtkImage and GtkPicture
  * a11y: Set up controls relations for scrollbars
  * a11y: Add a scrollbar relation test
  * a11y: Set an accessible role for GtkEntry
  * a11y: Add tests for mnemonics
  * a11y: Set an accessible role for GtkLabel
  * a11y: Set an accessible role for GtkSearchEntry
  * a11y: Set an accessible role for GtkPasswordEntry
  * Merge branch 'wip/carlosg/device-api-cleanup' into 'master'
  * NEWS: Updates
  * gdk: Small doc fixup
  * Document gdk_device_tool_get_axes
  * a11y: Fix a few glitches in the role enum
  * docs: Update private headers list
  * docs: Update the symbols list
  * a11y: Document GtkATContext::state-changed
  * filechooser: Document the response.activate action
  * filter: Typo fix
  * docs: Add a missing symbol
  * Merge branch 'a11y-work' into 'master'
  * Merge branch 'doc-fixes' into 'master'
  * docs: Fix links in markdown content differently
  * Merge branch 'better-doc-link-fix' into 'master'
  * Merge branch 'wip/ditch-workarea' into 'master'
  * docs: Mention workarea in the migration guide
  * NEWS: Updates
  * testsuite: Stop setting NO_AT_BRIDGE
  * testsuite: Skip the skipping
  * icon-browser: Install desktop file and appdata
  * Update our appdata files
  * iconbrowser: Add screenshots to appdata
  * gdk: Stop exporting gdk_surface_freeze_updates
  * Rename gdk_surface_queue_expose
  * a11y: Set an accessible role for GtkTextView
  * a11y: Set accessible role for GtkLinkButton
  * a11y: Set an accessible role for GtkExpander
  * a11y: Set an accessible role for GtkLevelBar
  * gdk: Move default group api to the X11 backend
  * docs: Don't refer to nonexisting functions
  * Merge branch 'a11y-work' into 'master'
  * Merge branch 'surface-cleanup' into 'master'
  * Merge branch 'display-cleanup' into 'master'
  * Merge branch 'wip/master.win.egl' into 'master'
  * Merge branch 'wip/carlosg/more-device-api-cleanup' into 'master'
  * Define GTK_CROSSING_ACTIVE
  * window: Emit GTK_CROSSING_ACTIVE crossing events
  * eventcontrollerkey: Update im focus when active window changes
  * Merge branch 'focus-active' into 'master'
  * testsuite: Use Wayland by default
  * 3.99.0
  * Fix the build with cups < 2.3
  * widget: Drop unnecessary includes
  * x11: Stop using GTimeVal
  * gtkicontheme: Stop using GTimeVal
  * numericsorter: Ignore deprecations
  * recentmanager: Keep up with GLib deprecations
  * Merge branch 'cups-build-fix' into 'master'
  * placesview: Keep up with GLib deprecations
  * Bump the glib dependency
  * Merge branch 'wip/carlosg/cursor-fallout' into 'master'
  * Merge branch 'master.win32' into 'master'
  * gsk: Don't the always_inline function attribute
  * testgtk: More GTimeVal eradication
  * Merge branch 'dont-always-inline' into 'master'
  * meson: Try to limit the damage
  * Merge branch 'glib-build-fix' into 'master'
  * Merge branch 'wip/baedert/for-master' into 'master'
  * togglebutton: Don't crash on click
  * Merge branch 'glib-build-fix' into 'master'
  * label: Be more selective when selecting on focus-in
  * menusectionbox: Avoid a critical warning
  * testsuite: Fix installed tests
  * testsuite: Fix installed tests
  * ci: Add gnome-desktop-testing to images
  * ci: Enable sudo in the image
  * ci: Use newer fedora image
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'label-copy-link-fix' into 'master'
  * inspector: Introspect enum values
  * ci: Add a build that runs installed tests
  * installed-tests: Fix the icontheme test
  * cups: Don't emit a warning if we can't talk to avahi
  * Merge branch 'inspector-device-details' into 'master'
  * Merge branch 'ci-installed-tests' into 'master'
  * shortcutswindow: Clear search entry on unmap
  * Merge branch 'matthiasc/for-master' into 'master'
  * Revert "entry completion: Make keynav work again"
  * Revert "Add gtk_widget_prepend_controller"
  * Go back to keeping a list of event controllers
  * label: Redraw when focus changes
  * Merge branch 'controllers-list' into 'master'
  * Merge branch 'linked-button-fixes' into 'master'
  * Merge branch 'selectable-label-draw' into 'master'
  * popovermenu: Avoid a critical
  * textview: Only claim the event when appropriate
  * Merge branch 'fallback-menu-critical' into 'master'
  * Merge branch 'text-drag-select' into 'master'
  * textbuffer: Be careful with tags when copying
  * textbuffer: Fix a test failure
  * Merge branch 'fix-textiter-tests' into 'master'
  * grid layout: Rename some properties
  * builder-tool: Rewrite top/left-attach
  * Merge branch 'grid-api' into 'master'
  * filechooser: Prevent over-eager completions
  * ci: Don't use --werror for the win32 build
  * Merge branch 'fix-win32-ci' into 'master'
  * Merge branch 'wip/chergert/gtk4-textview-fix-selections' into 'master'
  * Merge branch 'filechooser-completions' into 'master'
  * textview: Make insert-emoji replace the selection
  * gtk-demo: Avoid invalid OpenType feature tags
  * gdk: Fix gdk_surface_get_layout_monitor
  * gtk-demo: Simplify the tagged entry demo
  * Merge branch 'emoji-insert-fix' into 'master'
  * Merge branch 'font-explorer-crash' into 'master'
  * gtk-demo: Make search progress visible again
  * gtk-demo: Fix cleanup of search entry demo
  * Merge branch 'tagged-entry-demo' into 'master'
  * Merge branch 'search-demo-fixes' into 'master'
  * Merge branch 'fishbowl-crash' into 'master'
  * x11: Ignore stray DestroyNotify events
  * Bump the pango dependency
  * rgba: Use pango_color_parse_with_alpha
  * Merge branch 'applaunch-warning' into 'master'
  * docs: Introspect GtkFileChooserNative info
  * Merge branch 'filechoosernative-docs' into 'master'
  * treeview: Don't react to clicks on cell editables
  * ci: Update subprojects
  * Merge branch 'treeview-editing' into 'master'
  * Merge branch 'patch-1' into 'master'
  * docs: Fix a typo
  * docs: Tell pandoc we need Docbook4
  * docs: Fix typos
  * docs: Fix signal references
  * docs: Unify docs around incremental operations
  * docs: Tweak documentation for list widgets
  * pagesetupdialog: Fix leftover tree model code
  * Merge branch 'doc-links' into 'master'
  * Merge branch 'pagesetup-leftover' into 'master'
  * docs: Redo the doc shooter code
  * docs: Regenerate widget gallery images
  * docs: Add gallery images for some more widgets
  * docs: Improve the gallery image for scales
  * docs: Avoid focus in gallery images
  * docs: Add gallery image for GtkPasswordEntry
  * docs: Add a gallery image for GtkEditableLabel
  * docs: Add a gallery image for GtkDropDown
  * Merge branch 'modern-doc-shooter' into 'master'
  * scrolledwindow: Fix a11y support code
  * a11y: Don't do unnecessary work
  * popover: Set overflow: hidden
  * Merge branch 'a11y-crash' into 'master'
  * Merge branch 'popoverflow' into 'master'
  * ci: Pass -norest to Xvfb
  * Merge branch 'try-to-fix-xvfb-in-ci' into 'master'
  * docs: Drop GtkPlacesSidebar from visual index
  * docs: Clean up many dangling links
  * selectionfiltermodel: Drop a leftover symbol
  * Drop GtkCallback
  * Drop GtkAccelLabel
  * Merge branch 'docs-cleanup' into 'master'
  * Merge branch 'drop-accel-label' into 'master'
  * Merge branch 'master.win32' into 'master'
  * Merge branch 'hex-color-parse' into 'master'
  * Add a reftest for gradients with hard stops
  * testborderdrawing: Don't crash on exit
  * Adwaita: Reduce the solid csd borders
  * Merge branch 'gradient-hard-stop-test' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'fix-solid-csd' into 'master'
  * inspector: Stop showing settings bindings
  * Merge branch 'inspector-settings-crash' into 'master'
  * Merge branch 'wip/compute-size' into 'master'
  * aspectframe: Fix use in ui files
  * gtk-demo: Make fontrendering demo work more than once
  * Merge branch 'fix-aspect-frame' into 'master'
  * docs: Clean up dangling links in gdk docs
  * Merge branch 'ci-git-build-test' into 'master'
  * Merge branch 'fontrendering-demo-fix' into 'master'
  * Merge branch 'gdk-doc-cleanup' into 'master'
  * Merge branch 'wip/chergert/fix-anchored-cleanup' into 'master'
  * Merge branch 'wip/carlosg/stop-spinbutton-stop' into 'master'
  * NEWS: Updates
  * gtk-demo: Fix keynav in the puzzle demo
  * Merge branch 'fix-puzzle-keynav' into 'master'
  * Add an svg test
  * Merge branch 'svg-viewer' into 'master'
  * testsvg: Some additions
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'toplevel-size-declaration' into 'master'
  * gridview: Work around unexpected focus changes
  * Merge branch 'focus-workaround' into 'master'
  * gsk: Don't leak cairo nodes
  * Fix a leak in scroll event compression
  * Merge branch 'cairo-node-leak' into 'master'
  * Merge branch 'scroll-compression-leak' into 'master'
  * contentdeserializer: Add some missing annotations
  * drop: Don't leak the surface and formats
  * wayland: Don't leak content formats
  * widgetpaintable: Clear an idle in dispose
  * Merge branch 'dnd-leaks' into 'master'
  * gtk-demo: Plug a small memory leak
  * gtk-demo: Plug a big memory leak
  * Merge branch 'wip/otte/for-master' into 'master'
  * Merge branch 'gtk-demo-leaks' into 'master'
  * demos: Brush up about dialogs
  * aboutdialog: Make margins more uniform
  * Merge branch 'about-polish' into 'master'
  * Merge branch 'wip/fix-wayland-toplevel-present-callback' into 'master'
  * Merge branch 'wip/oholy/gtkmountoperation-newline' into 'master'
  * Merge branch 'wip/dont-leak-toplevel-present-callback' into 'master'
  * gtk-demo: Modernize source highlighting
  * Merge branch 'demo-highlighting' into 'master'
  * Check sanity of toplevel sizes
  * window: Don't set min_size > size
  * Merge branch 'matthias/fix-min-size' into 'master'
  * toplevel: Revise docs wording a bit
  * gtk-demo: Fix a memory leak
  * gtk-demo: Don't leak the markup
  * textbuffer: Fix a leak
  * Merge branch 'wip/chergert/fix-textview-yrange-invalidation' into 'master'
  * Merge branch 'leak-fixes' into 'master'
  * Merge branch 'wip/chergert/popover-offset' into 'master'
  * Merge branch 'activatable-colorswatch-style' into 'master'
  * gdk: Move the ::popup-layout-changed signal
  * surface: Add width and height properties
  * Merge branch 'surface-size' into 'master'
  * about dialog: remove unnecessary guards
  * widgetfactory: Create the dialog every time
  * printeditor: Create the dialog every time
  * label: Disable unavailable actions
  * x11: Fix getting the primary monitor
  * bookmarksmanager: Ignore delete events
  * Merge branch 'scroll-to-cursor' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'patch-1' into 'master'
  * gtk-demo: Improve an error message
  * bookmarksmanager: Load bookmarks initially
  * placessidebar: We're not a listbox anymore
  * placessidebar: Fix bookmarks dnd
  * placessidebar: Fix the bookmark drag icon
  * placessidebar: Fix dnd cancellation
  * gtk-demo: Fix iconscroll colors
  * gtk-demo: Fix iconscroll complex text
  * Remove deprecation guards around gtk_window_present
  * Merge branch 'matthiasc/for-master' into 'master'
  * bookmarksmanager: Load bookmarks initially
  * inspector: Avoid a crash
  * textutil: Do a little better on retro X servers
  * Merge branch 'matthiasc/for-master' into 'master'
  * gtk-demo: Follow font settings again
  * gtk-demo: Make content views monospace
  * gtk-demo: Cosmetics
  * gtk-demo: Adapt hightlighting style for dark themes
  * gtk-demo: Make source formatting uniform
  * Merge branch 'demo-polish' into 'master'
  * gtk-demo: Improve filtering
  * gtk-demo: Drop the modelbutton demo
  * gtk-demo: Fix an indentation mishap
  * Adwaita: be careful with list separators
  * gtk-demo: Add another listbox demo
  * gtk-demo: Group the listbox demos
  * Merge branch 'matthiasc/for-master' into 'master'
  * gtk-demo: Cosmetic improvement to listbox2 demo
  * Adwaita: Small improvement for dropdown
  * wayland: Don't send invalid anchor rectangles
  * gtk-demo: Add warnings to the themes demo
  * gtk-demo: Cosmetic improvements to the expander demo
  * gtk-demo: Dark theme support for dnd demo
  * gtk-demo: Cosmetic fixes for the fontrendering demo
  * gtk-demo: Cosmetic fixes to the textmask demo
  * gtk-demo: Finish peg solitaire demo
  * Merge branch 'matthiasc/for-master' into 'master'
  * gtk-demo: Add a little extra in peg solitaire
  * node-editor: Don't install the icon
  * print-editor: Icon credits
  * Merge branch 'matthiasc/for-master' into 'master'
  * button: Claim click events
  * window: Fix an oversight
  * gtk-demo: Add a file filter for the video player
  * gtk-demo: Give the video player a default size
  * Merge branch 'matthiasc/for-master' into 'master'
  * gtk-demo: Make the image demo more robust
  * window: Fix an oversight
  * gtk-demo: Add a file filter for the video player
  * gtk-demo: Give the video player a default size
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'button-claim-clicks' into 'master'
  * Merge branch 'wip/smcv/roaring-license' into 'master'
  * gtk-demo: Drop the pixbufs demo
  * Add sizes to toplevelsize warnings
  * gtk-demo: Add a layout manager demo
  * gtk-demo: Visual improvement to solitaire
  * gtk-demo: Celebrate losses too
  * Merge branch 'matthiasc/for-master' into 'master'
  * widget-factory: Add an entry with error state
  * Merge branch 'matthiasc/for-master' into 'master'
  * gtk-demo: Group small images
  * Merge branch 'matthiasc/for-master' into 'master'
  * Speed up gtk_text_buffer_insert_markup
  * Merge branch 'matthiasc/for-master' into 'master'
  * widget-factory: Add more error states
  * Merge branch 'matthiasc/for-master' into 'master'
  * gtk-demo: Fontify asynchronously
  * textbuffer: Some more insert_with_attributes speedup
  * gtk-demo: Insert markup incrementally
  * lists: Mention list style classes in docs
  * placessidebar: Use the .navigation-sidebar style class
  * inspector: Use the new list style classes
  * gtk-demo: Use a style class on the sidebar
  * gtk-demo: Use style classes in the settings demo
  * gtk-demo: Use style classes in the listbox demo
  * widget-factory: Use rich-list style
  * Adwaita: Fix hover in navigation sidebars
  * gtk-demo: take off the makeup
  * gtk-demo: Move the highlighting to a separate file
  * gtk-demo: Fix the Windows build
  * gtk-demo: Do markup parsing incrementally too
  * Merge branch 'async-highlight' into 'master'
  * Merge branch 'list-styles' into 'master'
  * gtk-demo: Fix the builder demo
  * examples: Fix multiple small problems
  * docs: Minor tweaks to the tutorial
  * Merge branch 'fix_expander_demo' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * docs: Cosmetics
  * gdk: Documentation touchups
  * gdk: Clean up gdkdevice.h
  * Drop gdk_device_get_position
  * gdk: Slim down gdkinternals.h
  * wayland: Drop unused surface type hint field
  * Make GtkNativeInterface private
  * Drop style class defines
  * win32: Drop vestigial surface type hint field
  * gdk: Move GdkSurfaceTypeHint to its sole user
  * gdk: Slim down gdkinternals.h more
  * Merge branch 'api-touchups' into 'master'
  * Merge branch 'gdk-internal-cleanup' into 'master'
  * Merge branch 'gtkassistant_docstring' into 'master'
  * widget-factory: Improve the error states example
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'replace-hardcoded-margins' into 'master'
  * Trigger fontconfig initialization early
  * Merge branch 'frame-overflow-hidden' into 'master'
  * Merge branch 'builder-tool-boxes' into 'master'
  * Merge branch 'fontconfig-speedup' into 'master'
  * application: Drop support for profiler activation
  * Port tracing to the sysprof collector api
  * Update the docs around profiling
  * wip: Port test-performance to use sysprof-cli
  * Merge branch 'codespell-changes' into 'master'
  * fixup a counting error
  * layoutmanager: Fix the child-widget property
  * Explicitly set grid positions in the ui file
  * Merge branch 'matthiasc/for-master' into 'master'
  * inhibit: Pass valid arguments when Inhibiting
  * ci: Use depth=1 for all subprojects
  * Alterative sysprof build support
  * Merge branch 'matthiasc/for-master' into 'master'
  * Rename the profiler option
  * Merge branch 'new-sysprof' into 'master'
  * Merge branch 'remove-unnecessary-frames' into 'master'
  * Merge branch 'fix_widget_factory_ui' into 'master'
  * Fix a leak in the font chooser widget
  * build: Start using meson feature options
  * Cosmetics
  * widget: Queue a draw when we need to
  * Merge branch 'matthiasc/for-master' into 'master'
  * text: Defer most recomputation until we're mapped
  * text: Don't compute invisible char needlessly
  * docs: Some updates to GtkWidgetClass docs
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/carlosg/start-spinbutton-start' into 'master'
  * centerlayout: Some spacing-related fixes
  * Add a reftest for box layouts
  * Add a reftest for grid layouts
  * Merge branch 'unmapped-text' into 'master'
  * Add reftests for center layout
  * Merge branch 'matthiasc/for-master' into 'master'
  * gtk-demo: Make the color picker demo less boring
  * colorchooser: Fix the add_palette api
  * Merge branch 'matthiasc/for-master' into 'master'
  * emojichooser: Grab focus on map
  * text: Properly handle focus moving to a descendent
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'adwaita-rounded-frames' into 'master'
  * Revert unintentional calendar change
  * Merge branch 'matthiasc/for-master' into 'master'
  * fontchooser: Populate the list incrementally
  * Merge branch 'inspector-double-border-fixes' into 'master'
  * Merge branch 'demo-double-border-fixes' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * widget: Avoid a crash in crossing event handling
  * main: Avoid a crash with crossing event handling
  * Make gdk_surface_get_device_position return a boolean
  * Merge branch 'broadway-prune' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * x11: Stop using _gdk_device_query_state
  * win32: Stop using _gdk_device_query_state
  * macos: Stop using _gdk_device_query_state
  * Drop _gdk_device_query_state
  * broadway: Stop using the query_state vfunc
  * wayland: Stop using the query_state vfunc
  * macos: Stop setting the query_state vfunc
  * win32: Stop using the query_state vfunc
  * x11: Stop setting the query_state vfunc
  * gdk: Drop the query_state vfunc
  * x11: Fix return value of get_device_state
  * x11: Drop unused argument from query_state
  * broadway: Fix return value of get_device_state
  * broadway: Drop unused argument from query_state
  * wayland: Fix return value of get_device_state
  * wayland: Drop unused argument from query_state
  * win32: Fix return value of get_device_state
  * broadway: Fix up surface_at_position
  * gdk: Cosmetics
  * gdk: Drop an unused vfunc
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/exalm/hotspot-fix' into 'master'
  * Merge branch 'wip/carlosg/shuffle-font-mouse-settings' into 'master'
  * Don't export gdk_surface_constrain_size
  * Merge branch 'matthiasc/for-master' into 'master'
  * bookmarksmanager: Cancel async reads properly
  * Merge branch 'matthiasc/for-master' into 'master'
  * Add a function to request motion events
  * idle sizer: Request a motion event after layout
  * Merge branch 'synthetic-motion' into 'master'
  * NEWS: Updates
  * fontchooser: Populate the list incrementally
  * widget: Avoid a crash in crossing event handling
  * main: Avoid a crash with crossing event handling
  * Make gdk_surface_get_device_position return a boolean
  * x11: Stop using _gdk_device_query_state
  * win32: Stop using _gdk_device_query_state
  * macos: Stop using _gdk_device_query_state
  * Drop _gdk_device_query_state
  * broadway: Stop using the query_state vfunc
  * wayland: Stop using the query_state vfunc
  * macos: Stop setting the query_state vfunc
  * win32: Stop using the query_state vfunc
  * x11: Stop setting the query_state vfunc
  * gdk: Drop the query_state vfunc
  * x11: Fix return value of get_device_state
  * x11: Drop unused argument from query_state
  * broadway: Fix return value of get_device_state
  * broadway: Drop unused argument from query_state
  * wayland: Fix return value of get_device_state
  * wayland: Drop unused argument from query_state
  * win32: Fix return value of get_device_state
  * broadway: Fix up surface_at_position
  * gdk: Cosmetics
  * gdk: Drop an unused vfunc
  * Don't export gdk_surface_constrain_size
  * bookmarksmanager: Cancel async reads properly
  * Add a function to request motion events
  * idle sizer: Request a motion event after layout
  * NEWS: Updates
  * Merge branch 'issue-3099' into 'master'
  * css: Fix parsing of scientific notation
  * Merge branch 'matthiasc/for-master' into 'master'
  * print dialog: Prevent cascading paper dialogs
  * page setup dialog: Prevent cascading paper dialogs
  * gtk-demo: Cosmetic change to the css shadows demo
  * Merge branch 'matthiasc/for-master' into 'master'
  * Another attempt to make circular buttons square
  * inspector: Add a dark background to the recorder
  * inspector: Add some translator comments
  * Better fontconfig suppression
  * fontchooser: Fix radio groups for features
  * printdialog: Fix radio groups
  * printdialog: Make collate image smaller
  * widget-factory: Fix up radio buttons
  * gtk-demo: Port to font explorer to grouped checkbuttons
  * Merge branch 'matthiasc/for-master' into 'master'
  * gtk-demo: Fix up the fontrendering demo
  * printeroptionwidget: Stop using radio buttons
  * mountoperation: Stop using radio buttons
  * checkbutton: Drop gtkradiobutton.h include
  * inspector: Drop gtkradiobutton.h include
  * stackswitcher: Drop gtkradiobutton.h include
  * pagesetupdialog: Drop gtkradiobutton.h include
  * checkbutton: Fix clicking on the last group member
  * checkbutton: Reuse a helper function
  * tests: Stop using radio buttons
  * Drop a long-dead test
  * build: The doc shooter works without x11 now
  * doc shooter: Drop radio buttons
  * docs: Update the gallery image for check buttons
  * Clean up uses of gtk_toggle_button_get/set_active
  * Remove GtkRadioButton references in the docs
  * Remove GtkRadioButton uses in ui files in tests
  * togglebutton: Add grouping
  * fontrendering demo: Stop using radio buttons
  * iconbrowser: Stop using radio buttons
  * widget-factory: Stop using radio buttons
  * builder-tool: Replace radio buttons by check buttons
  * Drop GtkRadioButton
  * migration guide: Mention button hierarchy changes
  * doc shooter: Remove radio button remnants
  * Fix up the focus-chain tests
  * Fix a typo
  * pagesetupdialog: Just use labels in check buttons
  * Merge branch 'fix_resource_leak_in_gdkdisplayclose_gtk4' into 'master'
  * Merge branch 'wip/baedert/for-master' into 'master'
  * NEWS: Updates
  * list widgets: Use selection models in the api
  * Merge branch 'adwaita-more-border-spacing' into 'master'
  * gsk: Add some private transform apis
  * Replace uses of graphene_matrix_transform_
  * Merge branch 'projective-transform' into 'master'
  * list widgets: Simplify the constructors
  * inspector: Plug a small memory leak
  * treelistrowsorter: Plug a memory leak
  * inspector: Plug another memory leak
  * Move timsort sources to a subdirectory
  * Add a license clarification
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'license-clarification' into 'master'
  * checkbutton: Don't leak the action helper
  * actionhelper: Add a getter
  * checkbutton: Support GtkActionable properly
  * Add docs about grouping via action
  * action helper: Drop G_GNUC_INTERNAL from headers
  * checkbutton: Don't notify write-only properties
  * Merge branch 'checkbutton-fixes' into 'master'
  * README: Cosmetics
  * NEWS: Updates
  * textview: Fix placement of Emoji chooser
  * text widgets: Don't lose focus after Emoji
  * Fix picking
  * Merge branch 'matthiasc/for-master' into 'master'
  * Add a simple testcase for transforms
  * Cosmetic improvement to the layout manager demo
  * Add another layout manager demo
  * Merge branch 'layout-manager-transform-demo' into 'master'
  * gridview: Make constructor arguments nullable
  * 3.99.1
  * Merge branch 'fix-gtk-application-menu-example' into 'master'
  * build: Move the gtk-doc dep to the toplevel
  * build: Add a release script
  * Merge branch 'release-script' into 'master'
  * Add gsk_matrix_transform_rect
  * gl: Reshuffle some code
  * Check for pixel-alignedness for interpolation
  * Update gsk tests
  * modelbutton: Claim the gesture
  * Beef up transform testcase
  * layoutmanager demo: Make icons come out upright
  * Merge branch 'matthiasc/for-master' into 'master'
  * text: Don't replace unselected text with Emoji
  * css: Use an array when parsing selectors
  * Merge branch 'typo_correction' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'revert-43ca43a22f' into 'master'
  * Make filter constructors return exact types
  * Make sorter constructors return exact types
  * inspector: Fix teardown of the general tab
  * gtk-demo: Simplify the constraints demos
  * gtk-demo: Add some comments
  * Merge branch 'matthiasc/for-master' into 'master'
  * textview: Fix dnd
  * Merge branch 'listwidgets-doc-fix' into 'master'
  * text: Stop drag updates when a dnd starts
  * Merge branch 'matthiasc/for-master' into 'master'
  * text history: Update state when enabled changes
  * aboutdialog: Disable text undo
  * Merge branch 'matthiasc/for-master' into 'master'
  * text: Set the hotspot for the drag icon
  * gsk: Mention gl as valid value for GSK_RENDERER
  * gsk: Complain if we fail to realize a renderer
  * Merge branch 'matthiasc/for-master' into 'master'
  * Add some tests for the axis-aligned check
  * Merge branch 'gl-linear' into 'master'
  * Merge branch 'filter-constructors' into 'master'
  * Merge branch 'shadertoy-demo' into 'master'
  * Merge branch 'ebassi/secure-buffer' into 'master'
  * shadertoy demo: Cosmetic fixes
  * Merge branch 'matthiasc/for-master' into 'master'
  * gsk: Fix the gl texture cache
  * Merge branch 'fix-gl-texture-cache' into 'master'
  * search entry: Don't propagate handled events
  * NEWS: Updates
  * Move GdkFullscreenMode to the right header
  * gdk: Move GdkSurfaceState to the right header
  * gdk: Rename GdkSurfaceState to GdkToplevelState
  * gdk: Move GdkSurfaceEdge to the right header
  * Merge branch 'ebassi/for-master' into 'master'
  * vulkan: Fix swapchain creation
  * gdk: Don't create surfaces of size 0x0
  * Merge branch 'fix-vulkan-context-creation' into 'master'
  * Merge branch 'gdk-cleanups' into 'master'
  * x11: Print all tested glx extensions
  * Merge branch 'matthiasc/for-master' into 'master'
  * color chooser: Don't show too many custom colors
  * colorchooser: Drop color names
  * colorchooser: Don't parse color names needlessly
  * Merge branch 'wip/jimmac/new-colors' into 'master'
  * Merge branch 'wip/otte/for-master' into 'master'
  * textlayout: Avoid some iter comparisons
  * Merge branch 'text-layout-speedup' into 'master'
  * gtk-demo: Fix a few crash
  * gtk-demo: Tweak the animated paintable
  * gtk-demo: Add an emblem demo
  * Merge branch 'emblem-demo' into 'master'
  * filechooser: Prevent a crash
  * Add a testcase for controls in headerbars
  * Cosmetics
  * text: Claim the sequence when we start selecting
  * AUTHORS: some updates
  * Clean up lots of GTK+ -> GTK
  * Merge branch 'matthiasc/for-master' into 'master'
  * gtk-demo: Don't refer to removed demos
  * Cosmetics
  * widget-factory: Fix error states demo
  * Fix a compiler warning
  * filechooser: Fix setting unlisted filters
  * placessidebar: Remove a pointless restriction
  * gtk-demo: Add some example videos
  * video: Make autoplay work
  * gtk-demo: Make F11 toggle fullscreen
  * gtk-demo: Add another demo
  * Merge branch 'matthiasc/for-master' into 'master'
  * gtk-demo: Ignore some lines in info
  * gtk-demo: Support keywords for search
  * gtk-demo: Add keywords to demos
  * Merge branch 'demo-keywords' into 'master'
  * Demo thyself
  * gtk-demo: Don't offer to run titles
  * Merge branch 'update-default-palette' into 'master'
  * Merge branch 'gtk-demo-demo' into 'master'
  * NEWS: Updates
  * docs: Some touchups to the migration guide
  * docs: Add new check button apis
  * docs: Misc updates
  * colorchooser: Bring back gtk_color_chooser_widget_new
  * Drop gtk_render_slider from headers
  * iconview: Small doc additions
  * Clean up debug flags code a bit
  * Move version-related functions to gtkversion.c
  * Drop support for GTK_TEST_TOUCHSCREEN
  * main: Reshuffle debug code
  * Add gdk_frame_clock_get_fps
  * inspector: Use gdk_frame_clock_get_fps
  * gtk-demo: Use gdk_frame_clock_get_fps
  * gtk-demo: Impove the fishbowl demo
  * gtk-demo: Improve the scrolling demo
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/jimmac/natigation-sidebar-whitespace' into 'master'
  * gestures: Make claiming button release work
  * Merge branch 'wip/jimmac/gridview-whitespace' into 'master'
  * Merge branch 'wip/jimmac/navlist-expander-whitespace' into 'master'
  * widget-factory: Fix the toggle buttons on page 3
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'issue-2923' into 'master'
  * gtk-demo: Add some details
  * gtk-demo: Cosmetic change
  * gtk-demo: More space
  * gtk-demo: Improve the builder demo
  * gtk-demo: Improve the builder demo
  * gtk-demo: Add some keywords
  * gtk-demo: Add more detail to the dnd demo text
  * Document some API as widget-implementation only
  * Merge branch 'wip/baedert/for-master' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/jimmac/dnd-green' into 'master'
  * Merge branch 'master.win32' into 'master'
  * stack: Add gtk_stack_add_child
  * Merge branch 'stack-add-child' into 'master'
  * gtk-demo: Add another demo
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/sadiq/headerbar-demo' into 'master'
  * Plug a memory leak in an error case
  * textview: Make clickable tags work again
  * textview: Properly delete anchored children
  * gtk-demo: Beef up the hypertext demo
  * gtk-demo: Fix toggle- vs checkbutton confusion
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/wayland-respond-to-configure' into 'master'
  * Merge branch 'language-names-GError-fixes' into 'master'
  * gtk-demo: Cosmetic changes
  * Merge branch 'matthiasc/for-master' into 'master'
  * gsk: Add a radial gradient node
  * snapshot: Add api for radial gradients
  * css: Use snapshot api for radial gradients
  * rendernode: switch to h/vradius
  * snapshot: switch to h/vradius
  * css: switch to h/vradius
  * fontchooser: Determine sample text intelligently
  * Try one more time to fix win32 ci
  * win32: Fix compiler warnings
  * Merge branch 'font-chooser-sample-text' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * Improve language names
  * fontchooser: Add user filtering
  * fontchooser: Use filter language for sample text
  * fontchooser: Don't show "No fonts" prematurely
  * fontchooser: Remove signal handlers in dispose
  * Merge branch 'wip/fontchooser-language-filtering' into 'master'
  * Merge branch 'wip/baedert/radial-gradient' into 'master'
  * NEWS: Updates
  * wayland: Change backend api to use GdkToplevel
  * docs: Add missing Wayland backend api
  * passwordentry: Drop the Private struct
  * passwordentry: Add an ::activate signal
  * Merge branch 'password-entry-activate' into 'master'
  * textbuffer: Redo insert markup a little bit
  * Merge branch 'wayland-backend-api-cleanup' into 'master'
  * colorscale: Drop the Private struct
  * Cosmetic
  * magnifier: Drop the Private struct
  * revealer: Drop the Private struct
  * shortcutswindow: Drop the Private struct
  * main: Update pointer focus state for button releases
  * Merge branch 'matthiasc/for-master' into 'master'
  * NEWS: Updates
  * Drop gtk_widget_new
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'kill-widget-new' into 'master'
  * wayland: Fix grabbing popup
  * Merge branch 'fix-wayland-popups' into 'master'
  * docs: Improve gtk_widget_set_font_map docs
  * fontchooser: Handle families without faces
  * fontchooser: Make sure the tweak button is updated
  * filechooser: Fix gtk_file_chooser_set_choice
  * colorbutton: Fix handling of transient parents
  * gtk-demo: Improve the pickers demo
  * inspector: Make switches go back to normal size
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'improve-columnview-styling' into 'master'
  * Merge branch 'make-claiming-button-release-work' into 'master'
  * Merge branch 'wip/jimmac/osd-spinbutton' into 'master'
  * fontchooser: Don't center the list
  * Merge branch 'matthiasc/for-master' into 'master'
  * listview: Avoid a critical when reordering
  * columview: Fix column resizing
  * columview: Don't overdraw
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'gles-texture-colors' into 'master'
  * gl: Fix RGB uploads
  * Merge branch 'wip/carlosg/for-master' into 'master'
  * columnview: Simplify column constructors
  * Merge branch 'matthiasc/for-master' into 'master'
  * gl: Reset GL_UNPACK_ALIGNMENT
  * Merge branch 'fix-rgb-upload' into 'master'
  * gl: Make debug spew more complete
  * popup: Fix up a doc blurb
  * Merge branch 'add-child-clash' into 'master'
  * More texture upload fixes
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'fix-texture-upload-more' into 'master'
  * NEWS: Updates
  * Add a test for various texture uploads
  * Merge branch 'matthiasc/for-master' into 'master'
  * testupload: Test more formats
  * Merge branch 'BUG_gtktreeview_headers_focus_on_click_GTK4' into 'master'
  * fontchooser: Fix builds without PangoFT2
  * gsk: Avoid downloading GL textures when possible
  * Merge branch 'fontchooser-no-lang' into 'master'
  * Merge branch 'avoid-gl-texture-download' into 'master'
  * Merge branch 'issue2627-gtk4' into 'master'
  * Merge branch 'patch-1' into 'master'
  * ci: Add libcloudproviders to the image
  * ci: Use v23 images
  * gsk: Normalize when transforming bounds
  * glarea: Flip our texture
  * Merge branch 'wip/otte/for-master' into 'master'
  * Merge branch 'cloudproviders-ci' into 'master'
  * Merge branch 'another-attempt-to-fix-shadertoy' into 'master'
  * Merge branch 'wip/carlosg/for-master' into 'master'
  * doc: Document some apis as widget implementor only
  * window: Don't get surfaces needlessly
  * textbuffer: Elaborate docs
  * Add a reftest for flipping transforms
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'arnaudb/menubutton-direction' into 'master'
  * css: Move the last parser api to the new header
  * gsk: Add more shader debug spew
  * Add some shader tests
  * NEWS: Updates
  * Silence a compiler warning
  * gsk: Document radial gradient api
  * wayland: Match header and doc arguments
  * docs: Fix a typo
  * snapshot: Document radial gradient apis
  * statusbar: Remove a misleading doc comment
  * docs: Document various entry ::activate signals
  * Merge branch 'glshader-track-uniform-state' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'snapshot-stack-optimize' into 'master'
  * gsk: Add some more shader docs
  * 3.99.2
  * release script: Fix doc tarball generation
  * Merge branch 'ebassi/for-master' into 'master'
  * Merge branch 'small-cleanup' into 'master'
  * Fix the release script some more
  * icontheme: Clarify the docs
  * Mention icon theme in the migration guide
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'snazzy-demo' into 'master'
  * gtk-demo: Update text for the transitions demo
  * Merge branch 'ebassi/for-master' into 'master'
  * transition demo: Make buttons symbolic
  * Merge branch 'introspection' into 'master'
  * ci: Use a newer meson in images
  * ci: Use the v24 images
  * ci: Really enable werror
  * build: Require meson 0.54
  * gsk: Fix compiler warnings
  * gtk-demo: Add the shader paintable sources
  * ci: Remove --fatal-meson-warnings
  * build: Remove an unneeded version check
  * build: Try to fix docs+subprojects
  * ci: Try to get everything building again
  * ci: Give up on sysprof for now
  * Revert "Fix the build with cups < 2.3"
  * Merge branch 'wip/jimmac/infosearch-close' into 'master'
  * Merge branch 'ci-win32-introspection-enabled' into 'master'
  * Merge branch 'master' into 'matthiasc/for-master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * Cosmetics
  * Require gtk-doc 1.33
  * Use gtk-doc from master
  * Update the release script
  * docs: Fix a copy-paste error
  * Add GTK_INPUT_HINT_PRIVATE
  * gdk: Remove an unused variable
  * Add a test for gsk_gl_shader_compile
  * emojichooser: Allow inserting multiple Emoji
  * css: Move _gtk_css_print_string around
  * Allow inserting newlines in css strings
  * gtk-demo: Fix a typo
  * Merge branch 'matthiasc/for-master' into 'master'
  * gtk-demo: Rename the transition shader files
  * gsk: Avoid long lines in serialized nodes
  * node-editor: Don't insert hyphens
  * colorbutton: Properly override interface properties
  * icontheme: Add a missing getter
  * directorylist: Drop the item-type property
  * text: Add some missing setters and getters
  * Cosmetics
  * spinbutton: Add some missing accessors
  * testsuite: Add a test that checks for property accessors
  * textbuffer: Improve some get_iter apis
  * Merge branch 'matthiasc/for-master' into 'master'
  * widget-factory: Enable emoji completion somewhere
  * Fix Emoji completion
  * emoji: Some work on the conversion tool
  * emoji: Add keywords to the data
  * Do case-folding and tokenization when creating emoji.data
  * Emoji: Drop the shortname field from emoji.data
  * Redo the handling of Emoji data
  * scale: Make draw-value default to FALSE
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'emoji-data-cldr' into 'master'
  * Update script names to Unicode 13
  * Update the copy in gtk-demo too
  * Prevent a crash with script names
  * gtk-demo: Add a column view demo
  * Merge branch 'matthiasc/for-master' into 'master'
  * NEWS: Updates
  * gtk-demo: Fix up the Characters demo
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'fix-texture-cache' into 'master'
  * gl: Install the debug message callback for gl-debug
  * gtk-demo: Mention dataset size for Characters
  * wayland: Don't emit premature configure events
  * wayland: Don't save size when tiled
  * wayland: Don't forget to reapply margins
  * window: Fix window size snapping back
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'simple-resizing-fixes' into 'master'
  * Cosmetic
  * Merge branch 'wip/carlosg/for-master' into 'master'
  * treelistrowsorter: Add a bandaid
  * gdk: Docs tweaks
  * gdk: Tweak our GL debug message callback
  * window: Fix setting min size
  * aboutdialog: Fix updating license tab
  * Merge branch 'aboutwindow' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * gtk-demo: Recognize .svg as images
  * gtk-demo: Add an svg paintable demo
  * Merge branch 'svg-demo' into 'master'
  * gtk-demo: Fix an off-by-one error
  * colorchooser: Bring color names back
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'master' into 'master'
  * gdk: Drop some unused private api
  * wayland: Stop using gdk_surface_new_temp
  * x11: Stop using gdk_surface_new_temp
  * broadway: Stop using gdk_surface_new_temp
  * win32: Stop using gdk_surface_new_temp
  * gdk: Drop gdk_surface_new_temp
  * Merge branch 'matthiasc/for-master' into 'master'
  * docs: Add more details to the migration guide
  * gtk-demo: Ellipsize columns in the characters demo
  * build: Require sysprof 3.38.0
  * window: Be more careful when looking for focus
  * Send focus events to the root
  * Merge branch 'ebassi/for-master' into 'master'
  * gtk-demo: Keep undisplayable resources out of view
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'wip/chergert/gdk-macos-fixes' into 'master'
  * Merge branch 'ebassi/for-master' into 'master'
  * atspicontext: Print out the a11y bus address
  * atspiroot: Implement GetLocale
  * atspiroot: Don't leak references
  * atspiroot: Implement GetChildren
  * atspicontext: Implement more accessible api
  * atspicontext: Implement GetIndexInParent
  * atspiroot: Implement GetIndexInParent
  * atspiroot: Fix GetState implementation
  * atspicontext: Implement GetState
  * Fixup: Add a forgotten #pragma once
  * atspi utils: Fix an oversight
  * Don't pass NULL to g_variant_new_string
  * Add a GetInterfaces method
  * Move atspi enums to gtkatspiprivate.h
  * atspi: Add the AtspiRelationType enum
  * atspiroot: Stub out GetRelationSet
  * atspicontext: Implement GetRelationSet
  * atcontext: labelled-by has a reference list
  * atspicontext: Fix GetIndexInParent for toplevels
  * atspi: Add pango utilities
  * atspi: Implement Text interface for labels
  * atspi: Implement text for GtkText widgets too
  * atspi: Export more pango utils
  * atspi: Add textview utilities
  * atspi: Implement Text interface for text views
  * atspi: Implement Value interface for ranges
  * atspi: Implement Value for more widgets
  * Simplify GetInterfaces handling
  * paned: Set accessible value properties
  * scalebutton: Set accessible value properties
  * atspi: Break out the Text implementations
  * atspi: Break out the Value implementation
  * atspi: Implement EditableText interface
  * atspi: Set editable state
  * text: Set the readonly accessible property
  * atspi: Derive readonly state from aria properties
  * wip: Emit StateChanged signals
  * Pass orientation property to accessible
  * atspi: Set some more atspi states
  * atspi: Be more careful about indexes
  * a11y: Pass on platform changes
  * widget: Notify a11y of focus changes
  * atspi: Cosmetics
  * atspi: Emit property changes for focus
  * atspi: Unregister objects on the bus
  * Don't unref a floating variant
  * atspi: D-Bus methods return tuples
  * Fix the build
  * atspi: Fix collecting states
  * atspi: Treat all entries the same for collecting state
  * Cosmetics
  * accessible: Add a way to hide accessibles
  * atspi: Use gtk_accessible_should_present
  * accessible: Add gtk_accessible_get_platform_state
  * atspi: Use gtk_accessible_get_platform_state
  * text: Ignore text widgets for a11y
  * entry: Implement GtkAccessible
  * searchentry: Implement GtkAccessible
  * passwordentry: Implement GtkAccessible
  * spinbutton: Implement GtkAccessible
  * atspi: Implement Text interface for the entry wrappers
  * accessible: Add some docs
  * atspi: Implement EditableText interface for the entry wrappers
  * atspi: Set placeholder-text attribute
  * text: Make editable signals work again
  * atspi: Make text change notification work
  * atspi: Fix up the role for password entries
  * Fix the build
  * Merge branch 'wip/carlosg/for-master' into 'master'
  * listbox: Update accessible state for rows
  * atspi: Implement Selection for listbox
  * atspi: Fix a variant parser oversight
  * Remove some unused code
  * Fix compiler warnings
  * Remove excessively spammy debug messages
  * atspi: Implement Selection for GtkComboBox
  * flowbox: Update accessible state for children
  * atspi: Implement Selection for GtkFlowBox
  * combobox: Use the combobox accessible role
  * dropdown: Use the combox accessible role
  * Cosmetics
  * Cosmetics
  * docs: Fix a copy-paste error
  * docs: Add more details to the migration guide
  * gtk-demo: Ellipsize columns in the characters demo
  * build: Require sysprof 3.38.0
  * window: Be more careful when looking for focus
  * Send focus events to the root
  * gtk-demo: Keep undisplayable resources out of view
  * Merge branch 'wip/baedert/for-master'
  * Merge branch 'wip/chergert/gdk-macos-fixes' into 'master'
  * Merge branch 'wip/chergert/gdk-macos-fixes' into 'master'
  * stack: Turn pages into accessibles
  * accessible: Avoid realizing the context prematurely
  * stackswitcher: Use the tablist and tab roles
  * stackswitcher: Set up relations and states
  * atspi: Implement Selection for GtkStackSwitcher
  * gizmo: Add a way to set accessible role
  * atspi: Don't crash on unnamed stack pages
  * notebook: Set accessible roles and properties
  * atspi: Implement Selection for notebook tabs
  * atspi: Add some docs
  * Merge branch 'wip/chergert/gdk-macos-fixes' into 'master'
  * Merge branch 'wip/chergert/fix-macos-popup-events' into 'master'
  * listbox: Set accessible roles
  * flowbox: Set accessible roles
  * Document accessible roles for stacks and notebooks
  * listview: Set accessible roles
  * columnview: Set accessible roles
  * atspi: Implement Selection for list views
  * gtk-demo: Fix up image handling in the clipboard demo
  * Merge branch 'meson-epoxy-subproject' into 'master'
  * Merge branch 'wip/wayland-dont-respond-to-destroyed-surface-configure' into 'master'
  * Merge branch 'clipboard-emo' into 'master'
  * Merge branch 'a11y/atspi' into 'master'
  * docs: Explain the symbolic icon paintable situation
  * wayland: Make gdk_wayland_device_pad_set_feedback private
  * Remove debug spew
  * atspi: Implement Selection more correctly
  * Merge branch 'ebassi/for-master' into 'master'
  * Merge branch 'a11y-list-view-selection-fixes' into 'master'
  * atspi: Add fold markers
  * Merge branch 'a11y-list-view-selection-fixes' into 'master'
  * gtk-demo: Fix some issues with the multi view demo
  * emojicompletion: Avoid a memory overrun
  * spinbutton: Hide the buttons from accessibility
  * actionmuxer: Make it possible to enumerate local actions
  * Fix compiler warnings
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'a11y/atspi-action' into 'master'
  * atspi: Fix a thinko in action filtering
  * atspi: Properly filter out parent actions
  * Revert "listbox: Activate single-click rows if n_press >= 1"
  * Merge branch 'fix-listbox-selection' into 'master'
  * Merge branch 'a11y-action-fixes' into 'master'
  * docs: Expand opacity docs
  * Merge branch 'win32.modal' into 'master'
  * 3.99.3
  * Merge branch 'wip/chergert/fix-macos-fps-calculation' into 'master'
  * inspector: Clear overlays on unroot
  * columnview: Fix some issues with column resizing
  * columnview: Fix more issues with column resizing
  * columnview: Make resize cursors reliable
  * columview: Implement double-click to reset headers
  * columview: Make resize area a bit larger
  * Adwaita: Put column separators on the left
  * columnview: Make right-aligned content work
  * Merge branch 'annotations_gtkaboutdialog' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * Cosmetics
  * Cosmetics
  * Cosmetics
  * atspi: Be more careful
  * a11y: Add a separate vfunc for platform changes
  * atspi: Implement Component
  * a11y: Add bounds change api
  * widget: Mark the size as changed when it changes
  * atspi: Emit bounds-changed
  * Add gtk_editable_get_delegate
  * atspi: Implement Text for more editables
  * Merge branch 'a11y/component' into 'master'
  * gtk-demo: Set an accessible role
  * a11y: Rename some methods
  * label: Set the accessible label property
  * atspi: Use name and description as provided
  * a11y: Tweak name and description computation
  * Merge branch 'a11y/editable' into 'master'
  * Merge branch 'wip/chergert/fix-macos-surface-under-pointer' into 'master'
  * docs: Flesh out a11y section
  * stack: Minor doc addition
  * a11y: Fix accessible tree inconsistency
  * Merge branch 'matthiasc/for-master' into 'master'
  * a11y: Add a test for label properties
  * a11y: Add tests for GtkStack and GtkStackSwitcher
  * a11y: Add tests for GtkListBox
  * a11y: Add tests for GtkFlowBox
  * Merge branch 'matthiasc/for-master' into 'master'
  * docs: Mention subclassing and destroy in the migration guide
  * a11y: Fix handling of LABELLED_BY relation
  * atsi: Fix emission of text selection changes
  * inspector: Show accessible object path
  * a11y: Add some more tests
  * docs: Document accessible roles of some classes
  * docs: Document more accessible roles
  * docs: Document more accessible roles
  * Cosmetics
  * docs: Document more accessible roles
  * Merge branch 'matthiasc/for-master' into 'master'
  * frame: Set up accessible relations
  * Cosmetics
  * range: Hide internals from accessibility
  * columnview: Put overshoot underneath the headers
  * text: React to text attribute changes in css
  * Merge branch 'matthiasc/for-master' into 'master'
  * Document GTK_ACCESSIBLE_ROLE_NONE
  * docs: Small corrections to the a11y overview
  * docs: Add some more to the migration guide
  * a11y: Treat PRESENTATION like NONE
  * scale: Hide internal structure from a11y
  * switch: Hide internal structure from a11y
  * levelbar: Hide internal structure from a11y
  * progressbar: Hide internal structure from a11y
  * separator: Remove unnecessary code
  * menubutton: initial accessibility setup
  * popovermenu: Initial accessibility setup
  * popovermenubar: Initial accessibility setup
  * modelbutton: Initial accessibility setup
  * modelbutton: Recreate our AT context
  * atspi: Give model buttons a click action too
  * a11y: Document roles used in menu
  * a11y: Document abstract roles
  * linkbutton: Use the LINK role
  * Merge branch 'matthiasc/for-master' into 'master'
  * colorswatch: Export some functions for a11y
  * a11y: Add actions for color swatches
  * colorbutton: Improve accessibility
  * picture: Set alternative text as description
  * gtk-demo: Add alternative text to a GtkPicture
  * gtk-demo: Speed up image demo
  * stack: Change ordering for removal
  * a11y: Handle stack case for addition/removal
  * Merge branch 'matthiasc/for-master' into 'master'
  * Adwaita: Set border-spacing for entries
  * passwordentry: Respect border spacing
  * dropdown: Add an icon the search entry
  * Merge branch 'ebassi/for-master' into 'master'
  * Tweak focus tests
  * Merge branch 'matthiasc/for-master' into 'master'
  * window: Fix state updates
  * Give all search entries an icon
  * editablelabel: Properly clean up in dispose
  * Merge branch 'matthiasc/for-master' into 'master'
  * NEWS: Updates
  * gdk: Deliver queued events on flush
  * Merge branch 'flush-events' into 'master'
  * a11y: Fix up state / change enum confusion
  * widget: Don't add reordered children
  * a11y: Don't present HIDDEN accessibles
  * a11y: Handle HIDDEN state changes
  * a11y: Skip non-presented children when required
  * a11y: Improve child notification for toplevels
  * a11y: Improve child index helpers
  * a11y: Emit child notification when toplevels get hidden
  * window: Maintain accessible HIDDEN state
  * a11y: Redo child-added/-removed for toplevels
  * stack: Don't transition when the visible child is remove
  * Merge branch 'meson-deps-continued' into 'master'
  * Cosmetics
  * stack: Update HIDDEN a11y state for stack pages
  * a11y: Handle all cases for state change
  * a11y: More State<>Change confusion
  * color editor: Add accessible labels
  * Cosmetics
  * scale: Set round-digits to -1 initially
  * builder: Expot _gtk_builder_boolean_from_string privately
  * a11y: Parse booleans in ui files as expected
  * a11y: Reuse builder parsing for enums
  * Remove erroneous preconditions
  * a11y: Add some parser tests
  * a11y: Add more tests
  * docs: Add GtkWindowControls to the gallery
  * docs: Fix links from the gallery
  * docs: Tweak gallery ordering
  * docs: Work around GtkPicture growing
  * docs: Some reordering in the gallery
  * docs: Shrink the editable label gallery image
  * docs: Tweak gallery layout
  * docs: Improve the GtkVideo gallery image
  * docs: Improve the GtkMediaControls gallery image
  * docs: Add GtkCalendar to the gallery
  * docs: Fix the GtkVolumeButton gallery image
  * docs: Tweak gallery layout
  * docs: Improve the GtkStackSidebar gallery image
  * docs: Redo the GtkColorChooserDialog gallery image
  * docs: Add GtkEmojiChooser to the gallery
  * docs: Add GtkExpander to the gallery
  * docs: Add GtkPopoverMenuBar to the gallery
  * docs: Add GtkPopover to the widget gallery
  * docs: Add GtkPopoverMenu to the widget gallery
  * docs: Add GtkShortcutsWindow to the widget gallery
  * docs: Add GtkDrawingArea to the gallery
  * Merge branch 'matthiasc/for-master' into 'master'
  * Treat tristate as an enum when parsing
  * Merge branch 'master' into 'master'
  * popovermenu: Allow custom items
  * popovermenu: Allow adding custom items in ui files
  * widget-factory: Add a scale to the gear menu
  * modelbutton: Explicitly set up LABELLED-By relation
  * docs: Add box, grid and center box to the gallery
  * docs: Add GtkOverlay to the widget gallery
  * Merge branch 'popover-menu-custom-child' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * Merge branch 'matthiasc/a11y-buildable' into 'master'
  * Merge branch 'matthiasc/atspi-child' into 'master'
  * dropdown: Make search entry shrink
  * dropdown: Add a checkmark to the selected item
  * gtk-demo: Add checkmarks to all dropdown demos
  * Merge branch 'dropdown-checkmark' into 'master'
  * Merge branch 'wip/baedert/for-master' into 'master'
  * textview: Update child allocations
  * Merge branch 'matthiasc/for-master' into 'master'
  * Cosmetics
  * Merge branch 'wip/chergert/gdk-remove-texture_from_surface' into 'master'
  * docs: Stop referring to the Quartz backend
  * docs: Include GDK_WINDOWING_MACOS
  * gdk: Drop GdkPoint from the api
  * docs: Add some detail to GdkTexture docs
  * docs: Tweak GdkPaintable docs
  * docs: Cosmetics
  * docs: Small additions for GdkCursor docs
  * docs: Tweak frame clock docs
  * docs: Tweak GdkSurface docs
  * docs: Tweak GdkPopup docs
  * docs: Tweak GdkToplevel docs
  * docs: Some restructuring
  * Merge branch 'wip/chergert/gdk-macos-gl-renderer' into 'master'
  * Merge branch 'matthiasc/for-master' into 'master'
  * NEWS: Updates
  * docs: Add details for gsk_renderer_new_for_surface
  * Merge branch 'wip/chergert/remove-GDK_WINDOWING_QUARTZ' into 'master'
  * gtk-demo: Remove unnecessary code
  * Add another constraints demo
  * constraintlayout: Fix parsing from ui file
  * gtk-demo: Tweak the new constraints demo
  * constraintlayout: Emit less change notification
  * constraintlayout: Make sure guides get their constraints
  * gtk-demo: Tweak descriptions of constraints demos
  * Merge branch 'wip/chergert/gdk-macos-gl-renderer' into 'master'
